<?php 
include('session.php');
include('../config.php');
?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='../assets/'
    data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>Adserver - Campaign </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>
    <!-- <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>  -->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <style>
        .swal-button--danger {
            background-color: #2523b3;
        }

        .swal-button--cancel {
            color: white;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }
    </style>
</head>

<body onload="getCampaignlist()">
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>

            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container">
                        <div class="card mt-5">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-5">
                                        <p class="h3">Campaign List</p>
                                    </div>
                                    <div class="col-md-7 display-flex">
                                        <!--<button type="button" class="btn btn-primary"
                                            style="position:relative;left:12%"><a href="#" style="color:white"
                                                onclick="Detactivebtn()">Detactive all</a>
                                        </button>-->
                                        <button type="button" class="btn btn-primary" style="position:relative;left:40%" id="campign_id"><a href="#" style="color:white" onclick="Delateallbtn()"><i class="bx bx-trash bg-label-white"  aria-hidden="true" title="Delete"></i> Delete</a></button>
                                        <button type="button" class="btn btn-primary"
                                            style="position:relative;left:40%"><a href="campaign_add.php"
                                                style="color:white"><i class="menu-icon tf-icons bx bx-plus"></i> Add
                                                new campaign</a>
                                        </button>
                                    </div>
                                    <hr class="solid">
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="mt-2 mb-4 container">
                                        <div class="table-responsive text-nowrap">
                                            <table id="example2"
                                                class="table table-striped table-hover">
                                                <thead>
                                                    <tr class="text-nowrap">
                                                        <th class="th-color text-center"><input type="checkbox" class="form-check-input" id="select-all"></th>
                                                        <th class="thauth-login-basic.html-color">Name</th>
                                                        <th class="th-color">Type</th>
                                                        <th class="th-color text-center">Update</th>
                                                        <th class="th-color text-center">Status</th>
                                                        <th class="th-color">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>   
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- / Content -->

                    <!-- Footer -->

                    <?php include('footer.php'); ?>

                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>

        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <script>

        var live_URL = '<?php echo $apiinvenpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var client_id = document.getElementById('clientid').value;
        var campaignAllStats_URL = live_URL + '/get_all_campaigns/' + client_id;
        var deleteCampaign = live_URL + '/campaign_delete/';
        var activeDeactive = live_URL + '/campaign_status_update/';
        
        function getCampaignlist(){  
            $.ajax({
                type: "GET",
                url: campaignAllStats_URL,
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                data: {},
                dataType: "json",
                encode: true,
            }).done(function (data) {
                console.log(data);                
                showdata(data);
            });
        }


        function showdata(data){

            if (data.msg == 'No Stats Available') {
				$('#example2').DataTable({
					ordering: false,
					destroy: true,
					responsive: true,
					bPaginate: false,                    
                    bAutoWidth : false,
					bInfo: false,
					data:[],
					searching: false,
					oLanguage: {
						sEmptyTable:"No Data Found"
					}
				});
			}else{
                $('#example2').DataTable({
                    ordering: true,
                    destroy: true,
                    responsive: false,
                    // bPaginate: true,  
                    // bAutoWidth : false,
                    // bInfo: false,8
                    data : data.data,
                    columns : [ 
                        {
                            data : 'campaignid', className: "text-center", 
                            render: function(data, type, row, meta) {
                                return '<input type="checkbox" name="checkrow" class="form-check-input" id="checkrow" onchange="getSelectedCampaign('+row.campaignid+')">';
                            }
                        },
                        {
                            data : 'campaignname' 
                        },
                        {
                            data : 'priority' , className: "text-start", 
                            render: function(data, type, row, meta) {
                                if(row.priority==0){
                                    var priority='Remenant';
                                }else if(row.priority==-1){
                                    var priority='Override';
                                }else if(row.priority==5){
                                    var priority='Contract';
                                }
                                return priority;
                            }
                        }, 
                        {
                            data : 'updated', className: "text-center"
                        },
                        {
                            data : 'status', className: "text-center", 
                            render: function(data, type, row, meta){
                                if(row.status==0){
                                    var status='&nbsp;&nbsp;<button type="button" class="btn btn-success btn-sm fw-bold  text-white" >Active</button>&nbsp;&nbsp;';
                                }else if(row.status==2){
                                    var status='<button type="button" class="btn btn-warning btn-sm fw-bold" >Awaiting</button>';
                                }else if(row.status==3){
                                    var status='<button type="button" class="btn btn-primary btn-sm fw-bold" >Completed</button>';
                                }else if(row.status==4){
                                    var status='<button type="button" class="btn btn-danger btn-sm fw-bold text-white" >Inactive</button>';
                                }
                                return status;
                            }
                        },
                        {
                            data: 'campaignid', className: "text-center", 
                            render: function(data, type, row, meta){
                                if(row.status==4){
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0 " id="activestatus" aria-hidden="true" title="Activate" style="font-size:20px"  onclick="activeDeactivate('+row.campaignid+');"></i></a>';
                                }else if(row.status==0){
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0 " id="activestatus" aria-hidden="true" title="Deactivate" style="font-size:20px;color:red"  onclick="activeDeactivate('+row.campaignid+');"></i></a>';
                                }
							    return '<div class="row"><div class="col-3"><a href="campaign_edit.php"><i class="bx bx-edit mt-0 bg-label-primary" title="edit" style="font-size:24px"></i></a>&nbsp; ' +activestatus+'  <a href="#">&nbsp;<i class="bx bx-trash ms-0 bg-label-danger"  onclick="Deletebtn('+row.campaignid+')"  title="Delete" style="font-size:24px"></i></a></div></div>';
					        }
                        }
                    ]
                })
                
            }
        }

        function activeDeactivate(campaignid){

            console.log("campaignid",campaignid);
            swal({                    
                    title: "Are you want to update the status ?",
                    buttons: true,
                    dangerMode: true, 
                    type: "success"
                }).then(function(isConfirm) {                   
                    if(isConfirm){
                        $.ajax({
                            type: "POST",
                            url: activeDeactive + campaignid,
                            beforeSend: function (xhr) {
                                xhr.setRequestHeader('Authorization', token);
                            },             
                            dataType: "json",
                            encode: true,
                        }).done(function (data){  
                            console.log(data.msg);
                            console.log(campaignid);
                            if(data.msg == "Campaign Activated successfully!"){                                
                                location.reload();   
                                // $("#activestatus").css("color", "#696cff");
                            }else{                               
                                location.reload();   
                                // $("#activestatus").css("color", "#777");  
                            }   
                        }); 

                    }else{                                              
                        console.log(campaignid);
                    }  
                });
        }


        function Deletebtn(campaignid)
        {
            console.log("campaignid",campaignid)  

            swal({                    
                    title: "Are you want to delete ?",
                    buttons: true,
                    dangerMode: true, 
                    type: "success"
                }).then(function(isConfirm) {
                    swal("Campaign deleted successfully");
                    if(isConfirm){
                        $.ajax({
                            type: "DELETE",
                            url: deleteCampaign + campaignid,
                            beforeSend: function (xhr) {
                                xhr.setRequestHeader('Authorization', token);
                            },             
                            dataType: "json",
                            encode: true,
                        }).done(function (data){    
                            location.reload();                    
                        }); 
                    }else{
                        swal("Campaign delete failed");
                    }  
                });
                                  
        }

        function Detactivebtn(){
            swal({
                title: "Are you want to Deactive all ?",
                buttons: true,
                dangerMode: true,
            })
        }
        
        function Delateallbtn(){
            swal({
                title: "Are you want to Delete all?",
                buttons: true,
                dangerMode: true,
            })
        }

        var arrayValue = [], removeArrayValue=[];
        function getSelectedCampaign(getCampaignId) {
            arrayValue.push(getCampaignId);
            arrayValue = arrayValue.filter((data, index) => arrayValue.indexOf(data) === index);
            // arrayValue = arrayValue.filter((data) => data == getCampaignId);
            // for(let i=0;i< arguments.length;i++){
            //     arrayValue.push(arguments[i]);
            // }
            console.log("cmapign id", arrayValue);
            // return arrayValue;
        };
        
        document.getElementById('select-all').onclick = function() {
            var checkboxes = document.querySelectorAll('input[type="checkbox"]');
            console.log("select all", checkboxes);
            for (var checkbox of checkboxes) {
                checkbox.checked = this.checked;
            }
        }

    </script>
</body>

</html>