<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>
        <?php echo $projecttitle; ?> -
        <?php echo $GLOBALS['strInventory_Campaign_List_Head']; ?>
    </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>

    <style>
        .tableName {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        .tableName:hover {
            text-overflow: clip;
            white-space: normal;
            word-break: break-all;
        }

        .swal-button--danger {
            background-color: #2523b3;
            width: 100px;
        }

        .swal-button--cancel {
            color: white;
            width: 100px;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }

        .swal-footer {
            text-align: center;
        }

        /* .text-hide {
            display: block;
            width: 270px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .text-hide:hover {
            overflow: hidden;
        } */

        .card-body {
            padding: 0 !important;
        }

        .statuswidth {
            width: 13%;
        }

        .dataTables_scrollBody {
            height: auto !important;
        }

        .campaign-name {
            display: block;
            height: 20px;
            overflow-y: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .text_convert {
            text-transform: capitalize;
        }

        /* #camplist {
            width: 30%;
            border-color: #696cff;
            display: inline;
        } */

        .alert {
            display: none;
        }

        #camplist {
            width: 40%;
        }

        @media screen and (min-width:576px) and (max-width:768px) {
            #camplist {
                width: 95%;
                margin: auto;
            }
        }

        @media screen and (max-width:576px) {
            #camplist {
                width: 95%;
                margin: auto;
            }
        }

        .loader {
            display: none;
            position: fixed;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            z-index: 999;
            background: rgba(255, 255, 255, 0.8) url("../assets/img/loader.gif") center no-repeat;
        }

        .h4 {
            color: #0e107c;
        }
    </style>
</head>

<body onload="campaignlist()">
    <div class="loader"></div>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container-fluid">
                        <div class="card my-4">
                            <div class="card-header">
                                <div class="row">
                                    <div
                                        class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-4 d-flex justify-content-center justify-content-sm-center justify-content-md-center justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                                        <p class="h4"><?php echo $GLOBALS['strInventory_Campaign_List_Head']; ?></p>
                                    </div>
                                    <!-- <div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-2 d-flex justify-content-center justify-content-sm-center justify-content-md-center justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <select id="camplist" name="camplist" class="form-select text-dark w-75" onchange="campaignlist()">
                                            <option selected value="1"><?php echo $GLOBALS['all_campaigns']; ?></option>
                                            <option value="0"><?php echo $GLOBALS['active_campaigns']; ?></option>
                                        </select>
                                    </div> -->

                                </div>
                                <div class="row">
                                    <!-- First Div -->
                                    <div
                                        class="col-12 col-md-6 mb-3 mb-md-0 d-flex justify-content-center justify-content-lg-start">
                                        <select id="camplist" name="camplist" class="form-select text-dark"
                                            onchange="campaignlist()" style="margin-left: 2%;">
                                            <option selected value="1"><?php echo $GLOBALS['all_campaigns']; ?></option>
                                            <option value="0"><?php echo $GLOBALS['active_campaigns']; ?></option>
                                        </select>
                                    </div>

                                    <!-- Second Div -->
                                    <div class="col-12 col-md-6 d-flex justify-content-center justify-content-lg-end">
                                        <span class="rows_selected" id="select_count"></span>
                                        <button type="button" class="btn btn-primary me-2" id="deleteall">
                                            <i class="bx bx-trash bg-label-white" aria-hidden="true" title="Delete"></i>
                                            <?php echo $GLOBALS['strInventory_DeleteCampaign']; ?>
                                        </button>
                                        <button type="button" class="btn btn-primary"
                                            onclick="window.location.href='campaign_add.php'">
                                            <i class="menu-icon tf-icons bx bx-plus"></i>
                                            <?php echo $GLOBALS['strInventory_AddCampaign']; ?>
                                        </button>
                                    </div>
                                </div>

                                <hr class="solid">
                            </div>
                            <div class="card-body">
                                <div class="mb-4 container">
                                    <div class="row">
                                        <p class="alert bg-success alert-dismissible fade show text-white"
                                            id="alertsuccess"><i class="fa fa-check-circle"></i>
                                            <?php echo $GLOBALS['campaign_deleted_successfully']; ?>
                                        </p>
                                    </div>
                                    <div class="table-responsive text-nowrap">
                                        <table id="example" class="table table-striped table-responsive table-hover" width="100%">
                                            <thead>
                                                <tr class="text-nowrap">
                                                    <th class="th-color text-center"><input name="select_all"
                                                            class="form-check-input" type="checkbox"></th>
                                                    <th class="th-color text-center">
                                                        <?php echo $GLOBALS['strName']; ?>
                                                    </th>
                                                    <th class="th-color text-center">
                                                        <?php echo $GLOBALS['types']; ?>
                                                    </th>
                                                    <th class="th-color text-center">
                                                        <?php echo $GLOBALS['strInventory_Campaign_List_Update']; ?>
                                                    </th>
                                                    <th class="th-color text-center">
                                                        <?php echo $GLOBALS['strInventory_Campaign_List_Status']; ?>
                                                    </th>
                                                    <th class="th-color">
                                                        <?php echo $GLOBALS['strInventory_Campaign_List_Action']; ?>
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / Content -->

                    <!-- Footer -->
                    <?php include('footer.php'); ?>
                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>

        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper , className: "text-hide" -->

    <script>
        var live_URL = '<?php echo $apiinvenpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var client_id = document.getElementById('clientid').value;
        var campaignAllStats_URL = live_URL + '/get_all_active_campaigns/' + client_id;
        var deleteCampaign = live_URL + '/campaign_delete/';
        var activeDeactive = live_URL + '/campaign_status_update/';

        // function getCampaignlist() {
        //     $.ajax({
        //         type: "GET",
        //         url: campaignAllStats_URL,
        //         beforeSend: function (xhr) {
        //             xhr.setRequestHeader('Authorization', token);
        //         },
        //         data: {},
        //         dataType: "json",
        //         encode: true,
        //     }).done(function (data) {
        //         console.log(data);
        //         showdata(data);
        //     });
        // }

        function showdata(data) {
            $(".loader").show();

            if (data.msg == 'No Stats Available') {
                $(".loader").hide();
                $('#example').DataTable({
                    ordering: false,
                    destroy: true,
                    responsive: true,
                    bPaginate: false,
                    bAutoWidth: false,
                    bInfo: false,
                    data: [],
                    searching: false,
                    oLanguage: {
                        sEmptyTable: `<?php echo $GLOBALS['strNo_Data_Meassages']; ?>`
                    }
                });
            } else if (data.msg == 'No campaigns available for this clientid!' && data.statuscode == 200) {
                $(".loader").hide();
                $('#example').DataTable({
                    ordering: false,
                    destroy: true,
                    responsive: true,
                    bPaginate: false,
                    bAutoWidth: false,
                    bInfo: false,
                    data: [],
                    searching: false,
                    oLanguage: {
                        sEmptyTable: `<?php echo $GLOBALS['strNo_Data_Meassages']; ?>`
                    }
                });
            } else {
                $(".loader").hide();
                $(document).ready(function () {
                    var rows_selected = [];
                    var table = $('#example').DataTable({
                        destroy: true,
                        targets: 0,
                        searchable: false,
                        orderable: false,
                        stateSave: true,
                        // fixedColumns: true,
                        //className: 'dt-body-center',
                        responsive: false,
                        data: data.data,

                        columns: [{
                            data: 'campaignid',
                            className: "text-center",
                            render: function (data, type, row, meta) {
                                return '<input type="checkbox" name="checkrow" class="form-check-input chkCountry" id="checedkrows" value="' + row.campaignid + '" data-campaign-id="' + row.campaignid + '">';
                            }
                        },
                        {
                            'data': null,
                            title: 'Name',
                            wrap: true,
                            className: "text-start tableName",
                            "render": function (campaign) {
                                return '<a href="campaign_edit.php?campaignid=' + campaign.campaignid + '">' + campaign.campaignname + '</a>'
                            }
                        },
                        // <div class="campaign-name text-wrap text-break"></div>
                        {
                            data: 'priority',
                            className: "text-start",
                            render: function (data, type, row, meta) {
                                if (row.priority == 0) {
                                    var priority = `<?php echo $GLOBALS['strRemnant']; ?>`;
                                } else if (row.priority == -1) {
                                    var priority = `<?php echo $GLOBALS['strOverride']; ?>`;
                                } else if (row.priority > 0 || row.priority < 10) {
                                    var priority = `<?php echo $GLOBALS['strContract']; ?>`;
                                }
                                return priority;
                            }
                        },
                        {
                            data: 'updated',
                            className: "text-center"
                        },
                        {
                            data: 'status',
                            className: "statuswidth text-center",
                            render: function (data, type, row, meta) {
                                if (row.status == 0) {
                                    var status = '<span class="badge bg-success fw-bold w-100 p-2 text_convert">&nbsp; <?php echo $GLOBALS['strInventory_Campaign_List_Active']; ?> &nbsp;</span> &nbsp;';
                                    // <a href="#"> <i class="fa fa-toggle-on mt-0 " id="activestatus" aria-hidden="true" title=<?php echo $GLOBALS['deactivate']; ?> style="font-size:20px;color:red"  onclick="activeDeactivate('+row.campaignid+');"></i></a>
                                } else if (row.status == 1) {
                                    var status = '<span class="badge bg-info fw-bold w-100 p-2 text_convert">&nbsp; <?php echo $GLOBALS['strInventory_Campaign_List_Paused']; ?> &nbsp;</span>  &nbsp;';
                                    // <a href="#"> <i class="fa fa-toggle-on mt-0" disabled style="font-size:20px; color:grey"></i></a>
                                } else if (row.status == 2) {
                                    var status = '<span class="badge bg-warning  fw-bold w-100 p-2 text_convert">&nbsp; <?php echo $GLOBALS['awaiting']; ?> &nbsp;</span> &nbsp;';
                                    // <a href="#"> <i class="fa fa-toggle-on mt-0" disabled style="font-size:20px; color:grey"></i></a>
                                } else if (row.status == 3) {
                                    var status = '<span class="badge bg-primary  fw-bold w-100 p-2 text_convert">&nbsp; <?php echo $GLOBALS['strInventory_Campaign_List_Completed']; ?> &nbsp;</span> &nbsp;';
                                    // <a href="#"> <i class="fa fa-toggle-on mt-0" disabled style="font-size:20px; color:grey"></i></a>
                                } else if (row.status == 4) {
                                    var status = '<span class="badge bg-danger  fw-bold w-100 p-2 text_convert">&nbsp; <?php echo $GLOBALS['strInventory_Campaign_List_Inactive']; ?>  &nbsp;</span>  &nbsp;';
                                    // <a href="#"> <i class="fa fa-toggle-on mt-0 " id="activestatus" aria-hidden="true" title=<?php echo $GLOBALS['activate']; ?> style="font-size:20px;color:green"  onclick="activeDeactivate('+row.campaignid+');"></i></a>
                                }
                                return status;
                            }
                        },
                        {
                            data: 'campaignid',
                            className: "text-center",
                            render: function (data, type, row, meta) {
                                if (row.status == 4) {
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0" id="activestatus" aria-hidden="true" title=<?php echo $GLOBALS['activate']; ?> style="font-size:20px;color:green"  onclick="activeDeactivate(' + row.campaignid + ');"></i></a>';
                                } else if (row.status == 1) {
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0" disabled style="font-size:20px; color:grey"></i></a>';
                                } else if (row.status == 2) {
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0" disabled style="font-size:20px; color:grey"></i></a>';
                                } else if (row.status == 3) {
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0 " disabled style="font-size:20px;color:grey"></i></a>';
                                } else if (row.status == 0) {
                                    var activestatus = '<a href="#"> <i class="fa fa-toggle-on mt-0 " id="activestatus" aria-hidden="true" title=<?php echo $GLOBALS['deactivate']; ?> style="font-size:20px;color:red"  onclick="activeDeactivate(' + row.campaignid + ');"></i></a>';
                                }

                                var bannericon = '<a href="bannerlist.php?campaignid=' + row.campaignid + '&campaignName=' + row.campaignname + '" class="btn btn-icon btn-xs btn-primary"><i class="bx bx-list-ul   mt-0 text-white" id="activestatus" aria-hidden="true" title=<?php echo $GLOBALS['campaign_wise_banner']; ?> ></i></a>&nbsp;&nbsp;<a title=<?php echo $GLOBALS['delivery_options']; ?> class="btn btn-icon btn-xs btn-primary" href="delivery_options.php?campaignid=' + row.campaignid + '"><i class="fas fa-shipping-fast"></i></a>&nbsp;&nbsp;<a title=<?php echo $GLOBALS['linked_zones']; ?> class="btn btn-icon btn-xs btn-primary" href="campaign_linked_zones.php?campaignid=' + row.campaignid + '"><i class="fas fa-link"></i></a>';

                                return '<div class="row"><div class="col-3"><a class="btn btn-icon btn-xs btn-primary" style="margin-right:6px;margin-left:20px;" href="banner_add.php?campaignid=' + row.campaignid + '&campaign_name=' + row.campaignname + '&params=1"><i class="bx bx-plus mt-0 bg-label-dark" title=<?php echo $GLOBALS['add_new_banner']; ?> style="font-size:14px; marginRight:20%"></i></a>&nbsp;' + bannericon + '&nbsp;<a class="btn btn-icon btn-xs btn-danger" style="margin-left:6px" href="#">&nbsp;<i class="bx bx-trash ms-0 label-danger"  onclick="Deletebtn(' + row.campaignid + ')"  title=<?php echo $GLOBALS['delete_campaign']; ?> style="font-size:14px"></i></a></div></div>';
                            }
                        }
                        ]
                    })

                    // Handle click on checkbox
                    $('#example tbody').on('click', 'input[type="checkbox"]', function (e) {
                        var $row = $(this).closest('tr');
                        var data = table.row($row).data();
                        var rowId = table.row(this).data[0];
                        var index = $.inArray(rowId, rows_selected);

                        if (this.checked && index === -1) {
                            rows_selected.push(rowId);
                        } else if (!this.checked && index !== -1) {
                            rows_selected.splice(index, 1);
                        }

                        if (this.checked) {
                            $row.addClass('selected');
                            document.getElementById('deleteall').disabled = $('.chkCountry:checked').length > 0 ? false : true;
                        } else {
                            $row.removeClass('selected');
                            document.getElementById('deleteall').disabled = $('.chkCountry:checked').length > 0 ? false : true;
                        }

                        updateDataTableSelectAllCtrl(table);
                        e.stopPropagation();
                    });
                    // Handle click on "Select all" control
                    $('thead input[name="select_all"]', table.table().container()).on('click', function (e) {
                        if (this.checked) {
                            $('#example tbody input[type="checkbox"]:not(:checked)').trigger('click');
                            document.getElementById('deleteall').disabled = $('.chkCountry:checked').length > 0 ? false : true;
                        } else {
                            $('#example tbody input[type="checkbox"]:checked').trigger('click');
                            document.getElementById('deleteall').disabled = $('.chkCountry:checked').length > 0 ? false : true;
                        }
                        e.stopPropagation();
                    });
                    // Handle table draw event
                    table.on('draw', function () {
                        updateDataTableSelectAllCtrl(table);
                    });
                })
            }
        }

        function activeDeactivate(campaignid) {

            console.log("campaignid", campaignid);
            swal({
                title: `<?php echo $GLOBALS['update_status']; ?>`,
                buttons: true,
                dangerMode: true,
                type: "success"
            }).then(function (isConfirm) {
                if (isConfirm) {
                    $.ajax({
                        type: "POST",
                        url: activeDeactive + campaignid,
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('Authorization', token);
                        },
                        dataType: "json",
                        encode: true,
                    }).done(function (data) {
                        console.log(data.msg);
                        console.log(campaignid);
                        if (data.msg == "Campaign Activated successfully!") {
                            location.reload();
                            // $("#activestatus").css("color", "#696cff");
                        } else {
                            location.reload();
                            // $("#activestatus").css("color", "#777");  
                        }
                    });

                } else {
                    console.log(campaignid);
                }
            });
        }


        function Deletebtn(campaignid) {
            console.log("campaignid", campaignid)

            swal({
                title: `<?php echo $GLOBALS['want_delete_campaign']; ?>`,
                buttons: true,
                dangerMode: true,
                type: "success"
            }).then(function (isConfirm) {

                if (isConfirm) {
                    $.ajax({
                        type: "DELETE",
                        url: deleteCampaign + campaignid,
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('Authorization', token);
                        },
                        dataType: "json",
                        encode: true,
                    }).done(function (data) {
                        if (data.msg = "Campaign has been deleted successfully!" && data.statuscode == 200) {
                            //swal("Zone Deleted Successfully");
                            $("#alertsuccess").show('medium');
                            setTimeout(function () {
                                $("#alertsuccess").hide('medium');
                            }, 1700);
                            setTimeout(function () {
                                location.reload();
                            }, 1700);
                        }
                    });
                    //swal(`<?php echo $GLOBALS['campaign_deleted_successfully']; ?>`);
                } else {
                    //swal("Campaign delete failed");
                }
            });

        }

        $("#deleteall").prop('disabled', true);


        // $(document).on('click', '#select-all', function () {
        //     $(".chkCountry").prop("checked", this.checked);
        //     if ($('.chkCountry:checked').length > 0) {
        //         $("#deleteall").prop('disabled', false);
        //     } else {
        //         $("#deleteall").prop('disabled', true);
        //     }
        //     // $("#select_count").html($("input.chkCountry:checked").length+" Selected");
        // });
        $(document).on('click', '.chkCountry', function () {

            if ($('.chkCountry:checked').length > 0) {
                $("#deleteall").prop('disabled', false);
            } else {
                $("#deleteall").prop('disabled', true);
            }

            if ($('.chkCountry:checked').length == $('.chkCountry').length) {
                $('#select-all').prop('checked', true);
            } else {
                $('#select-all').prop('checked', false);
            }
            // $("#select_count").html($("input.chkCountry:checked").length+" Selected");
        });


        document.getElementById('deleteall').onclick = function (e) {

            var campaigndeleteids = [];
            $(".chkCountry:checked").each(function () {
                campaigndeleteids.push($(this).attr('data-campaign-id'));
            });
            if (campaigndeleteids.length <= 0) {
                alert("Please select campaign.");
            }

            //console.log(campaigndeleteids);
            swal({
                title: `<?php echo $GLOBALS['want_delete_campaign']; ?>`,
                buttons: true,
                dangerMode: true,
                type: "success"
            }).then(function (isConfirm) {

                if (isConfirm) {
                    $.ajax({
                        type: "DELETE",
                        url: deleteCampaign + campaigndeleteids,
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('Authorization', token);
                        },
                        dataType: "json",
                        encode: true,
                    }).done(function (data) {
                        if (data.msg = "Campaign has been deleted successfully!" && data.statuscode == 200) {
                            //swal("Zone Deleted Successfully");
                            $("#alertsuccess").show('medium');
                            setTimeout(function () {
                                $("#alertsuccess").hide('medium');
                            }, 1700);
                            setTimeout(function () {
                                location.reload();
                            }, 1700);
                        }
                    });
                    //swal(`<?php echo $GLOBALS['campaign_deleted_successfully']; ?>`);
                } else {
                    //swal("Campaign delete failed");
                }

            });
        }

        function updateDataTableSelectAllCtrl(table) {
            var $table = table.table().node();
            var $chkbox_all = $('tbody input[type="checkbox"]', $table);
            var $chkbox_checked = $('tbody input[type="checkbox"]:checked', $table);
            var chkbox_select_all = $('thead input[name="select_all"]', $table).get(0);

            // If none of the checkboxes are checked
            if ($chkbox_checked.length === 0) {
                chkbox_select_all.checked = false;
                if (chkbox_select_all) {
                    chkbox_select_all = false;
                }
                // If all of the checkboxes are checked
            } else if ($chkbox_checked.length === $chkbox_all.length) {
                chkbox_select_all.checked = true;
                if (chkbox_select_all) {
                    chkbox_select_all = false;
                }
                // If some of the checkboxes are checked
            } else {
                chkbox_select_all.checked = false;
            }
        }

        function campaignlist() {
            var camplist_option = $('#camplist option:selected').val();
            $(".loader").show();
            $.ajax({
                type: "GET",
                url: campaignAllStats_URL + ',' + camplist_option,
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                data: {},
                dataType: "json",
                encode: true,
            }).done(function (data) {
                console.log("success data", data);
                $(".loader").hide();
                showdata(data);
            });
        }
    </script>
</body>

</html>