<?php
include('session.php');
include('../config.php');
include('../common.php'); ?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <meta name="description" content="" />
    <?php include('head.php'); ?>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <style>
        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 310px;
            max-width: 800px;
            margin: 1em auto;
        }

        #container {
            height: 400px;
        }

        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }
    </style>
</head>

<body>
    <div id="snip-overlay" class="snip-overlay"></div>
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <?php include('sidebar.php'); ?>
            <div class="layout-page">
                <?php include('navbar.php'); ?>
                <div class="content-wrapper">
                    <div class="container-xxl flex-grow-1 container-p-y">
                        <div class="card">
                            <div class="card-header">
                                sample chart
                            </div>
                            <div class="card-body">
                                <figure class="highcharts-figure">
                                    <div id="container"></div>
                                </figure>
                                <script>
                                    Highcharts.chart('container', {
                                        chart: {
                                            type: 'column'
                                        },
                                        // title: {
                                        //     text: 'Major trophies for some English teams',
                                        //     align: 'left'
                                        // },
                                        xAxis: {
                                            categories: ['cam1', 'cam2', 'cam3', 'cam4']
                                        },
                                        yAxis: {
                                            min: 0,
                                            title: {
                                                text: 'Count trophies'
                                            },
                                            stackLabels: {
                                                enabled: true
                                            }
                                        },
                                        legend: {
                                            align: 'left',
                                            x: 70,
                                            verticalAlign: 'top',
                                            y: -10,
                                            floating: true,
                                            backgroundColor: Highcharts.defaultOptions.legend.backgroundColor || 'white',
                                            borderColor: '#CCC',
                                            borderWidth: 1,
                                            shadow: false
                                        },
                                        tooltip: {
                                            headerFormat: '<b>{point.x}</b><br/>',
                                            pointFormat: '{series.name}: {point.y}<br/>Total: {point.stackTotal}'
                                        },
                                        plotOptions: {
                                            column: {
                                                stacking: 'normal',
                                                dataLabels: {
                                                    enabled: true
                                                }
                                            }
                                        },
                                        series: [{
                                            name: 'Impression',
                                            data: [3, 5, 1, 13, 20, 33]
                                        }, {
                                            name: 'Clicks',
                                            data: [14, 8, 8, 12, 10, 20]
                                        }, {
                                            name: 'Conversion',
                                            data: [0, 2, 6, 3, 77, 22]
                                        },
                                        {
                                            name: 'Spend',
                                            data: [0, 2, 6, 3, 63, 9]
                                        },{
                                            name: 'CTR',
                                            data: [0, 2, 6, 3, 76, 43]
                                        },
                                        {
                                            name: 'ECPM',
                                            data: [0, 2, 6, 3, 4, 99]
                                        },]
                                    });
                                </script>
                                <!-- <canvas id="myChart4" class="bar_canvas" style="width: 100%; height:50dvh;"></canvas> -->
                                <!-- <script>
                                    function biChangeChart() {
                                        $(".loader").hide();
                                        var ctx = document.getElementById("myChart4").getContext('2d');
                                        if (window.bar != undefined) window.bar.destroy();

                                        window.bar = new Chart(ctx, {
                                            type: 'bar',
                                            data: {
                                                labels: ["r1", 'r2', 'r3'],
                                                datasets: [{
                                                    label: `<?php echo $GLOBALS['strImpression']; ?>`,
                                                    backgroundColor: "#03c3ec",
                                                    data: ["12", '22', '55']
                                                }, {
                                                    label: `<?php echo $GLOBALS['strClicks']; ?>`,
                                                    backgroundColor: "#007bff",
                                                    data: ["44", '77', '88']
                                                }],
                                            },
                                            options: {
                                                tooltips: {
                                                    displayColors: true,
                                                    callbacks: {
                                                        mode: 'x',
                                                    },
                                                },
                                                scales: {
                                                    xAxes: [{
                                                        stacked: true,
                                                        gridLines: {
                                                            display: false,
                                                        },
                                                        ticks: {
                                                            callback: function(label) {
                                                                if (/\s/.test(label)) {
                                                                    return label.split(" ");
                                                                } else {
                                                                    return label;
                                                                }
                                                            },
                                                            maxRotation: 90,
                                                            minRotation: 90
                                                        }
                                                    }],
                                                    yAxes: [{
                                                        stacked: true,
                                                        type: 'linear',
                                                    }]
                                                },
                                                responsive: true,
                                                maintainAspectRatio: false,
                                                legend: {
                                                    position: 'top'
                                                },
                                            }
                                        });
                                    };
                                </script> -->
                            </div>
                        </div>
                    </div>
                </div>
                <?php include('footer.php'); ?>
                <div class="content-backdrop fade"></div>
            </div>
        </div>
    </div>
</body>

</html>