<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include('session.php');
include('../config.php');
include('../common.php'); ?>
<!DOCTYPE html>
<!-- beautify ignore:start -->
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">
  <head>
  <title><?php echo $projecttitle; ?> - Dashboard</title>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
  <meta name="description" content="" />
  <style>

	#snip-overlay
{
  position: absolute;
      border: 1.5px dashed black;
      pointer-events: none;
      z-index:1000;
}
#canvas{
    position: absolute; 
    cursor:crosshair;
     top:0;
    left:0;
   }

        .tableName {
			max-width: 200px;
			overflow: hidden;
			text-overflow: ellipsis;
			white-space: nowrap;
		}

		.tableName:hover {
            text-overflow: clip;
            white-space: normal;
            /* word-break: break-all; */
        }

    /* .text-hide{
    display: block;
    width: 125px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    } */

    .tooltip {
      position: relative;
      display: inline-block;
    }

    .tooltip .tooltiptext {
      visibility: hidden;
      width: 120px;
      background-color: gray;
      color: #fff;
      text-align: center;
      border-radius: 6px;
      padding: 5px 0;
    
      /* Position the tooltip */
      position: absolute;
      z-index: 1;
    }
    
    .tooltip:hover .tooltiptext {
      visibility: visible;
    }

    /* .text-hide:hover{
    overflow: inherit;
    width: auto;
    } */

    .wrapper 
    {
        width: 100%;
        display: block;
        overflow: hidden;
        margin: 0 auto;
        padding: 60px 50px;
        background: #fff;
        border-radius: 4px;
    }

    .bar_canvas {
        background: #fff;
        height: 300px;
    }
    
    .loader
    {
        display: none;
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: 999;
        background: rgba(255,255,255,0.8) url("../assets/img/loader.gif") center no-repeat;
    }

    /* colse button */
    .dataTables_wrapper .dataTables_filter input:not(:valid):not(:focus){
	   box-shadow: 0 0 5px #fff!important;
		}
		.dataTables_wrapper .dataTables_filter input::-webkit-search-cancel-button {
		  -webkit-appearance: none!important;
		}
		.dataTables_wrapper .dataTables_filter button{
		  visibility: hidden;
		  outline: none;
		}
		.dataTables_wrapper .dataTables_filter input:valid ~ button{
		  visibility: visible;
		}

        @media screen and (min-width:700px) {
            .daySelection {
                width: 38%;
                display: flex;
                justify-content: end;
            }            
        }

        @media screen and (min-width:420px) and  (max-width:699px) {
            .daySelection {
                width: 40%;
                display: flex;
                justify-content: center;
            }
            
            .main-chart {
                width: 200px;
                height: 400px;
            }
        }

        @media screen and(min-width:220px) and (max-width:419px) {
            .daySelection {
                width: 80%;
                margin: auto;
            }
            
            .main-chart {
                width: 90%;
                height: 2100px;
            }
        }
    </style>

    <?php include('head.php'); ?>
    <!--<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.min.js"></script>-->
  </head>

  <body onload="dash_filter()">
  <div id="snip-overlay" class="snip-overlay"></div>
  <div class="loader"></div>
 
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
     
        <!-- Menu -->
        <?php include('sidebar.php'); ?>
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->
          <?php include('navbar.php'); ?>
          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->
            <div class="container-xxl flex-grow-1 container-p-y">
                <div class="row">
                    <div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-4 d-flex justify-content-center justify-content-sm-center justify-content-md-center justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                        <p class="h3"><?php echo $GLOBALS['strDashboard_Title']; ?></p>
                        <input type="hidden" name="clientid" id="clientid" value="<?php echo $_SESSION['clientid']; ?>">
                    </div>
                    <div class="col col-12 col-sm-12 col-md-8 col-lg-8 col-xl-8 col-xxl-8 d-flex justify-content-center justify-content-sm-center justify-content-md-center justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                    <!-- d-flex justify-content-end     -->
                        <!-- <div class=""> -->
                            <div class="mb-3 daySelection">
                                <select id="getDuration" class="form-select text-dark" 
                                onchange="dash_filter()">
                                    <option selected value="Today"><?php echo $GLOBALS['strToday']; ?></option>
                                    <option value="Yesterday"><?php echo $GLOBALS['strYesterday']; ?></option>
                                    <option value="Last 7 days"><?php echo $GLOBALS['strLast_7_days']; ?></option>
                                    <option value="Last 30 days"><?php echo $GLOBALS['strLast 30 days']; ?></option>
                                    <option value="Last Month"><?php echo $GLOBALS['strLast Month']; ?></option>
                                    <option value="This Month"><?php echo $GLOBALS['strThis Month']; ?></option>
                                    <option value='all statistics'><?php echo $GLOBALS['strAll Statistics']; ?></option>
                                    <option value="custom"><?php echo $GLOBALS['strCustom']; ?></option>
                                </select>
                            </div>
                            <!-- <div class='row'> -->
                            <input style="display: none; margin-left:3%" id="daterange" name="daterange" class='mt-2 w-25'/>
                            <!-- </div> -->
                        <!-- </div> -->
                    </div>                    
                </div>

                <div class="row mt-1 d-flex justify-content-center">
                    <!-- Campaign Chart -->
                    <div class="col col-12 col-sm-12 col-md-11 col-lg-7 col-xl-8 col-xxl-8">
                        <div class="col-12 col-lg-12 order-2 order-md-3 order-lg-2 mb-4">
                            <div class="card">
                              <div class="row row-bordered g-0">
                                <div class="col-md-12" >
                                    <div class='card-body'>
                                        <div class='container'>
                                            <div class="row">
                                                <div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-4 d-flex justify-content-center justify-content-sm-center justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                                                    <h5 class= "mt-2 mt-sm-2 mt-md-4 mt-lg-4 mt-xl-4 mt-xxl-4 me-2 pb-3"><?php echo $GLOBALS['campaignChart_title']; ?></h5>
                                                </div>
                                                <div class="col col-12 col-sm-12 col-md-8 col-lg-8 col-xl-8 col-xxl-8 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                                        <div class="mt-1 mt-sm-1 mt-md-4 mt-lg-4 mt-xl-4 mt-xxl-4 daySelection" >
                                                            <select id='campaignGraph' class="form-select text-dark" onchange='dash_filter()'>
                                                                <option value="impression" selected><?php echo $GLOBALS['strImpression']; ?></option>
                                                                <option value="clicks"><?php echo $GLOBALS['strClicks']; ?></option>
                                                                <option value="conversion"><?php echo $GLOBALS['strConversion']; ?></option>
                                                                <option value="spend"><?php echo $GLOBALS['strSpend']; ?></option>
                                                                <option value="ctr"><?php echo $GLOBALS['strCTR']; ?></option>
                                                                <option value="ecpm"><?php echo $GLOBALS['strECPM']; ?></option>
                                                            </select>
                                                        </div>
                                                </div>
                                            </div>
                                            <div class='d-flex justify-content-end'>
                                                <div class="mt-3">
                                                    <button class="btn" type="button" data-bs-toggle="modal" title="Campaign Chart Zoom"
                                                        data-bs-target="#fullscreenModal" id='zoomButton'>
                                                        <i class="fa fa-arrows-alt text-primary"></i>
                                                    </button>
                                                </div>
                                                <div class="modal fade" id="fullscreenModal" tabindex="-1" aria-hidden="true">
                                                    <div class="modal-dialog modal-fullscreen" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="modalFullTitle"><?php echo $GLOBALS['campaignChart']; ?></h5>
                                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <canvas id="line-chart2"></canvas>
                                                                <script>
                                                              
                                                                    function campaignChart(campaignName, ImpressionValue, clickValue, conversionsValue, revenueValue, ctrValue, ecpmValue) {
                                                                        var getValue = document.getElementById('campaignGraph').value;
                                            
                                                                      var zoomCampaignChart = new Chart(document.getElementById("line-chart2"), {
                                                                            type: 'line',
                                                                            data: {
                                                                                labels: campaignName,
                                                                                datasets: [{
                                                                                    data: getValue == 'impression' ? ImpressionValue : getValue == 'clicks' ? clickValue :
                                                                                        getValue == 'conversion' ? conversionsValue : getValue == 'spend' ? revenueValue :
                                                                                            getValue == 'ctr' ? ctrValue : getValue == 'ecpm' ? ecpmValue : "",
                                                                                    label: getValue == 'impression' ? `<?php echo $GLOBALS['strImpression']; ?>` : getValue == 'clicks' ? `<?php echo $GLOBALS['strClicks']; ?>` :
                                                                                        getValue == 'conversion' ? `<?php echo $GLOBALS['strConversion']; ?>` : getValue == 'spend' ?`<?php echo $GLOBALS['strSpend']; ?>` :
                                                                                            getValue == 'ctr' ?`<?php echo $GLOBALS['strCTR']; ?>` : getValue == 'ecpm' ?`<?php echo $GLOBALS['strECPM']; ?>` : "",
                                                                                    borderColor: getValue == 'impression' ? "#3e95cd" : getValue == 'clicks' ? "#8e5ea2" :
                                                                                        getValue == 'conversion' ? "#e83e8c" : getValue == 'spend' ? "#e79f0d" :
                                                                                            getValue == 'ctr' ? "#c45850" : getValue == 'ecpm' ? "#fd7e14" : "",
                                                                                    fill: false
                                                                                }]
                                                                            },
                                                                            options: {
                                                                                responsive: true,
                                                                                title: {
                                                                                    display: true,
                                                                                    text: `<?php echo $GLOBALS['campaignChart']; ?>`
                                                                                },
                                                                                layout:{
                                                                                    padding:5
                                                                                },
                                                                                scales: {
                                                                                    xAxes: [{
                                                                                        display: true,
                                                                                        scaleLabel: {
                                                                                            display: true,
                                                                                            // labelString: '13-03-2023 to 18-03-2023'
                                                                                        },
                                                                                        labelWrap: true,
                                                                                        ticks: {
                                                                                            maxRotation: 90,
                                                                                            minRotation: 90
                                                                                        }
                                                                                    }],
                                                                                    yAxes: [
                                                                                        {
                                                                                            display: true,
                                                                                            scaleLabel: {
                                                                                                display: true
                                                                                            }
                                                                                        }
                                                                                    ]
                                                                                }
                                                                            }
                                                                        });

                                                                        var checkChart = document.getElementById("campaignGraph");
                                                                        campaignGraph.addEventListener("change", function () {
                                                                            zoomCampaignChart.destroy();
                                                                        });
                                                                    };
                                                                </script>
                                                            </div>
                                                        </div>
                                                   </div>
                                               </div>
                                            </div>
                                        </div>
                                        <div class='container main-chart'>
                                            <canvas id="line-chart1"></canvas>
                                            <script>
                                                function testChart(campaignName, ImpressionValue, clickValue, conversionsValue, revenueValue, ctrValue, ecpmValue) {
                                                    $(".loader").hide();
                                                    var getValue = document.getElementById('campaignGraph').value;

                                                    var newChart = new Chart(document.getElementById("line-chart1"), {
                                                        type: 'line',
                                                        data: {
                                                            labels: campaignName,
                                                            datasets: [{
                                                                data: getValue == 'impression'?ImpressionValue:getValue == 'clicks'?clickValue:
                                                                      getValue == 'conversion'?conversionsValue:getValue == 'spend'?revenueValue:
                                                                      getValue == 'ctr'?ctrValue:getValue == 'ecpm'?ecpmValue:"",
                                                                label: getValue == 'impression' ? `<?php echo $GLOBALS['strImpression']; ?>` : getValue == 'clicks' ? `<?php echo $GLOBALS['strClicks']; ?>` :
                                                                       getValue == 'conversion' ? `<?php echo $GLOBALS['strConversion']; ?>` : getValue == 'spend' ?`<?php echo $GLOBALS['strSpend']; ?>` :
                                                                       getValue == 'ctr' ?`<?php echo $GLOBALS['strCTR']; ?>` : getValue == 'ecpm' ?`<?php echo $GLOBALS['strECPM']; ?>` : "",
                                                                borderColor:getValue == 'impression'?"#3e95cd":getValue == 'clicks'?"#8e5ea2":
                                                                            getValue == 'conversion'?"#e83e8c":getValue == 'spend'?"#e79f0d":
                                                                            getValue == 'ctr'?"#c45850":getValue == 'ecpm'?"#fd7e14":"",
                                                                fill: false
                                                            }]
                                                        },
                                                        options: {
                                                            responsive: true,
                                                            title: {
                                                                display: true,
                                                                text: `<?php echo $GLOBALS['campaignChart']; ?>`
                                                            },
                                                            layout:{
                                                                padding:5
                                                            },
                                                            // hover: {mode: null},
                                                            // events: [],
                                                            scales: {
                                                                xAxes: [{
                                                                    display: true,
                                                                    scaleLabel: {
                                                                        display: true,
                                                                        // labelString: "Campaign Name"
                                                                    },
                                                                    labelWrap: true,
                                                                    ticks: {
                                                                        maxRotation: 90,
                                                                        minRotation: 90
                                                                    },
                                                                }],
                                                                yAxes: [
                                                                    {
                                                                        display: true,
                                                                        scaleLabel: {
                                                                            display: true
                                                                        }
                                                                    }
                                                                ]
                                                            }
                                                        }
                                                   });

                                                    var checkChart = document.getElementById("campaignGraph");
                                                    campaignGraph.addEventListener("change", function() {
                                                        newChart.destroy();
                                                    });
                                                };
                                            </script>
                                        </div>
                                    </div>
                                </div>
                              </div>
                            </div>
                          </div>
                    </div>
                    
                    <div class="col col-12 col-sm-12 col-md-11 col-lg-4 col-xl-4 col-xxl-4">
                         <!-- weights - Request, Impress  -->
                        <div class="row mb-3 mt-sm-2 mt-md-2 mt-lg-5 mt-xl-5 mt-xxl-5">
                            <div class="col col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-4 mb-sm-4 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2 d-flex justify-content-center justify-content-sm-center">
                                <div class="card" style='width:95%'>
                                    <div class="card-body text-center">
                                        <i class="fa  fa-podcast  fa-2x text-primary"  aria-hidden="true"></i>
                                        <span class="fw-semibold d-block text-primary  h6 mt-2 mb-2"><b><?php echo $GLOBALS['strRequests']; ?></b></span>
                                        <h3 class="card-title mb-1" id="req">0</h3>
                                    </div>
                                </div>
                            </div>
                            <div class="col col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-2 mb-sm-2 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2 d-flex justify-content-center justify-content-sm-center">
                                <div class="card" style='width:95%'>
                                    <div class="card-body text-center">
                                        <i class="fa fa-external-link  fa-2x text-primary" aria-hidden="true"></i>
                                        <span class="fw-semibold d-block text-primary h6 mt-2 mb-2"><b><?php echo $GLOBALS['strImpression']; ?></b></span>
                                        <h3 class="card-title  mb-1" id="imp">0</h3>
                                    </div>
                                  </div>
                            </div>
                        </div>
                        <!--weights- Click and Conversion -->
                        <div class="row mb-3 mt-2">
                            <div class="col col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-4 mb-sm-4 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2 d-flex justify-content-center justify-content-sm-center">
                                <div class="card" style='width:95%'>
                                    <div class="card-body text-center">
                                        <i class="fa  fa-hand-pointer-o  fa-2x text-primary" aria-hidden="true"></i>
                                        <span class="fw-semibold d-block  text-primary h6 mt-2 mb-2"><b><?php echo $GLOBALS['strClicks']; ?></b></span>
                                        <h3 class="card-title text-nowrap mb-1" id="cli">0</h3>
                                    </div>
                                </div>
                            </div>
                            <div class="col col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-2 mb-sm-2 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2 d-flex justify-content-center justify-content-sm-center">
                                <div class="card" style='width:95%'>
                                    <div class="card-body text-center">
                                        <i class="fa fa-credit-card-alt fa-2x text-primary" aria-hidden="true"></i>
                                        <span class="fw-semibold d-block text-primary h6 mt-2 mb-2"><b><?php echo $GLOBALS['strConversion']; ?></b></span>
                                        <h3 class="card-title mb-1" id="con">0</h3>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="" >
                    <div class="row d-flex justify-content-center" >
                    <!-- Top Campaigns style="margin-top: -10px;" -->
                        <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-3 mb-sm-3 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2">
                            <div class="card" style='height: 94%'>
                                <div class="card-body table-responsive">
                                    <p class="h4 d-flex justify-content-center justify-content-sm-start justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start"><?php echo $GLOBALS['strTopCampaigns']; ?></p>
                                    <table id="top_campaign" class="table table-hover table-striped table-responsive mt-3">
                                        <thead>
                                            <tr>
                                                <th class="th-color text-center"><?php echo $GLOBALS['strName']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strImpression']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strClicks']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strConversion']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strSpend']; ?></th>
                                            </tr>
                                        </thead>
                                        <tbody class="text-center" id="campaign_table"></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <!-- Top Banner -->
                        <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-3 mb-sm-3 mb-md-2 mb-lg-2 mb-xl-2 mb-xxl-2">
                            <div class="card mb-4" style='height: 94%'>
                                <div class="card-body table-responsive">
                                    <p class="h4 d-flex justify-content-center justify-content-sm-start justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start"><?php echo $GLOBALS['strTopBanners']; ?></p>
                                    <table id="top_banner" class="table table-hover table-striped mt-3">
                                        <thead>
                                            <tr>
                                                <th><?php echo $GLOBALS['strName']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strImpression']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strClicks']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strConversion']; ?></th>
                                                <th class="text-center"><?php echo $GLOBALS['strSpend']; ?></th>
                                            </tr>
                                        </thead>
                                        <tbody class="text-center" id="banner_table"></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Top Country -->
                    <div class="card mb-4">
                        <div class="card-body table-responsive">
                            <div class="row">
                                <div class="col col-xs-12 col-sm-12 col-md-5 col-lg-6 col-xl-6 col-xxl-6">
                                    <div class='card'>
                                        <div class='card-body table-responsive'>
                                            <p class="h4 "><?php echo $GLOBALS['strTopCountry']; ?></p>
                                            <table id="top_country" class="table table-hover table-striped mt-3">
                                                <thead>
                                                    <tr>
                                                        <th><?php echo $GLOBALS['strName']; ?></th>
                                                        <th class="text-center"><?php echo $GLOBALS['strImpression']; ?></th>
                                                        <th class="text-center"><?php echo $GLOBALS['strClicks']; ?></th>
                                                        <th class="text-center"><?php echo $GLOBALS['strSpend']; ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody class="text-center" id='country_table'></tbody>
                                            </table>
                                        </div>
                                    </div>  
                                </div>
                                <div class="col col-xs-12 col-sm-12 col-md-7 col-lg-6 col-xl-6 col-xxl-6">
                                    <div class="wrapper">
                                        <canvas id="myChart4" class="bar_canvas"></canvas>
                                        <script>
                                            function biChangeChart(country_name, imp, click_value) {
                                                $(".loader").hide();
                                                var ctx = document.getElementById("myChart4").getContext('2d');
                                                if (window.bar != undefined)
                                                    window.bar.destroy();

                                                window.bar = new Chart(ctx, {
                                                    type: 'bar',
                                                    data: {
                                                        labels: country_name,
                                                        datasets: [{
                                                            label: `<?php echo $GLOBALS['strImpression']; ?>`,
                                                            backgroundColor: "#03c3ec",
                                                            data: imp
                                                        }, {
                                                            label: `<?php echo $GLOBALS['strClicks']; ?>`,
                                                            backgroundColor: "#007bff",
                                                            data: click_value
                                                        }],
                                                    },
                                                    options: {
                                                        tooltips: {
                                                            displayColors: true,
                                                            callbacks: {
                                                                mode: 'x',
                                                            },
                                                        },
                                                        scales: {
                                                            xAxes: [{
                                                                stacked: true,
                                                                gridLines: {
                                                                    display: false,
                                                                },
                                                                ticks: {
                                                                    callback: function (label) {
                                                                        if (/\s/.test(label)) {
                                                                            return label.split(" ");
                                                                        }
                                                                        else {
                                                                            return label;
                                                                        }
                                                                    },
                                                                    maxRotation: 90,
                                                                    minRotation: 90
                                                                }
                                                            }],
                                                            yAxes: [{
                                                                stacked: true,
                                                                // ticks: {
                                                                //     beginAtZero: true,
                                                                //     min: 0,
                                                                //     max: 1000,
                                                                //     stepSize: 100
                                                                // },
                                                                type: 'linear',
                                                            }]
                                                        },
                                                        responsive: true,
                                                        maintainAspectRatio: false,
                                                        legend: { position: 'top' },
                                                    }
                                                });
                                            };
                                        </script>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- / Content -->
        <?php include('footer.php'); ?>
        
        <!-- <script src="../assets/js/config.js"></script> -->
        <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <script>
            const live_URL = '<?php echo $apistatpath; ?>';
            const token = 'Bearer ' + document.getElementById('token').value;
            let client_id = document.getElementById('clientid').value, get_todayDate;

            //API's
            let campaign_url = live_URL + '/get_advertiser_campaign_graph_statistics/';
            let widgets_url = live_URL + '/get_advertiser_campaign_statistics/';
            let topCampaign_url = live_URL + '/get_top_campaign_statistics/';
            let topBanner_url = live_URL + '/get_top_banner_statistics/';
            let topCountry_url = live_URL + '/get_top_country_details/';            

            function dash_filter() {
                $(".loader").show();
                const date = new Date();
                let filtervalue = document.getElementById('getDuration').value;

                document.getElementById("daterange").style.display = filtervalue == 'custom'?"block":"none";

                if (filtervalue == 'Today') {
                    let v3 = JSON.stringify(date).slice(1, 11);
                    get_todayDate = v3;
                    getDashboardDay(v3, v3);
                }
                else if (filtervalue == 'Yesterday') {
                    let current_date = date.setDate(date.getDate() - 1);
                    const get_date = new Date(date);
                    let yesterday_date = JSON.stringify(get_date).slice(1, 11);
                    getDashboardDay(yesterday_date, yesterday_date);
                }
                else if (filtervalue == 'Last 7 days') {
                    let date_start = date.setDate(date.getDate() - 7);
                    let get_date = new Date(date_start);
                    let first_day = JSON.stringify(get_date).slice(1, 11);
                    first_day = first_day

                    let todayDate = new Date();
                    let current_date = todayDate.setDate(todayDate.getDate() - 1);
                    let last_7Days = new Date(todayDate);
                    let date_end = JSON.stringify(last_7Days).slice(1, 11);
                    getDashboardDay(first_day, date_end);
                }
                else if (filtervalue == 'Last 30 days') {
                    let date_start = date.setDate(date.getDate() - 30);
                    let get_date = new Date(date_start);
                    var first_day = JSON.stringify(get_date).slice(1, 11);

                    let todayDate = new Date();
                    let current_date = todayDate.setDate(todayDate.getDate() - 1);
                    let last_30Days = new Date(todayDate);
                    let date_end = JSON.stringify(last_30Days).slice(1, 11);
                    getDashboardDay(first_day, date_end);
                }
                else if (filtervalue == 'This Month') {
                    let firstDay = new Date(date.getFullYear(), date.getMonth(), 1);
                    let cDate = firstDay.getDate(), cMonth = firstDay.getMonth() + 1, cYear = firstDay.getFullYear();
                    let first_day = cYear + "-" + cMonth + "-" + cDate;

                    let lastDay = new Date(date.getFullYear(), date.getMonth() + 1, 0);
                    let year = lastDay.getFullYear(), month = lastDay.getMonth() + 1, day = lastDay.getDate();
                    let date_end = year + "-" + month + "-" + day;
                    getDashboardDay(first_day, date_end);
                }
                else if (filtervalue == 'Last Month') {
                    var prevMonthLastDate = new Date(date.getFullYear(), date.getMonth(), 0);
                    var prevMonthFirstDate = new Date(date.getFullYear() - (date.getMonth() > 0 ? 0 : 1), (date.getMonth() - 1 + 12) % 12, 1);
                    var formatDateComponent = function (dateComponent) {
                        return (dateComponent < 10 ? '0' : '') + dateComponent;
                    }
                    var formatDate = function (date) {
                        return date.getFullYear() + "-" + formatDateComponent(date.getMonth() + 1) + "-" + formatDateComponent(date.getDate())
                    };
                    var start_date = formatDate(prevMonthFirstDate), end_date = formatDate(prevMonthLastDate);
                    getDashboardDay(start_date, end_date);
                }
                else if (filtervalue == 'all statistics') {
                    getDashboardDay(start_date=0, end_date=0);
                }
                else if (filtervalue == 'custom') {
                    $(".loader").hide();
                    getDashboardDay(get_todayDate, get_todayDate);
                    var start_date,end_date;
                    $(function () {
                        $('input[name="daterange"]').daterangepicker({
                            opens: 'left',
                            locale: {
                                format: 'DD/MM/YYYY'
                            }
                        }, function (start, end, label) {
                             start_date = start.format('YYYY-MM-DD'), end_date = end.format('YYYY-MM-DD');
                             localStorage.setItem("custom_startDate", start_date);
                             localStorage.setItem("custom_endDate", end_date);
                            getDashboardDay(start_date, end_date);
                        })
                    });
                    start_date != 'undefined'?testChart(campaignName = [], ImpressionValue = [], clickValue = [],
                                conversionsValue = [], revenueValue = [], ctrValue = [],
                                ecpmValue = []):"0";
                                document.getElementById("zoomButton").disabled = true;
                }
            };

            function getDashboardDay(startDate, endDate) {
                let getDay = document.getElementById('getDuration').value;
                let getCustom_startDate = localStorage.getItem("custom_startDate");
                let getCustom_endDate = localStorage.getItem("custom_endDate");
				let payload;

                if(getDay == "custom"){
                    startDate = getCustom_startDate; endDate = getCustom_endDate;
                }
                else {
                    startDate = startDate; endDate = endDate;
                    localStorage.setItem("custom_startDate", get_todayDate);
                    localStorage.setItem("custom_endDate", get_todayDate);
                }

                payload = (startDate == 0 && endDate == 0)?{"action": 'all'}:
                {"action": '',"start_date": startDate + ' 00:00:00,',"end_date": endDate + ' 23:59:59,'};
                
                // Campaign Chart Start
                $.ajax({
                    url: campaign_url + client_id,
                    type: 'POST',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: payload,
                    success: function (data) {
                        if (data.msg == 'No Stats Available') {
                            testChart(campaignName = [], ImpressionValue = [], clickValue = [],
                                conversionsValue = [], revenueValue = [], ctrValue = [],
                                ecpmValue = []);
                            document.getElementById("zoomButton").disabled = true;
                            document.getElementById("zoomButton").title=`<?php echo $GLOBALS['noData_buttonDisabled']; ?>`;
                        }
                        else {
                            $(".loader").show();
                            document.getElementById("zoomButton").disabled = false;
                            document.getElementById("zoomButton").title=`<?php echo $GLOBALS['zoom_button']; ?>`;

                            let campaignName = data.map((data) => {
                                return data.campaignname;
                            });

                            let ImpressionValue = data.map((data, index) => {
                                if (data.impressions == null) {
                                    return data.impressions = 0;
                                }
                                else {
                                    return data.impressions;
                                }
                            });

                            let clickValue = data.map((data) => {
                                if (data.clicks == null) {
                                    return data.clicks = 0;
                                }
                                else {
                                    return data.clicks;
                                }
                            });

                            var conversionsValue = data.map((data) => {
                                if (data.conversions == null) {
                                    return data.conversions = 0;
                                }
                                else {
                                    return data.conversions;
                                }
                            });

                            var revenueValue = data.map((value, index) => {
                                // let convert = parseInt(value.revenue, 10);
                                if (value.revenue == null) {
                                    return value.revenue = 0;
                                }
                                else {
                                    return value.revenue;
                                }
                            });

                            var ctrValue = data.map((data, index) => {
                                if (data.ctr == null) {
                                    return data.ctr = 0;
                                }
                                else {
                                    return data.ctr;
                                }
                            });

                            var ecpmValue = data.map((data, index) => {
                                if (data.ecpm == null) {
                                    return data.ecpm = 0;
                                }
                                else {
                                    return data.ecpm;
                                }
                            });

                            campaignChart(campaignName, ImpressionValue, clickValue, conversionsValue, revenueValue, ctrValue, ecpmValue);
                            testChart(campaignName, ImpressionValue, clickValue, conversionsValue, revenueValue, ctrValue, ecpmValue);
                        }
                    },
                    error: function () { },
                });
                // Campaign Chart End

                // Start impression, click, request and conversion
                $.ajax({
                    url: widgets_url + client_id,
                    type: 'POST',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: payload,
                    success: function (data) {
                        //$('#hmm').html(data);
                        // console.log("data", data);
                        $(".loader").hide();
                        if (data.msg == 'No Stats Available') {
                            document.getElementById('imp').innerHTML = 0;
                            document.getElementById('cli').innerHTML = 0;
                            document.getElementById('con').innerHTML = 0;
                            document.getElementById('req').innerHTML = 0;
                        }
                        else {
                            const entries = Object.values(data);
                            if (entries[0]['requests'] == null && entries[0]['impressions'] == null && entries[0]['clicks'] == null && entries[0]['conversions'] == null) {
                                document.getElementById('req').innerHTML = 0;
                                document.getElementById('imp').innerHTML = 0;
                                document.getElementById('cli').innerHTML = 0;
                                document.getElementById('con').innerHTML = 0;
                            }
                            else {
                                document.getElementById('req').innerHTML = Number(data[0].requests).toLocaleString("en-IN");
                                document.getElementById('imp').innerHTML = Number(data[0].impressions).toLocaleString("en-IN");
                                document.getElementById('cli').innerHTML = Number(data[0].clicks).toLocaleString("en-IN");
                                document.getElementById('con').innerHTML = Number(data[0].conversions).toLocaleString("en-IN");
                            }
                        }
                    },
                    error: function () { },
                });
                // End impression, click, request and conversion

                // Top Campaign Start
                $.ajax({
                    url: topCampaign_url + client_id,
                    type: 'POST',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: payload,
                    success: function (data) {
                        $(".loader").hide();
                        if (data.msg == 'No Stats Available') {
                            document.getElementById('campaign_table').innerHTML = `<tr><td colspan="5"><?php echo $GLOBALS['strNo_Data_Meassages']; ?></td></tr>`;
                        }
                        else {
                            var getCamData = "";
                            data.map((data, index) => {
                                if (data.spend == null) { var spend = 0.00; }
                                else { var spend = data.spend; }
                                getCamData += `<tr key=${index}>
                                                 <td class="text-start tableName">${data.campaignname}</td>
                                                 <td>${Number(data.impressions).toLocaleString("en-IN")}</td>
                                                 <td>${Number(data.clicks).toLocaleString("en-IN")}</td>
                                                 <td>${Number(data.conversions).toLocaleString("en-IN")}</td>
                                                 <td>`+ spend + `</td>
                                             </tr>`
                            });
                            document.getElementById('campaign_table').innerHTML = getCamData;
                        }
                    },
                    error: function () { },
                });
                // End Top Campaign

                // Start Top Banner
                $.ajax({
                    url: topBanner_url + client_id,
                    type: 'POST',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: payload,
                    success: function (data) {
                        $(".loader").hide();
                        let getBanData = "";

                        if (data.msg == 'No Stats Available') {
                            document.getElementById('banner_table').innerHTML = `<tr><td colspan="5"><?php echo $GLOBALS['strNo_Data_Meassages']; ?></td></tr>`;
                        }
                        else {
                            data.map((data, index) => {
                                let spend = data.spend == null?0.00:data.spend; 
                                getBanData += `<tr key=${index}>
                                                    <td class='text-start tableName'>${data.bannername}</td>
                                                    <td>${Number(data.impressions).toLocaleString("en-IN")}</td>
                                                    <td>${Number(data.clicks).toLocaleString("en-IN")}</td>
                                                    <td>${Number(data.conversions).toLocaleString("en-IN")}</td>
                                                    <td>`+ spend + `</td>
                                                </tr>`;
                            });
                            document.getElementById('banner_table').innerHTML = getBanData;
                        }
                    },
                    error: function () { },
                });
                // End Top Banner

                // Start Top Country
                $.ajax({
                    url: topCountry_url + client_id,
                    type: 'POST',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: payload,
                    success: function (data) {
                        if (data.msg == 'No Stats Available') {
                            document.getElementById('country_table').innerHTML = `<tr><td colspan="5"><?php echo $GLOBALS['strNo_Data_Meassages']; ?></td></tr>`;
                            biChangeChart(v1 = [], imp = [], click_value = []);
                        }
                        else {
                            $(".loader").show();
                            let countryData = "";
                            data.map((data, index) => {
                                let spend = data.revenue == null?0.00:data.revenue;
                                countryData += `<tr key='index'>
                                    <td class='text-start'>${data.countryname}</td>
                                                <td>${Number(data.impressions).toLocaleString("en-IN")}</td>
                                                <td>${Number(data.clicks).toLocaleString("en-IN")}</td>
                                                <td>`+spend+`</td>
                                                    </tr>`
                            });
                            document.getElementById('country_table').innerHTML = countryData;
                              
                            let countryName = data.map((data) => {
                                return data.countryname;
                            });

                            let impressionValue = data.map((data) => {
                                return data.impressions;
                            });

                            let clickValue = data.map((data) => {
                                return data.clicks;
                            });

                            biChangeChart(countryName, impressionValue, clickValue);
                        }
                    },
                    error: function () { },
                });
                // End Top Country
            };
       //snipping tool
            let isSnipping = false;
let count = 0;

var snipOverlay = document.getElementById('snip-overlay');

document.getElementById("captureButton").addEventListener("click", function() {
	// Capture the specified div as an image
	if (count == 0) {
		snipOverlay.style.width = "unset";
		snipOverlay.style.height = "unset";
       
       snipOverlay.style.display = 'none';
       
	}
    else{
        snipOverlay.style.display = 'none';
    }
	count = 1;

	
	isSnipping = true;
	var bodyh = document.getElementsByTagName("body");
	html2canvas(bodyh, document.querySelector(".preview_area"), {
        letterRendering: 1,
        logging: true,
        allowTaint     : true,
        useCORS: true,
		width: bodyh.scrolWidth,
		height: bodyh.scrollHeight,
       
	}).then(function(canvas) {
        console.log(canvas)
		canvas.id = "canvas";
		document.body.appendChild(canvas);
        
	});
	const myTimeout = setTimeout(myfunction, 1000);

	function myfunction() {
		canvas = document.getElementById('canvas');
		context = canvas.getContext('2d');

		var start = {};
		var mouseDown = false;

		function getMousePos(canvas, evt) {
			var rect = canvas.getBoundingClientRect();
     
				scaleX = canvas.width / rect.width;
				scaleY = canvas.height / rect.height;

			return {
				x: (evt.clientX - rect.left) * scaleX,
				y: (evt.clientY - rect.top) * scaleY,
			};
		}

		function startRect(e) {
			start = getMousePos(canvas, e);
			//context.strokeStyle = 'blue';
			mouseDown = true;
			if (isSnipping) {
                snipOverlay.style.display="block";
				snipOverlay.style.left = start.x + 'px';
				snipOverlay.style.top = start.y + 'px';
			}
		}

		window.addEventListener('mousedown', startRect);

		function endRect(e) {

			if (isSnipping) {
				isSnipping = false;
				snipOverlay.style.display = 'none';

			}
			let {x,y} = getMousePos(canvas, e);

			//  context.strokeStyle = 'blue';

			context.strokeRect(start.x, start.y, x - start.x, y - start.y);

			const sample = setTimeout(demo, 1000)

			function demo() {

				var canvas1 = document.getElementById('canvas');
				const captureArea = {
					xp: start.x, // X-coordinate of the top-left corner of the area
					yp: start.y, // Y-coordinate of the top-left corner of the area
					width: (x - start.x), // Width of the area
					height: (y - start.y) // Height of the area
				};

				const newCanvas = document.createElement('canvas');
				canvas1.remove();

				newCanvas.style.position = "absolute";
				newCanvas.setAttribute("width", captureArea.width);
				newCanvas.setAttribute("height", captureArea.height);
				newCanvas.setAttribute("id", "my");



				const ctx = newCanvas.getContext('2d');
				ctx.drawImage(canvas1, captureArea.xp, captureArea.yp, captureArea.width, captureArea.height, 0, 0, captureArea.width, captureArea.height);

				
				document.body.appendChild(newCanvas);

				html2canvas(newCanvas, {
					x: captureArea.xp,
					y: captureArea.yp,
					width: captureArea.width,
					height: captureArea.height,


				}).then(function(canvas) {


					if (window.ClipboardItem) {
						// Convert the cropped image to blob and copy it to the clipboard
						canvas.toBlob(function(blob) {
							const data = new ClipboardItem({
								[blob.type]: blob,
							});
							navigator.clipboard.write([data])
								.then(function() {
									alert('Image cropped and copied to clipboard.');


								})
								.catch(function(err) {
									console.error('Error copying image:', err);
								});
						}, 'image/png');

						var abc = document.getElementById("my");
						abc.style.display = "none";
						window.removeEventListener('mouseup', endRect);
						window.removeEventListener('mousedown', startRect);
						window.removeEventListener('mousemove', drawSquare);
						document.getElementById("snip-overlay").style.display = "none";
						count = 0;
						newCanvas.remove();
					} else {
						alert("update you firebox");

						return false;
						const divContent = document.getElementById("my");
						
						const range = document.createRange();
						range.selectNode(divContent);

						// Create a selection and add the range to it
						const selection = window.getSelection();
						selection.removeAllRanges();
						selection.addRange(range);

						// Copy the selected content to the clipboard
						document.execCommand("copy");

						// Clean up the selection
						selection.removeAllRanges();


					}
				});
			}
			mouseDown = false;
		}

		function drawSquare(e) {
			if (!mouseDown) return;
			// creating a square
			let width = e.clientX - start.x;
			let height = e.offsetY- start.y;
            
     
			if (isSnipping) {
				snipOverlay.style.width = width + 'px';
				snipOverlay.style.height = height+ 'px';
			}
		}

		window.addEventListener('mouseup', endRect);

		window.addEventListener('mousemove', drawSquare);
		/**End Drawing a rectangle on the canvas **/



	}
});
</script>
  </body>
</html>