<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>Adserver - Banner </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>

</head>
<style>
    .alert {
        display: none;
    }

    .text-hide {
        display: flex;
        width: 130px !important;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

    .text-hide:hover {
        overflow: hidden;
    }

    .card-body {
        padding: 0 !important;
    }

    .dataTables_scrollBody {
        height: auto !important;
    }

    .table-striped {
        width: 1200px !important;
    }

    .text_convert {
        text-transform: capitalize;
    }

    .btn:disabled {
        pointer-events: none;
        opacity: 0.95;
        background-color: #9E9E9E;
        border-color: #9E9E9E;
    }

    .loader {
        display: none;
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: 999;
        background: rgba(255, 255, 255, 0.8) url("../assets/img/loader.gif") center no-repeat;
    }

    .align_size {
        width: 800px;
    }

    td {
        max-width: 200px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    td:hover {
        text-overflow: clip;
        white-space: normal;
        word-break: break-all;
    }

    .h4 {
        color: #0e107c;
    }
</style>

<body onload="zonelist();check_permissions(); ">
    <div class="loader"></div>
    <input type='hidden' name="campaignid" id="campaignid" value="<?php echo $_GET['campaignid']; ?>" />
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->
            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->
                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->
                    <div class="container">
                        <div class="card my-4">
                            <ul class="nav nav-tabs" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link atag" href="banner_edit.php?bannerid=<?php echo $_GET['bannerid']; ?>"><?php echo $GLOBALS['strBanner_Edit_Head']; ?></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="banner_delivery_options.php?bannerid=<?php echo $_GET['bannerid']; ?>"><?php echo $GLOBALS['delivery_options']; ?></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link active text-primary" href="#">
                                        <?php echo $GLOBALS['link_zones']; ?>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="banner_advanced.php?bannerid=<?php echo $_GET['bannerid']; ?>"><?php echo $GLOBALS['advanced']; ?></a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <p class="h4"><?php echo $GLOBALS['link_banner_by_zone']; ?></p>
                                <div class="tab-pane fade show active" id="delivery_options_banner" role="tabpanel">
                                    <p class="alert bg-success alert-dismissible fade show text-white" id="alertsuccess"><i class="fa fa-check-circle"></i>
                                        <?php echo $GLOBALS['zone_success_alert']; ?>
                                    </p>
                                    <hr class="solid">
                                    <div class="card-body" id="tree">
                                        <div class="row">
                                            <div class="mt-2 mb-4 container">
                                                <div class="table-responsive text-nowrap">
                                                    <div class="mb-2" style="padding-left:20px;">
                                                        <input type="checkbox" class="form-check-input check-zone" id="select_all" value="Select_All">&nbsp;&nbsp;<b class="h5">
                                                            <?php echo $GLOBALS['sel_unsel_all']; ?>
                                                        </b>
                                                    </div>
                                                    <table id="Zonelist" class="table table-responsive ">
                                                        <thead>
                                                            <tr class="text-nowrap">
                                                                <th class="thauth-login-basic.html-color text-start">
                                                                    <?php echo $GLOBALS['strName']; ?>
                                                                </th>
                                                                <th class="thauth-login-basic.html-color th-color text-center">
                                                                    <?php echo $GLOBALS['link_banner_id']; ?>
                                                                </th>
                                                                <th class="thauth-login-basic.html-color th-color text-center">
                                                                    <?php echo $GLOBALS['strInventory_Description']; ?>
                                                                </th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr id="no_data">
                                                                <td class="text-center" colspan="3">
                                                                    <?php echo $GLOBALS['strNo_Data_Meassages']; ?>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="justify-content-end">
                                            <div class="col" style="padding-left:30px">
                                                <button class="btn btn-primary text-white" id="save" onclick="savechanges();">
                                                    <?php echo $GLOBALS['save_changes']; ?>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / Content -->

                    <!-- Footer -->

                    <?php include('footer.php'); ?>

                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>

                    <!-- Content wrapper -->
                </div>
                <!-- / Layout page -->
            </div>

            <!-- Overlay -->
            <div class="layout-overlay layout-menu-toggle"></div>
        </div>
        <script>
            var live_URL = '<?php echo $apiinvenpath; ?>';
            var token = 'Bearer ' + document.getElementById('token').value;
            var test1 = [],
                test2 = [];

            var bannerid = '<?php echo $_REQUEST['bannerid']; ?>';
            var userid = '<?php echo $_SESSION['user_id']; ?>';

            var perm_1 = true;
            var perm_2 = true;
            var perm_4 = true;
            var perm_10 = true;
            var perm_11 = true;

            function zonelist() {


                $.ajax({
                    url: live_URL + '/get_bannersizewise_zone/' + bannerid,
                    type: 'GET',
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    dataType: 'json',
                    encode: true,
                    success: function(data) {
                        if (!data.data) {
                            $('#no_data').show();
                            $('#save').hide();
                        } else {
                            $('#no_data').hide();
                            $('#save').show();

                            for (var i = 0; i < data.data.length; i++) {
                                var pubid = data.data[i].publisherid;
                                var row = $('<tr><td style="color:blue"><input type="checkbox"  class="data-checked form-check-input select-checkbox" name="checkrow" id="parent_' + pubid + '" value="' + data.data[i].publisherid + '" onclick="parentChanged(' + pubid + ')">&nbsp;&nbsp;<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;' + data.data[i].publishername + '</td><td class="text-center">' + data.data[i].publisherid + '</td><td></td></tr>');

                                //alert(pubid);
                                $('#Zonelist').append(row);
                                for (var j = 0; j < data.data[i].zones.length; j++) {
                                    var zon = data.data[i].zones[j];
                                    // let test2 = data.data[0].zones[j].zoneid;
                                    // console.log("zone data", test2);
                                    test1.push(zon.zonecount);
                                    test2.push(zon.zoneid);
                                    var row = $('<tr id="tr' + zon.zoneid + '"><td style="padding-left:50px;color:#1F51FF"><input type="checkbox" class="child_' + pubid + ' child form-check-input select-checkbox" name="checkrow" id="checkrow' + zon.zoneid + '" value="' + zon.zoneid + '" data-zone-id="' + zon.zoneid + '" onclick="childChanged(' + pubid + ')">&nbsp;&nbsp;&nbsp;<i class="fa fa-image" aria-hidden="true"></i>&nbsp;' + zon.zonename + '</td><td class="text-center">' + zon.zoneid + '</td><td class="text-center">' + zon.zonedescription + '</td></tr>');
                                    $('#Zonelist').append(row);
                                }
                                get_zone(test1, test2, pubid);
                                test1 = [];
                                test2 = [];
                            }
                        }
                        // console.log("test1", test1);                        
                    },
                    error: function() {},
                });
            }

            function get_zone(zon, zone_id, pubid) {
                console.log("zone", zon, "zone id", zone_id);
                for (let i = 0; i < zon.length; i++) {
                    if (zon[i] > 0) {
                        $('#checkrow' + zone_id[i]).prop('checked', true);
                        $('#tr' + zone_id[i]).children('td,th').css('background-color', '#e6eeff');
                    } else {
                        $('#checkrow' + zone_id[i]).prop('checked', false);
                        $('#tr' + zone_id[i]).children('td,th').css('background-color', '#ffff');
                    }
                }
                if ($('.child_' + pubid + ':checked').length == $('.child_' + pubid).length) {
                    $('#parent_' + pubid).prop('checked', true);
                } else {
                    $('#parent_' + pubid).prop('checked', false);
                }
                if ($('.data-checked:checked').length == $('.data-checked').length) {
                    $('#select_all').prop('checked', true);
                } else {
                    $('#select_all').prop('checked', false);
                }
            };

            function link_banner(linked_zones, unlinked_zones) {
                var zoneData = [];
                var linkzone;
                if (linked_zones != '') {
                    linkzone = linked_zones.split(',');
                    zoneData = linkzone.slice(0, -1);
                }
                console.log(zoneData);
                var link_url = live_URL + '/zonebyad_link/' + bannerid;
                var zoneData1 = {
                    "zoneid": "" + zoneData + "",
                }
                console.log(zoneData1);

                $.ajax({
                    type: "POST",
                    url: link_url,
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: zoneData1,
                    dataType: "json",
                    encode: true,
                }).done(function(data) {
                    if (unlinked_zones == '') {
                        window.scrollTo(0, 0);
                        $("#alertsuccess").show('medium');
                        setTimeout(function() {
                            $("#alertsuccess").hide('medium');
                        }, 1700);
                        setTimeout(function() {
                            location.reload();
                        }, 2000);
                    } else {
                        unlink_banner(unlinked_zones);
                    }
                });
            }


            function unlink_banner(unlinked_zones) {
                var zoneData1 = [];
                var unlinkzone;
                unlinkzone = unlinked_zones.split(',');
                zoneData1 = unlinkzone.slice(0, -1);

                console.log(zoneData1);
                var link_url = live_URL + '/zonebyad_unlink/' + bannerid;
                var zoneData2 = {
                    "zoneid": "" + zoneData1 + "",
                }
                $.ajax({
                    type: "POST",
                    url: link_url,
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    data: zoneData2,
                    dataType: "json",
                    encode: true,
                }).done(function(data) {
                    window.scrollTo(0, 0);
                    $("#alertsuccess").show('medium');
                    setTimeout(function() {
                        $("#alertsuccess").hide('medium');
                    }, 1700);
                    setTimeout(function() {
                        location.reload();
                    }, 2000);
                });

            }

            $(document).on('click', '#select_all', function() {
                var checkval;
                $(".data-checked").prop("checked", this.checked);
                if (this.checked == true) {
                    $('.data-checked:checked').each(function() {
                        checkval = this.value;
                        $('.child_' + checkval).prop("checked", true);
                        checkval = "";
                    });
                } else {
                    $('.child').prop("checked", false);
                }
            });

            $(document).on('click', '.data-checked', function() {
                if ($('.data-checked:checked').length == $('.data-checked').length) {
                    $('#select_all').prop('checked', true);
                } else {
                    $('#select_all').prop('checked', false);
                }
            });

            function parentChanged(pubid) {
                //alert(pubid);
                if ($('#parent_' + pubid).prop("checked")) {
                    $('.child_' + pubid).prop("checked", true);
                } else {
                    $('.child_' + pubid).prop("checked", false);
                }
            }

            function childChanged(pubid) {
                if ($(".child_" + pubid + ":checked").length == $('.child_' + pubid).length) {
                    $('#parent_' + pubid).prop('checked', true);
                    if ($('.data-checked:checked').length == $('.data-checked').length) {
                        $('#select_all').prop('checked', true);
                    }
                } else if ($(".child_" + pubid + ":checked").length > 0) {
                    $('#parent_' + pubid).prop('checked', false);
                    $('#select_all').prop('checked', false);
                } else {
                    $('#parent_' + pubid).prop('checked', false);
                    $('#select_all').prop('checked', false);
                }
            }

            function savechanges() {
                var linked_zones = [];
                var unlinked_zones = [];
                $('.child:checked').each(function() {
                    linked_zones += this.value + ',';
                });
                $('.child:not(:checked)').each(function() {
                    unlinked_zones += this.value + ',';
                });
                link_banner(linked_zones, unlinked_zones);
                //unlink_banner(unlinked_zones);

            }

            function check_permissions() {
                $.ajax({
                    url: live_URL + '/get_permissions/' + userid,
                    type: 'GET',
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader('Authorization', token);
                    },
                    dataType: 'json',
                    encode: true,
                }).done(function(data) {
                    if (data.data) {
                        for (var i = 0; i < data.data.length; i++) {
                            var per_val = data.data[i].permission_id;
                            //console.log(per_val);
                            if (per_val == "1") {
                                perm_1 = false;
                            }
                            if (per_val == "2") {
                                perm_2 = false;
                            }
                            if (per_val == "4") {
                                perm_4 = false;
                            }
                            if (per_val == "10") {
                                perm_10 = false;
                            }
                            if (per_val == "11") {
                                perm_11 = false;
                            }
                        }
                    }
                    console.log(perm_1, perm_2, perm_4, perm_10, perm_11);
                    if (perm_4 == true) {
                        $('.atag').on("click", function(e) {
                            e.preventDefault();
                        });
                    }
                });
            }

            // function button() {

            // var live_URL = '<?php echo $apiinvenpath; ?>';
            //     var token = 'Bearer ' + document.getElementById('token').value;

            //           var bannerid = '<?php echo $_REQUEST['bannerid']; ?>';

            //                 var values = {
            //                     "bannerid": "" + bannerid + "",
            //                 }

            //                 var api_url = live_URL + '/bannerbyzone_link/' + zone_id;


            //             $.ajax({
            //                 type: "POST",
            //                 url: api_url,
            //                 beforeSend: function(xhr) {
            //                     xhr.setRequestHeader('Authorization', token);
            //                 },
            //                 data: values,
            //                 dataType: "json",
            //                 encode: true,
            //             }).done(function(data) {

            //                 swal({
            //                         title: data.msg,
            //                         type: "success"
            //                     })
            //                     .then(data => {
            //                         if (data.msg == 'Banner already linked with zone') {
            //                         document.getElementById("unlink").disabled = true;
            //                              document.getElementById("unlink").disabled = false;
            //                         } else if (data.msg == 'Campaigns linked successfully!') {
            //                             document.getElementById("unlink").disabled = false;
            //                              document.getElementById("unlink").disabled = true;

            //                         }
            //                         location.reload();
            //                     });

            //             });

            //         }
        </script>
</body>

</html>