<?php
include('session.php');
include('../config.php');
include('../common.php'); ?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='../assets/'
    data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title><?php echo $projecttitle; ?> - <?php echo $GLOBALS['segment_targeting_report']; ?></title>

    <meta name="description" content="" />
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <script src="https://code.highcharts.com/modules/no-data-to-display.js"></script>
    <style>
        .loader {
            display: none;
            position: fixed;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            z-index: 999;
            background: rgba(255, 255, 255, 0.8) url("../assets/img/loader.gif") center no-repeat;
        }

        h5 {
            position: relative;
            left: 250%;
        }

        .tableName {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        .tableName:hover {
            text-overflow: clip;
            white-space: normal;
            /* word-break: break-all; */
        }

        /* Close Button */
        .dataTables_wrapper .dataTables_filter input:not(:valid):not(:focus) {
            box-shadow: 0 0 5px #fff !important;
        }

        .dataTables_wrapper .dataTables_filter input::-webkit-search-cancel-button {
            -webkit-appearance: none !important;
        }

        .dataTables_wrapper .dataTables_filter button {
            visibility: hidden;
            outline: none;
        }

        .dataTables_wrapper .dataTables_filter input:valid~button {
            visibility: visible;
        }

        button.close {
            padding: 0;
            background-color: transparent;
            border: 0;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
        }

        .close {
            float: right;
            font-size: 1.5rem;
            font-weight: 700;
            line-height: 1;
            color: #000;
            text-shadow: 0 1px 0 #fff;
            opacity: .5;
        }

        #reportTitle {
            color: #0e107c;
        }

        #date_limit {
            width: 45%;
        }

        @media (min-width:420px) and (max-width:699px) {
            #date_limit {
                width: 40%;
                margin: auto;
            }
        }

        @media (min-width:220px) and (max-width:419px) {
            #date_limit {
                width: 70%;
                margin: auto;
            }
        }

        .custom-select {
            border-radius: 8px !important;
        }

        .left-col {
            float: left;
            width: 45%;
            margin-top: 1rem;
            margin-bottom: 2rem;
        }

        .center-col {
            float: left;
            width: 20%;
            margin-top: 1rem;
            margin-bottom: 2rem;
        }

        .right-col {
            float: left;
            width: 35%;
            margin-top: 1rem;
            margin-bottom: 2rem;
        }

        @media only screen and (max-width: 767px) {
            .left-col {
                float: left;
                width: 45%;
                margin-top: 4rem;
                margin-bottom: 2rem;
            }

            .right-col {
                float: left;
                width: 35%;
                margin-top: 1rem;
                margin-bottom: 2rem;
                margin-right: 1px;
            }
        }
    </style>
    <?php include('head.php'); ?>
</head>

<body onload="gettime();get_variables();">
    <div class="loader"></div>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->
            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container-fluid">
                        <div class="card my-4">
                            <div class="card-body">
                                <div class="row">
                                    <div
                                        class="col col-12 col-sm-12 col-md-7 col-lg-7 col-xl-7 col-xxl-7 mt-2 d-flex justify-content-center justify-content-sm-center justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                                        <p class="h4" id='reportTitle'>
                                            <?php echo $GLOBALS['segment_targeting_report']; ?>
                                        </p>
                                    </div>
                                </div>
                                <div class="row" style="margin-bottom: 2rem !important;">
                                    <div class="col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3 col-xxl-3">
                                        <select id="variable_list" name="variable_list" class="form-select text-dark"
                                            aria-label="Default select example" onchange="onChangeDetails('changed')">
                                        </select>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3 col-xxl-3">
                                        <select id="grplist" name="grplist" class="form-select text-dark"
                                            aria-label="Default select example" onchange="onChangeDetails('changed')">
                                            <option value="campaigns"><?php echo $GLOBALS['campaigns']; ?></option>
                                            <option value="banners"><?php echo $GLOBALS['banner']; ?></option>
                                        </select>
                                    </div>
                                    <div
                                        class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <select id="date_limit" name="date_limit" class="form-select text-dark"
                                            aria-label="Default select example" onchange="onChangeDetails(this.value)">
                                            <option value="Today"><?php echo $GLOBALS['strToday']; ?></option>
                                            <option value="Yesterday"><?php echo $GLOBALS['strYesterday']; ?></option>
                                            <option selected value="Last 7 days">
                                                <?php echo $GLOBALS['strLast_7_days']; ?>
                                            </option>
                                            <option value="Last 30 days"><?php echo $GLOBALS['strLast 30 days']; ?>
                                            </option>
                                            <option value="Last Month"><?php echo $GLOBALS['strLast Month']; ?></option>
                                            <option value="This Month"><?php echo $GLOBALS['strThis Month']; ?></option>
                                            <option value='All Statistics'><?php echo $GLOBALS['strAll Statistics']; ?>
                                            </option>
                                            <option value="Custom"><?php echo $GLOBALS['strCustom']; ?></option>
                                        </select>
                                    </div>
                                    <div
                                        class="d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <input style="display: none;" id="daterange" name="daterange" class="mt-2" />
                                    </div>
                                </div>

                                <div class="row mb-3">
                                    <div class="col col-3 col-sm-3 col-md-3 col-lg-3 col-xl-3 col-xxl-3"></div>
                                    <div class="col col-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                        <div id="pie_chart"
                                            style="display:none; min-width: 310px; height: 300px; max-width: 300px; margin: 0 auto">
                                        </div>
                                    </div>
                                    <div class="col col-3 col-sm-3 col-md-3 col-lg-3 col-xl-3 col-xxl-3"></div>
                                    <!-- <div class="col col-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                        <div id="clicks_chart"
                                            style="display:none; min-width: 310px; height: 300px; max-width: 300px; margin: 0 auto">
                                        </div>
                                    </div> -->
                                </div>

                                <div class="table-responsive text-nowrap mt-sm-3">
                                    <table id="targeting_report" class="table table-striped" width='100%'>
                                        <thead>
                                            <tr class="text-dark">
                                                <th class="text-dark"><?php echo $GLOBALS['variable']; ?></th>
                                                <th class="text-dark"><?php echo $GLOBALS['value']; ?></th>
                                                <th class="text-dark"><?php echo $GLOBALS['campaign']; ?></th>
                                                <th class="text-dark" id="banner"><?php echo $GLOBALS['banner']; ?></th>
                                                <th class="text-dark text-center"><?php echo $GLOBALS['strRequests']; ?>
                                                </th>
                                                <th class="text-dark text-center">
                                                    <?php echo $GLOBALS['strImpressions']; ?>
                                                </th>
                                                <!-- <th class="text-dark text-center"><?php echo $GLOBALS['strClicks']; ?>
                                                </th> -->
                                                <!-- <th class="text-dark text-center"><?php echo $GLOBALS['strSpend']; ?>
                                                </th>
                                                <th class="text-dark text-center"><?php echo $GLOBALS['strECPM']; ?> -->
                                                    <!-- <th class="text-dark text-center"><?php echo $GLOBALS['strCTR']; ?>
                                                </th> -->
                                            </tr>
                                        </thead>
                                        <tbody></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / Content -->

                    <!-- Footer -->
                    <?php include('footer.php'); ?>
                    <!-- / Footer -->
                    <script>
                        const token = 'Bearer ' + document.getElementById('token').value;
                        const live_URL = '<?php echo $apistatpath; ?>';
                        let client_id = document.getElementById('clientid').value;
                        var impr = [];
                        //var click = [];
                        var device = {};
                        var imprsum = 0;
                        // var clicks = {};
                        // var clicksum = 0;
                        // API's
                        let custom_targeting = live_URL + '/get_custom_targeting_statistics/';
                        var timeZone;

                        function gettime() {
                            $.ajax({
                                type: "GET",
                                url: live_URL + '/get_timezone_report_adv/' + client_id,
                                beforeSend: function(xhr) {
                                    xhr.setRequestHeader('Authorization', token);
                                },
                                dataType: "json",
                                encode: true,
                            }).done(function(data) {
                                //console.log(data);
                                timeZone = data;
                                //onChangeDetails();
                            });
                        }

                        function get_variables() {
                            $.ajax({
                                type: "GET",
                                url: live_URL + '/get_all_variables/',
                                beforeSend: function(xhr) {
                                    xhr.setRequestHeader('Authorization', token);
                                },
                                data: {},
                                dataType: "json",
                                encode: true,
                            }).done(function(data) {
                                var variable_name = [];
                                if (data) {
                                    $('#variable_list').show();
                                    $('#warning').hide();
                                    variable_name += `<option value="all" selected>All</option>`;
                                    data.map((data) => {
                                        getvariableLength = (data.variable.length > 30) ? (data.variable.slice(0, 30) + '...') : data.variable;
                                        variable_name += `<option value=${data.variable} title="${data.variable}">${getvariableLength}</option>`;
                                        document.getElementById('variable_list').innerHTML = variable_name;
                                    });
                                }else{
                                    $('#variable_list').show();
                                    $('#warning').hide();
                                    variable_name += `<option value="all" selected>All</option>`;
                                    document.getElementById('variable_list').innerHTML = variable_name;
                                }
                                onChangeDetails();
                            });
                        }

                        function onChangeDetails() {
                            $(".loader").show();
                            impr = [];
                            imprsum = 0;
                            // click = [];
                            // clicksum = 0;
                            // Get the current date and time
                            const now = new Date();
                            // Create options for formatting the date and time
                            const options = {
                                timeZone,
                                weekday: 'short',
                                year: 'numeric',
                                month: 'short',
                                day: 'numeric',
                                hour: 'numeric',
                                minute: 'numeric',
                                second: 'numeric',
                                timeZoneName: 'short'
                            };

                            // Format the date and time
                            const formatter = new Intl.DateTimeFormat('en-US', options);
                            const formattedDate = formatter.format(now);

                            // Remove commas from the formatted date and time
                            let dateString1 = formattedDate.replace(/,/g, '');
                            let dateString = `"${dateString1}"`;
                            // Split the date string by spaces
                            let parts = dateString.split(' ');

                            // Extract the date components
                            let dayOfWeek = parts[0];
                            let month = parts[1];
                            let day = parts[2];
                            let year = parts[3];

                            // Convert month abbreviation to numeric month
                            let monthIndex = {
                                'Jan': '01',
                                'Feb': '02',
                                'Mar': '03',
                                'Apr': '04',
                                'May': '05',
                                'Jun': '06',
                                'Jul': '07',
                                'Aug': '08',
                                'Sep': '09',
                                'Oct': '10',
                                'Nov': '11',
                                'Dec': '12'
                            } [month];

                            // Construct the ISO formatted date
                            let date = `${year}-${monthIndex}-${day}`;

                            let getSelectedDay = document.getElementById('date_limit').value;

                            document.getElementById('daterange').style.display = getSelectedDay == 'Custom' ? "block" : "none";

                            if (getSelectedDay == 'Today') {
                                let v3 = date;
                                get_custom_targeting_report(v3, v3);
                            } else if (getSelectedDay == 'Yesterday') {
                                let dateObj = new Date(date);
                                dateObj.setDate(dateObj.getDate() - 1);
                                let year = dateObj.getFullYear();
                                let month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
                                let day = ('0' + dateObj.getDate()).slice(-2);
                                let yesterday_date = year + '-' + month + '-' + day;
                                get_custom_targeting_report(yesterday_date, yesterday_date);
                            } else if (getSelectedDay == 'Last 7 days') {
                                let dateObj = new Date(date);
                                dateObj.setDate(dateObj.getDate() - 7);
                                let year = dateObj.getFullYear();
                                let month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
                                let day = ('0' + dateObj.getDate()).slice(-2);
                                let first_day = year + '-' + month + '-' + day;

                                let dateObj1 = new Date(date);
                                dateObj1.setDate(dateObj1.getDate() - 1);
                                let year1 = dateObj1.getFullYear();
                                let month1 = ('0' + (dateObj1.getMonth() + 1)).slice(-2);
                                let day1 = ('0' + dateObj1.getDate()).slice(-2);
                                let date_end = year1 + '-' + month1 + '-' + day1;
                                get_custom_targeting_report(first_day, date_end);
                            } else if (getSelectedDay == 'Last 30 days') {
                                let dateObj = new Date(date);
                                dateObj.setDate(dateObj.getDate() - 30);
                                let year = dateObj.getFullYear();
                                let month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
                                let day = ('0' + dateObj.getDate()).slice(-2);
                                let first_day = year + '-' + month + '-' + day;

                                let dateObj1 = new Date(date);
                                dateObj1.setDate(dateObj1.getDate() - 1);
                                let year1 = dateObj1.getFullYear();
                                let month1 = ('0' + (dateObj1.getMonth() + 1)).slice(-2);
                                let day1 = ('0' + dateObj1.getDate()).slice(-2);
                                let date_end = year1 + '-' + month1 + '-' + day1;
                                get_custom_targeting_report(first_day, date_end);
                            } else if (getSelectedDay == 'This Month') {
                                let dateObj = new Date(date);
                                let firstDay = new Date(dateObj.getFullYear(), dateObj.getMonth(), 1);
                                let cYear = firstDay.getFullYear(),
                                    cMonth = firstDay.getMonth() + 1,
                                    cDate = firstDay.getDate();
                                let first_day = cYear + "-" + cMonth + "-" + cDate;

                                let dateObj1 = new Date(date);
                                let lastDay = new Date(dateObj1.getFullYear(), dateObj1.getMonth() + 1, 0);
                                let year = lastDay.getFullYear(),
                                    month = lastDay.getMonth() + 1,
                                    day = lastDay.getDate();
                                let date_end = year + "-" + month + "-" + day;
                                get_custom_targeting_report(first_day, date_end);
                            } else if (getSelectedDay == 'Last Month') {
                                let dateObj = new Date(date);
                                var prevMonthLastDate = new Date(dateObj.getFullYear(), dateObj.getMonth(), 0);
                                var prevMonthFirstDate = new Date(dateObj.getFullYear() - (dateObj.getMonth() > 0 ? 0 : 1), (dateObj.getMonth() - 1 + 12) % 12, 1);
                                var formatDateComponent = function(dateComponent) {
                                    return (dateComponent < 10 ? '0' : '') + dateComponent;
                                }
                                var formatDate = function(dateObj) {
                                    return dateObj.getFullYear() + "-" + formatDateComponent(dateObj.getMonth() + 1) + "-" + formatDateComponent(dateObj.getDate())
                                };
                                var start_date = formatDate(prevMonthFirstDate),
                                    end_date = formatDate(prevMonthLastDate);
                                get_custom_targeting_report(start_date, end_date);
                            } else if (getSelectedDay == 'All Statistics') {
                                get_custom_targeting_report(start_date = 0, end_date = 0);
                            } else if (getSelectedDay == 'Custom') {
                                $(".loader").hide();
                                const date1 = new Date();
                                let getCurrentDate = JSON.stringify(date1).slice(1, 11);
                                get_custom_targeting_report(getCurrentDate, getCurrentDate);
                                $(function() {
                                    $('input[name="daterange"]').daterangepicker({
                                        opens: 'left',
                                        locale: {
                                            format: 'DD/MM/YYYY'
                                        },
                                    }, function(start, end, label) {
                                        get_custom_targeting_report(start.format('YYYY-MM-DD'), end.format('YYYY-MM-DD'));
                                    });
                                })
                            }
                        };

                        function get_custom_targeting_report(start_date, end_date) {
                            console.log("start_date", start_date, "end_date", end_date);
                            var var_type = $("#variable_list option:selected").val();
                            var grpby_type = $("#grplist option:selected").val();

                            let payload;
                            payload = (start_date == 0 && end_date == 0) ? {
                                "action": 'all',
                                "variable": var_type,
                                "groupby": grpby_type
                            } : {
                                "action": '',
                                "start_date": start_date + ' 00:00:00,',
                                "end_date": end_date + ' 23:59:59,',
                                "variable": var_type,
                                "groupby": grpby_type
                            }

                            var var_type = $("#variable_list option:selected").val();
                            var grpby_type = $("#grplist option:selected").val();

                            $.ajax({
                                url: custom_targeting + client_id,
                                type: 'POST',
                                beforeSend: function(xhr) {
                                    xhr.setRequestHeader('Authorization', token);
                                },
                                data: payload,
                                success: function(data) {
                                    //$('#hmm').html(data);
                                    $(".loader").hide();
                                    if (data.msg == 'No Stats Available') {
                                        $('#pie_chart').hide();
                                        $('#clicks_chart').hide();
                                        $('#targeting_report').DataTable({
                                            ordering: false,
                                            destroy: true,
                                            responsive: true,
                                            bPaginate: false,
                                            bInfo: false,
                                            data: [],
                                            searching: false,
                                            oLanguage: {
                                                sEmptyTable: `<?php echo $GLOBALS['strNo_Data_Meassages']; ?>`
                                            }
                                        });
                                        if (grpby_type == "banners") {
                                            $('#targeting_report').DataTable().column(3).visible(true);

                                        } else {

                                            $('#targeting_report').DataTable().column(3).visible(false);
                                        }
                                    } else {
                                        $('#targeting_report').DataTable({
                                            ordering: true,
                                            destroy: true,
                                            "dom": '<"top"<"center-col"l><"left-col"B><"right-col"f>>rtip',
                                            buttons: [{
                                                    extend: 'collection',
                                                    text: 'Export',
                                                    autoClose: true,
                                                    className: 'btn btn-primary btn-sm export dtb',
                                                    buttons: [{
                                                            text: 'Excel',
                                                            extend: 'excel',
                                                            exportOptions: {
                                                                columns: ':visible'
                                                            },
                                                            "customize": function(xlsx) {
                                                                var sheet = xlsx.xl.worksheets['sheet1.xml'];
                                                                $('row c', sheet).attr('s', '51'); //for all rows
                                                                //$('row:eq(0) c', sheet).attr('s','2');                                                                                                             
                                                                //$('row:eq(1) c', sheet).attr('s', '2');                                                              
                                                            }
                                                        },
                                                        {
                                                            text: 'PDF',
                                                            extend: 'pdf',
                                                            orientation: 'portrait',
                                                            exportOptions: {
                                                                columns: ':visible'
                                                            },
                                                            customize: function(doc) {
                                                                doc.styles.tableBodyEven.alignment = 'center';
                                                                doc.styles.tableBodyOdd.alignment = 'center';
                                                            },
                                                        }
                                                    ],
                                                    fade: true,
                                                },

                                            ],

                                            data: data,
                                            columns: [{
                                                    data: 'variable',
                                                    className: 'tableName'
                                                },
                                                {
                                                    data: 'value',
                                                    className: "tableName"
                                                },
                                                {
                                                    data: 'campaignname',
                                                    className: "tableName"
                                                },
                                                {
                                                    data: 'bannername',
                                                    className: "tableName"
                                                },
                                                {
                                                    data: 'requests',
                                                    className: "text-center",
                                                },
                                                {
                                                    data: 'impressions',
                                                    className: "text-center",
                                                },
                                                // {
                                                //     data: 'clicks',
                                                //     className: "text-center",
                                                // },
                                                // {
                                                //     data: 'revenue',
                                                //     className: "text-center",
                                                //     render: function(data, type, row, meta) {
                                                //         return row.revenue == null ? "0.0000" : row.revenue;
                                                //     }
                                                // },
                                                // {
                                                //     data: 'ecpm',
                                                //     className: "text-center",
                                                //     render: function(data, type, row, meta) {
                                                //         return row.ecpm == null ? "0.0000" : row.ecpm;
                                                //     }
                                                // },
                                                // {
                                                //     data: 'ctr',
                                                //     className: "text-center",
                                                //     render: function (data, type, row, meta) {
                                                //         return row.ctr == null ? "0.0000" : row.ctr;
                                                //     }
                                                // },

                                            ],

                                        });
                                        if (grpby_type == "banners") {
                                            $('#targeting_report').DataTable().column(3).visible(true);

                                        } else {

                                            $('#targeting_report').DataTable().column(3).visible(false);
                                        }

                                        for (var i = 0; i < data.length; i++) {
                                            device['name'] = data[i]['variable'];
                                            device['y'] = parseInt(data[i]['impressions']);
                                            impr.push(device);
                                            device = {};

                                            imprsum += parseInt(data[i]['impressions']);

                                            // clicks['name'] = data[i]['variable'];
                                            // clicks['y'] = parseInt(data[i]['clicks']);
                                            // click.push(clicks);
                                            // clicks = {};

                                            // clicksum += parseInt(data[i]['clicks']);
                                            //impr.push(parseInt(data[i]['impressions']));
                                            //click.push(parseInt(data[i]['clicks']));
                                        }
                                        //piechart(impr, click);
                                        piechart(impr);
                                    }
                                },
                                error: function() {},
                            });

                        };

                        // function piechart(impr, click) {
                        function piechart(impr) {
                            if (imprsum > 0) {
                                $('#pie_chart').show();
                                Highcharts.chart('pie_chart', {
                                    chart: {
                                        plotBackgroundColor: null,
                                        plotBorderWidth: null,
                                        plotShadow: false,
                                        type: 'pie'
                                    },
                                    title: {
                                        text: '<?php echo $GLOBALS['shareofimpressions']; ?>',
                                        align: 'center'
                                    },
                                    tooltip: {
                                        pointFormat: '{series.name}: <b>{point.y}</b>'
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    plotOptions: {
                                        pie: {
                                            allowPointSelect: true,
                                            cursor: 'pointer',
                                            dataLabels: {
                                                enabled: false
                                            }
                                        }
                                    },
                                    series: [{
                                        name: '<?php echo $GLOBALS['strImpressions']; ?>',
                                        colorByPoint: true,
                                        data: impr
                                    }],
                                    exporting: {
                                        buttons: {
                                            contextButton: {
                                                menuItems: Highcharts.getOptions().exporting.buttons.contextButton.menuItems.filter(function(item) {
                                                    return item !== 'separator';
                                                })
                                            }
                                        }
                                    },
                                });
                            } else {
                                $('#pie_chart').hide();
                            }
                            // if (clicksum > 0) {
                            //     console.log("click");
                            //     $('#clicks_chart').show();
                            //     Highcharts.chart('clicks_chart', {
                            //         chart: {
                            //             plotBackgroundColor: null,
                            //             plotBorderWidth: null,
                            //             plotShadow: false,
                            //             type: 'pie'
                            //         },
                            //         title: {
                            //             text: '<?php echo $GLOBALS['shareofclicks']; ?>'
                            //         },
                            //         credits: {
                            //             enabled: false
                            //         },
                            //         tooltip: {
                            //             pointFormat: '{series.name}: <b>{point.y}</b>'
                            //         },
                            //         plotOptions: {
                            //             pie: {
                            //                 allowPointSelect: true,
                            //                 cursor: 'pointer',
                            //                 dataLabels: {
                            //                     enabled: false
                            //                 }
                            //             }
                            //         },
                            //         series: [{
                            //             name: '<?php echo $GLOBALS['strClicks']; ?>',
                            //             colorByPoint: true,
                            //             data: click,
                            //         }],
                            //         exporting: {
                            //             buttons: {
                            //                 contextButton: {
                            //                     menuItems: Highcharts.getOptions().exporting.buttons.contextButton.menuItems.filter(function (item) {
                            //                         // Remove the "viewData" option (label varies, depending on localization)
                            //                         return item !== 'separator';
                            //                     })
                            //                 }
                            //             }
                            //         },
                            //     });
                            // } else {
                            //     $('#clicks_chart').hide();
                            //     $('#pie_chart').hide();
                            // }
                        }
                    </script>

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>
        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
</body>

</html>