<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>
        <?php echo $projecttitle; ?> -
        <?php echo $GLOBALS['adevrtisers']; ?>
    </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>

    <style>
        body {
            font-family: "Open Sans", "-apple-system, BlinkMacSystemFont", "Segoe UI", "Roboto", "Oxygen-Sans", "Ubuntu", "Cantarell", "Helvetica Neue", Helvetica, Arial, sans-serif;
        }

        .alert {
            display: none;
        }

        .tbodyDiv {
            max-height: 50vh;
            overflow: auto;
        }

        td {
            max-width: 230px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        td:hover {
            text-overflow: clip;
            white-space: normal;
            word-break: break-all;
        }

        #camplist {
            width: 30%;
            border-color: #696cff;
            display: inline;
        }

        .swal-button--danger {
            background-color: #2523b3;
            width: 100px;
        }

        .swal-button--cancel {
            color: white;
            width: 100px;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }

        .swal-footer {
            text-align: center;
        }
    </style>
</head>

<body onload="get_advertiser()">
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container">
                        <div class="card mt-5">
                            <div class="card-header">
                                <div class="row">
                                    <div
                                        class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-3 col-xxl-4 d-flex justify-content-center justify-content-sm-center justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                                        <p
                                            class="h3 text-center text-sm-center text-md-start text-lg-start text-xl-start text-xxl-start">
                                            <?php echo $GLOBALS['adevrtisers']; ?>
                                        </p>
                                    </div>
                                    <div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-2 d-flex justify-content-center justify-content-sm-center justify-content-md-center justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <select id="camplist" name="camplist" class="form-select text-dark w-75"
                                            onchange=>
                                            <option selected value="1">
                                                <?php echo $GLOBALS['alladevrtisers']; ?>
                                            </option>
                                            <option value="0">
                                                <?php echo $GLOBALS['activeadevrtisers']; ?>
                                            </option>
                                        </select>
                                    </div>
                                    <div
                                        class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-5 col-xxl-4 h-75 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <button type="button" class="btn btn-primary" id="deleteadvertiser"
                                            style="margin-right: 2%;" onclick="delete_advertiser()">
                                            <i class="bx bx-trash bg-label-white" aria-hidden="true" title="Delete"></i>
                                            <?php echo $GLOBALS['delete']; ?>
                                        </button>
                                        <button id="addBannerButton" class="btn btn-primary"
                                            onclick="window.location.href='advertiser_add.php'">
                                            <i class="menu-icon tf-icons bx bx-plus"></i>
                                            <?php echo $GLOBALS['add_advertiser']; ?>
                                        </button>
                                    </div>
                                </div>
                                <hr class="solid">
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <p class="alert bg-success alert-dismissible fade show text-white"
                                        id="alertsuccess"><i class="fa fa-check-circle"></i>
                                        <?php echo $GLOBALS['adv_delete_success_msg']; ?>
                                    </p>
                                    <p class="alert bg-danger alert-dismissible fade show text-white" id="alertfailed">
                                        <i class="fa fa-check-circle"></i>
                                        <?php echo $GLOBALS['adv_delete_failed_msg']; ?>
                                    </p>
                                </div>
                                <div class="row">
                                    <div class="container mb-2">
                                        <div class="tbodyDiv mt-2">
                                            <table id="adv_table"
                                                class="table table-striped table-responsive table-hover mt-3">
                                                <thead class="">
                                                    <tr class="text-nowrap">
                                                        <th class="th-color">
                                                            <input type="checkbox" class="form-check-input check-zone"
                                                                id="select_all">&nbsp;&nbsp;
                                                            <?php echo $GLOBALS['strName']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['updated']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['']; ?>
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody id="fbody" class="fbody">
                                                    <td colspan="5" id="advempty" class="text-center">
                                                        <?php echo $GLOBALS['no_advertiser']; ?>
                                                    </td>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / Content -->

                    <!-- Footer -->
                    <?php include('footer.php'); ?>
                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>

        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper , className: "text-hide" -->

    <script>
        var live_URL = '<?php echo $apiinvenpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var agencyid = document.getElementById('agencyid').value;
        
        $("#deleteadvertiser").prop("disabled", true);

        function get_advertiser() {
            $.ajax({
                url: live_URL + '/get_all_advertiser/' + agencyid,
                type: 'GET',
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                dataType: 'json',
                encode: true,
                success: function (data) {
                    //console.log(data.data[0].zones);
                    if (data.data) {
                        for (var i = 0; i < data.data.length; i++) {
                            var row = $('<tr><td style="color:blue" class="tableName"><input type="checkbox" class="data-checked form-check-input select-checkbox" name="checkrow" id="checkrow" value="" data-clientid="' + data.data[i].clientid + '"onclick=""><a href="advertiser_edit.php?clientid=' + data.data[i].clientid + '"><i class="fa fa-user" aria-hidden="true" style="padding-left:10px;"></i>&nbsp;&nbsp;' + data.data[i].clientname + '</a></td><td style="text-align:center;" class="tableName">&nbsp;' + data.data[i].updated + '</td><td><a class="" href="campaign_add.php?clientid=' + data.data[i].clientid + '"><i class="fa fa-folder-plus" aria-hidden="true" style="text-align:center;margin-left:4rem;"></i>&nbsp;&nbsp;<?php echo $GLOBALS['addnewcampaign']; ?></a></td><td><a class="" href="advertiser_campaigns.php?clientid=' + data.data[i].clientid + '"><i class="fa fa-folder" aria-hidden="true" style="text-align:center;margin-left:2rem;"></i>&nbsp;&nbsp;<?php echo $GLOBALS['campaigns']; ?></a></td></tr>');
                            $('#adv_table').append(row);
                        }
                        var advlen = data.data.length;
                        if (advlen != null && advlen != '') {
                            $('#advempty').hide();
                        }
                        else {
                            $('#advempty').show();
                        }
                    }

                },
                error: function () { },
            });
        }

        document.getElementById('select_all').onclick = function () {
            var checkboxes = document.querySelectorAll('input[type="checkbox"]');
            for (var checkbox of checkboxes) {
                checkbox.checked = this.checked;
            }
            document.getElementById('deleteadvertiser').disabled = $('.data-checked:checked').length > 0 ? false : true;
        }

        $(document).on('click', '.data-checked', function () {
            if ($('.data-checked:checked').length == $('.data-checked').length) {
                $('#select_all').prop('checked', true);
            } else {
                $('#select_all').prop('checked', false);
            }
            document.getElementById('deleteadvertiser').disabled = $('.data-checked:checked').length > 0 ? false : true;
        });

        function delete_advertiser() {
            var advData = [];
            var selected = $('#checkrow:checked');
            selected.each(function () {
                advData.push($(this).attr('data-clientid'));
            });
            if (advData.length <= 0) {
                alert("Please select advertiser.");
            }
            console.log(advData);
            swal({
                title: `<?php echo $GLOBALS['want_delete_advertiser']; ?>`,
                buttons: true,
                dangerMode: true,
                type: "success"
            }).then(function (isConfirm) {

                if (isConfirm) {
                    $.ajax({
                        type: "DELETE",
                        url: live_URL + '/advertiser_delete/' + advData,
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('Authorization', token);
                        },
                        dataType: "json",
                        encode: true,
                    }).done(function (data) {
                        if (data.msg = "Advertiser has been deleted successfully!") {
                            window.scrollTo(0, 0);
                            $("#alertsuccess").show('medium');
                            setTimeout(function () {
                                $("#alertsuccess").hide('medium');
                            }, 2000);
                            setTimeout(function () {
                                location.reload();
                            }, 1200);
                        } else {
                            window.scrollTo(0, 0);
                            $("#alertfailed").show('medium');
                            setTimeout(function () {
                                $("#alertfailed").hide('medium');
                            }, 2000);
                        }

                    });
                }
            });
        }
    </script>
</body>

</html>