<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='../assets/'
    data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>
        <?php echo $projecttitle; ?> -
        <?php echo $GLOBALS['adevrtiser']; ?>
    </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>
    <style>
        .alert {
            display: none;
        }

        #addtracker,
        #deletetracker {
            float: right;
        }

        .swal-button--danger {
            background-color: #2523b3;
            width: 100px;
        }

        .swal-button--cancel {
            color: white;
            width: 100px;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }

        .swal-footer {
            text-align: center;
        }
    </style>
</head>

<body onload=gettracker();>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->
                    <div class="container">
                        <div class="nav-align-top mb-4">
                            <div class="card mt-5">
                                <div class="card-header">
                                    <div class="row">
                                        <p
                                            class="h3 text-center text-sm-center text-md-start text-lg-start text-xl-start text-xxl-start">
                                            <?php echo $GLOBALS['advertiser']; ?><span id="len"
                                                class="text-secondary"></span>
                                        </p>
                                        <p class="alert bg-success alert-dismissible fade show text-white"
                                            id="alertsuccess"><i class="fa fa-check-circle"></i>
                                            <?php echo $GLOBALS['tracker_delete_success_msg']; ?>
                                        </p>
                                        <p class="alert bg-danger alert-dismissible fade show text-white"
                                            id="alertfailed">
                                            <i class="fa fa-check-circle"></i>
                                            <?php echo $GLOBALS['tracker_delete_failed_msg']; ?>
                                        </p>
                                    </div>
                                </div>
                                <ul class="nav nav-tabs" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link"
                                            href="advertiser_edit.php?clientid=<?php echo $_GET['clientid']; ?>"><span
                                                class="text-dark">
                                                <?php echo $GLOBALS['adv_properties']; ?>
                                            </span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link active" href="#"><span class="text-primary">
                                                <?php echo $GLOBALS['trackers']; ?>
                                            </span></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link"
                                            href="advertiser_access.php?clientid=<?php echo $_GET['clientid']; ?>"><span
                                                class="text-dark">
                                                <?php echo $GLOBALS['user_access']; ?>
                                            </span></a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane fade show active" id="" role="tabpanel">
                                        <div class="row">
                                            <div class="col">
                                                <button type="button" class="btn btn-primary" id="deletetracker"
                                                    style="" onclick="delete_tracker()">
                                                    <i class="bx bx-trash bg-label-white" aria-hidden="true"
                                                        title="Delete"></i>
                                                    <?php echo $GLOBALS['delete']; ?>
                                                </button>
                                                <button id="addtracker" class="btn btn-primary"
                                                    onclick="window.location.href='adv_tracker_add.php?clientid=<?php echo $_GET['clientid']; ?>'"
                                                    style="margin-right: 2%;">
                                                    <i class="menu-icon tf-icons bx bx-plus"></i>
                                                    <?php echo $GLOBALS['add_tracker']; ?>
                                                </button>
                                            </div>
                                        </div>
                                        <div class="tbodyDiv mt-2">
                                            <table id="adv_table"
                                                class="table table-striped table-responsive table-hover mt-3">
                                                <thead class="sticky-top">
                                                    <tr class="text-nowrap">
                                                        <th class="th-color">
                                                            <input type="checkbox" class="form-check-input check-zone"
                                                                id="select_all">&nbsp;&nbsp;
                                                            <?php echo $GLOBALS['strName']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['conversion_type']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['']; ?>
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody id="fbody" class="fbody">
                                                    <td colspan="5" id="linkempty" class="text-center">
                                                        <?php echo $GLOBALS['no_tracker']; ?>
                                                    </td>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <?php include('footer.php'); ?>
            </div>
        </div>
    </div>
    <script src="../js/sweetalert.min.js"></script>
    <script>
        var live_URL = '<?php echo $apiinvenpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var clientid = '<?php echo $_REQUEST['clientid']; ?>';
        $("#deletetracker").attr("disabled", true);
        $("#linkempty").hide();
        
        function gettracker() {
            $.ajax({
                url: live_URL + '/get_advertiser_tracker/' + clientid,
                type: 'GET',
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                dataType: 'json',
                encode: true,
                success: function (data) {
                    console.log(data.data);
                    if(data.data.length==0){
                      $("#linkempty").show();
                    }else {
                        for (var i = 0; i < data.data.length; i++) {
                            var trackid = data.data[i];
                            var type = trackid.type;
                            if (type == 1) {
                                type = "Sale";
                            } else if (type == 2) {
                                type = "Lead";
                            } else if (type == 3) {
                                type = "Signup";
                            }
                            var row = $('<tr><td style="color:blue" class="tableName"><input type="checkbox" class="data-checked form-check-input select-checkbox" name="checkrow" id="checkrow" value="" data-trackerid="' + data.data[i].trackerid + '" onclick="">&nbsp;&nbsp;<a href="adv_tracker_edit.php?clientid=' + clientid + '&trackerid=' + trackid.trackerid + '"><i class="fa-solid fa-flag" aria-hidden="true" style="padding-left:10px;"></i>&nbsp;' + trackid.trackername + '</a></td><td style="text-align:center;" class="tableName">&nbsp;' + type + '</td><td></td></td><td><a class="" href="tracker_campaigns.php?clientid=' + clientid + '&trackerid=' + trackid.trackerid + '"><i class="fas fa-link" aria-hidden="true" style="text-align:center;"></i>&nbsp;&nbsp;<?php echo $GLOBALS['link_campaigns']; ?></a></td></tr>');
                            $('#adv_table').append(row);
                        }
                    }
                },
                error: function () { },
            });
        }

        document.getElementById('select_all').onclick = function () {
            var checkboxes = document.querySelectorAll('input[type="checkbox"]');
            for (var checkbox of checkboxes) {
                checkbox.checked = this.checked;
            }
            document.getElementById('deletetracker').disabled = $('.data-checked:checked').length > 0 ? false : true;
        }

        $(document).on('click', '.data-checked', function () {
            if ($('.data-checked:checked').length == $('.data-checked').length) {
                $('#select_all').prop('checked', true);
            } else {
                $('#select_all').prop('checked', false);
            }
            document.getElementById('deletetracker').disabled = $('.data-checked:checked').length > 0 ? false : true;
        });

        function delete_tracker() {
            var trackerData = [];
            var selected = $('#checkrow:checked');
            selected.each(function () {
                trackerData.push($(this).attr('data-trackerid'));
            });
            if (trackerData.length <= 0) {
                alert("Please select tracker.");
            }
            console.log(trackerData);
            swal({
                title: `<?php echo $GLOBALS['want_delete_tracker']; ?>`,
                buttons: true,
                dangerMode: true,
                type: "success"
            }).then(function (isConfirm) {

                if (isConfirm) {
                    $.ajax({
                        type: "DELETE",
                        url: live_URL + '/delete_tracker/' + trackerData,
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('Authorization', token);
                        },
                        dataType: "json",
                        encode: true,
                    }).done(function (data) {
                        if (data.msg = "Tracker has been deleted successfully!") {
                            window.scrollTo(0, 0);
                            $("#alertsuccess").show('medium');
                            setTimeout(function () {
                                $("#alertsuccess").hide('medium');
                            }, 2000);
                            setTimeout(function () {
                                location.reload();
                            }, 1200);
                        } else {
                            window.scrollTo(0, 0);
                            $("#alertfailed").show('medium');
                            setTimeout(function () {
                                $("#alertfailed").hide('medium');
                            }, 2000);
                        }

                    });
                }
            });
        }

    </script>
</body>
</html>