<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>
        <?php echo $projecttitle; ?> -
        <?php echo $GLOBALS['advertiserreport']; ?>
    </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>

    <style>
        body {
            font-family: "Open Sans", "-apple-system, BlinkMacSystemFont", "Segoe UI", "Roboto", "Oxygen-Sans", "Ubuntu", "Cantarell", "Helvetica Neue", Helvetica, Arial, sans-serif;
        }

        .alert {
            display: none;
        }

        .tbodyDiv {
            max-height: 50vh;
            overflow: auto;
        }

        td {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        td:hover {
            text-overflow: clip;
            white-space: normal;
            word-break: break-all;
        }

        #camplist {
            width: 30%;
            border-color: #696cff;
            display: inline;
        }

        .swal-button--danger {
            background-color: #2523b3;
            width: 100px;
        }

        .swal-button--cancel {
            color: white;
            width: 100px;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }

        .swal-footer {
            text-align: center;
        }
    </style>
</head>

<body onload="get_advertiser()">
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container">
                        <div class="card mt-5">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-3 col-xxl-6 d-flex justify-content-center justify-content-sm-center justify-content-md-start justify-content-lg-start justify-content-xl-start justify-content-xxl-start">
                                        <p class="h3 text-center text-sm-center text-md-start text-lg-start text-xl-start text-xxl-start">
                                            <?php echo $GLOBALS['advertiserreport']; ?>
                                        </p>
                                    </div>
                                    <!--<div class="col col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col-xxl-6 h-75 mb-2 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                        <select id="camplist" name="camplist" class="form-select text-dark w-75" onchange=>
                                            <option selected value="1">
                                                <?php echo $GLOBALS['alladevrtisers']; ?>
                                            </option>
                                            <option value="0">
                                                <?php echo $GLOBALS['activeadevrtisers']; ?>
                                            </option>
                                        </select>
                                    </div>-->
                                </div>
                                <hr class="solid">
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="container mb-2">
                                        <div class="tbodyDiv mt-2">
                                            <table id="adv_table" class="table table-striped table-responsive table-hover mt-3">
                                                <thead class="sticky-top">
                                                    <tr class="text-nowrap">
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['strName']; ?>
                                                        </th>
                                                        <!--<th class="th-color text-center">
                                                            <?php echo $GLOBALS['email_address']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['contact']; ?>
                                                        </th>-->
                                                    </tr>
                                                </thead>
                                                <tbody id="fbody" class="fbody">
                                                    <td colspan="5" id="advempty" class="text-center">
                                                        <?php echo $GLOBALS['']; ?>There are currently no advertisers
                                                        defined. To create a campaign, add a new advertiser first.
                                                    </td>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / Content -->

                    <!-- Footer -->
                    <?php include('footer.php'); ?>
                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>

        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper , className: "text-hide" -->

    <script>
        var live_URL = '<?php echo $apistatpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var agencyid = document.getElementById('agencyid').value;

        function get_advertiser() {
            $.ajax({
                url: live_URL + '/get_advertiser_statistics/' + agencyid,
                type: 'GET',
                beforeSend: function(xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                dataType: 'json',
                encode: true,
                success: function(data) {
                    //console.log(data.data[0].zones);
                    if (data.data) {
                        for (var i = 0; i < data.data.length; i++) {
                            var row = $('<tr><td style="color:blue" class="tableName"><a href="campaignreport.php?clientid=' + data.data[i].clientid + '"><i class="fa fa-user" aria-hidden="true" style="padding-left:10px;"></i>&nbsp;&nbsp;' + data.data[i].clientname + '</a></td><!--<td style="text-align:center;" class="tableName">&nbsp;' + data.data[i].email + '</td><td>&nbsp;' + data.data[i].contact + '</td>--></tr>');
                            $('#adv_table').append(row);
                            //console.log('row'+row);

                            $('#adv_table').DataTable({
                                ordering: true,
                                destroy: true,
                                // responsive: true,
                                data: data.data,
                                columns: [
                                    // { data: 'date_time', className: "text-center" },
                                    {
                                        'data': null,
                                        title: 'Name',
                                        wrap: true,
                                        className: 'tableName',
                                        "render": function(advertiser) {
                                            console.log('row' + advertiser);
                                            return '<!--<i class="fa fa-user" aria-hidden="true" style="padding-left:10px;"></i>&nbsp;&nbsp;--><a href="campaignreport.php?clientid=' + advertiser.clientid + '">' + advertiser.clientname + '</a>'
                                        }
                                    },
                                ],
                            });
                        }
                        var advlen = data.data.length;
                        if (advlen != null && advlen != '') {
                            $('#advempty').hide();
                        } else {
                            $('#advempty').show();
                        }
                    }

                },
                error: function() {},
            });
        }
    </script>
</body>

</html>