<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>
        <?php echo $projecttitle; ?> -
        <?php echo $GLOBALS['adv_access']; ?>
    </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>

    <style>
        .swal-button--danger {
            background-color: #2523b3;
        }

        .swal-button--cancel {
            color: white;
            background-color: #ff3e1d;
        }

        .swal-button--cancel:not([disabled]):hover {
            background-color: red;
        }

        .swal-button--danger:not([disabled]):hover {
            background-color: #2523b3;
        }

        .text-hide {
            display: block;
            width: 270px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .text-hide:hover {
            overflow: hidden;
        }

        .card-body {
            padding: 0 !important;
        }

        .statuswidth {
            width: 13%;
        }

        .dataTables_scrollBody {
            height: auto !important;
        }

        .campaign-name {
            display: block;
            height: 20px;
            overflow-y: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .text_convert {
            text-transform: capitalize;
        }

        select {
            float: right;
        }

        td {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        td:hover {
            text-overflow: clip;
            white-space: normal;
            word-break: break-all;
        }
    </style>
</head>

<body onload="get_userdetails();">
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>

            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->

                    <div class="container">
                        <div class="card mt-5">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-5">
                                        <p class="h4">
                                            <?php echo $GLOBALS['']; ?>User Access <span id="len" class="text-secondary"></span>
                                        </p>
                                    </div>
                                    <div class="col-md-7 display-flex mb-2">
                                        <span class="rows_selected" id="select_count"></span>
                                        <button type="button" class="btn btn-primary" onclick="window.location.href='"
                                            style="position:relative;float:right;"><a href="" style="color:white"><i
                                                    class="menu-icon tf-icons bx bx-plus"></i>
                                                <?php echo $GLOBALS['add_user']; ?>
                                            </a>
                                        </button>
                                    </div>
                                    <hr class="solid">
                                </div>

                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="mt-2 mb-4 container">
                                        <div class="table-responsive text-nowrap">
                                            <table id="user_table"
                                                class="table table-striped table-responsive table-hover">
                                                <thead>
                                                    <tr class="text-nowrap">
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['strUsername']; ?>
                                                        </th>
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['Email']; ?>
                                                        </th>
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['contact_name']; ?>
                                                        </th>
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['last_logged_in']; ?>
                                                        </th>
                                                        <th class="th-color">
                                                            <?php echo $GLOBALS['date_linked']; ?>
                                                        </th>
                                                        <th class="th-color text-center">
                                                            <?php echo $GLOBALS['action']; ?>
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- / Content -->

                    <!-- Footer -->

                    <?php include('footer.php'); ?>

                    <!-- / Footer -->

                    <div class="content-backdrop fade"></div>
                </div>
                <!-- Content wrapper -->
            </div>
            <!-- / Layout page -->
        </div>

        <!-- Overlay -->
        <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper , className: "text-hide" -->

    <script>
        var live_URL = '<?php echo $apiinvenpath; ?>';
        var token = 'Bearer ' + document.getElementById('token').value;
        var agencyid = '<?php echo $_SESSION['agencyid']; ?>';
        // alert(agencyid);
        function get_userdetails() {
            $.ajax({
                url: live_URL + '/get_user_details/' + agencyid,
                type: 'GET',
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                dataType: 'json',
                encode: true,
                success: function (data) {
                    console.log(data);
                    var row = $('<tr><td><a href="agency_user.php?userid='+ data.user_id +'&agencyid=' + agencyid + '">' + data.username + '</a></td><td><a href="agency_user.php?userid='+ data.user_id +'">' + data.email_address + '</a></td><td>' + data.contact_name + '</td><td>' + data.date_last_login + '</td><td>' + data.date_created + '</td><td><a class="" href="agency_user.php">Permissions</a></td></tr>');
                    $('#user_table').append(row);
                    // var x = data.username;
                    // $('#len').html(x);
                    //alert(x);
                },
                error: function () { },
            });
        }
    </script>
</body>

</html>