<?php
include('session.php');
include('../config.php');
include('../common.php'); ?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='assets/' data-template="vertical-menu-template-free">

<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
	<title>Banner | Edit Banner</title>

	<meta name="description" content="" />

	<?php include('head.php'); ?>
	<link rel="stylesheet" href="../assets/css/lightbox.min.css">
	<style>
		.cancel-style {
			color: red !important
		}

		.cancel-style:hover {
			color: #fff !important
		}

		.loader {
			display: none;
			position: fixed;
			width: 100%;
			height: 100%;
			top: 0;
			left: 0;
			z-index: 999;
			background: rgba(255, 255, 255, 0.8) url("../assets/img/loader.gif") center no-repeat;
		}

		.alert {
			display: none;
		}

		.h4 {
			color: #0e107c;
		}
	</style>
</head>

<body onload="getBannerData();">
	<div class="loader"></div>
	<!-- Layout wrapper "-->
	<div class="layout-wrapper layout-content-navbar">
		<div class="layout-container">
			<!-- Menu -->

			<?php include('sidebar.php'); ?>

			<!-- / Menu -->

			<!-- Layout container -->
			<div class="layout-page">
				<!-- Navbar -->
				<?php include('navbar.php'); ?>
				<!-- / Navbar -->

				<!-- Content wrapper -->
				<div class="content-wrapper">
					<input type='hidden' name="bannerid" id="bannerid" value="<?php echo $_GET['bannerid']; ?>" />
					<input type='hidden' name="extType" id="extType" value="" />
					<!-- Content -->
					<div class="container">
						<div class="nav-align-top my-4 mx-3">
							<ul class="nav nav-tabs" role="tablist">
								<li class="nav-item">
									<a class="nav-link atag" href="banner_edit.php?bannerid=<?php echo $_GET['bannerid']; ?>">
										<?php echo $GLOBALS['strBanner_Edit_Head']; ?>
									</a>
								</li>
								<li class="nav-item">
									<a class="nav-link" href="delivery_options.php?bannerid=<?php echo $_GET['bannerid']; ?>">
										<?php echo $GLOBALS['delivery_options']; ?>
									</a>
								</li>
								<li class="nav-item">
									<a class="nav-link" href="linked_zones.php?bannerid=<?php echo $_GET['bannerid']; ?>">
										<?php echo $GLOBALS['link_zones']; ?>
									</a>
								</li>
								<li class="nav-item">
									<a class="nav-link active text-primary" href="#">
										<?php echo $GLOBALS['advanced']; ?>
									</a>
								</li>
							</ul>
							<div class="tab-content">
								<div class="row">
									<p class="alert bg-success alert-dismissible fade show text-white" id="alertsuccess"><i class="fa fa-check-circle"></i>
										<?php echo $GLOBALS['advance_settings']; ?>
									</p>
								</div>
								<p class="h4 mb-4">
									<?php echo $GLOBALS['append_prepend_settings']; ?>
								</p>
								<div class="mx-2">
									<label class="form-label" style="font-size: 1.4ch;">
										<?php echo $GLOBALS['prepend_HTML_code']; ?>
									</label>
									<textarea class="form-control text-dark" id="prepend_code" rows="4" placeholder="HTML Code"></textarea>
								</div>
								<div class="my-4 mx-2">
									<label class="form-label" style="font-size: 1.4ch;">
										<?php echo $GLOBALS['append_HTML_code']; ?>
									</label>
									<textarea class="form-control text-dark" id="append_code" rows="4" placeholder="HTML Code"></textarea>
								</div>
								<div class="row my-3">
									<div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6"></div>
									<div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
										<button type="button" class="btn btn-outline-danger cancel-style" style="margin-right: 3%;" onclick="window.location.href='bannerlist.php'">
											<?php echo $GLOBALS['strCancel']; ?>
										</button>
										<button type="button" class="btn btn-primary" onclick="submitAdvancedBanner()">
											<?php echo $GLOBALS['strSubmit']; ?>
										</button>
									</div>
								</div>
							</div>
						</div>
						<!-- / Content -->

						<!-- Footer -->
						<?php include('footer.php'); ?>
						<!-- / Footer -->
						<div class="content-backdrop fade"></div>
					</div>
					<!-- Content wrapper -->
				</div>
				<!-- / Layout page -->
			</div>

			<script>
				let live_URL = '<?php echo $apiinvenpath; ?>';
				let token = 'Bearer ' + document.getElementById('token').value;
				let getBanner_id = document.getElementById('bannerid').value;

				var userid = '<?php echo $_SESSION['user_id']; ?>';


				getBannerData = () => {
					$(".loader").show();
					$.ajax({
						url: live_URL + '/get_banner/' + getBanner_id,
						type: "GET",
						beforeSend: function(xhr) {
							xhr.setRequestHeader('Authorization', token);
						},
						data: {},
						dataType: "json",
						encode: true,
					}).done(function(data) {
						$(".loader").hide();

						//advanced setting
						document.getElementById('append_code').value = data.data.append;
						document.getElementById('prepend_code').value = data.data.prepend;
					});
				};

				//advaned submit
				submitAdvancedBanner = () => {
					$(".loader").show();
					let getAppend = document.getElementById('append_code').value;
					let getPrepend = document.getElementById('prepend_code').value;
					let advancedData = {
						"append": getAppend,
						"prepend": getPrepend,
						"mode": "edit"
					};

					$.ajax({
						url: live_URL + '/edit_advanced_banner/' + getBanner_id,
						type: "POST",
						beforeSend: function(xhr) {
							xhr.setRequestHeader('Authorization', token);
						},
						data: advancedData,
						dataType: "json",
						encode: true,
					}).done(function(data) {
						$(".loader").hide();
						if (data.data.statuscode == 200 && data.data.msg == "Advance settings banner updated successfully!") {
							$("#alertsuccess").show('medium');
							setTimeout(function() {
								$("#alertsuccess").hide('medium');
							}, 1700);
							setTimeout(function() {
								location.reload();
							}, 1700);
						} else {
							console.warn("Advance settings is not update");
						}
					});
				};

				
			</script>
			<div class="layout-overlay layout-menu-toggle"></div>
		</div>
	</div>
</body>

</html>