<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='../assets/' data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title><?php echo $projecttitle; ?> - <?php echo $GLOBALS['strInventory_AddCampaign']; ?> </title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>
    <style>
        label[for=textarea-a],
        #textarea-a {
            display: none;
        }

        #radio-mini-2:checked~label[for=textarea-a],
        #radio-mini-2:checked~#textarea-a {
            display: block;
        }

        /* override */
        label[for=textarea-a],
        #textarea-a {
            display: none;
        }

        #over:checked~label[for=textarea-a],
        #over:checked~#textarea-a {
            display: block;
        }

        /* contract */
        label[for=textarea-a],
        #textarea-a {
            display: none;
        }

        #contract:checked~label[for=textarea-a],
        #contract:checked~#textarea-a {
            display: block;
        }

        /*  Remnant */
        label[for=textarea-a],
        #textarea-a {
            display: none;
        }

        #remnant:checked~label[for=textarea-a],
        #remnant:checked~#textarea-a {
            display: block;
        }

        .inputbox {

            border-radius: 0 !important;
        }

        .cancel-style {
            color: red !important
        }

        .cancel-style:hover {
            color: #fff !important
        }

        .alert {
            display: none;
            /* position: fixed;
            top: 0px;
            right: 0px; */

        }

        .fa {
            margin-right: .5em;
        }

        mark {
            background-color: #ffff80;
            color: black;
        }
    </style>
</head>

<body onload="gettime();">
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->

                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->
                    <div class="container">
                        <form name="campaignaddform" action="" method="POST">
                            <div class="card my-4">
                                <div class="card-header">
                                    <p class="h3 text-secondary"> <?php echo $GLOBALS['strInventory_AddCampaign']; ?> </p>
                                    <p class="alert bg-success alert-dismissible fade show text-white" id="alertsuccess"><i class="fa fa-check-circle"></i><?php echo $GLOBALS['strSuccessAlert']; ?></p>
                                    <p class="alert bg-danger alert-dismissible fade show text-white" id="alertfailed"><i class="fa fa-check-circle"></i><?php echo $GLOBALS['strFailedAlert']; ?></p>
                                    <p class="alert alert-warning" id="setcampaignweight_msg"><i class="fa fa-info-circle"></i><?php echo $GLOBALS['weight_zero_warning']; ?></p>
                                </div>
                                <div class="card-body">
                                    <div class="container">
                                        <p class="h5 text-primary mb-2"><?php echo $GLOBALS['strBasicInformation']; ?></p>
                                        <div class="row mb-3 mb-sm-3 mb-md-3 mb-lg-4 mb-xl-4 mb-xxl-4">
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class="col-form-label">
                                                    <?php echo $GLOBALS['strName']; ?> <span class="required text-danger"> *</span>
                                                </label>
                                                <input type="text" class="form-control mb-2" id="campaignname" name="campaignname" placeholder="name" onkeyup="onchangeCampaignname(this.value);" onchange="onchangeCampaignname(this.value);">
                                                <div id="campaignname_msg"></div>
                                            </div>
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class=" col-form-label">
                                                    <?php echo $GLOBALS['strInventory_Campaigntype']; ?> <span class="required text-danger"> *</span>
                                                </label>
                                                <select id="campaignTypeselect" class="form-select text-dark" onchange="selectCampaign(this.value);">
                                                    <option selected value="Select campaign">
                                                        <?php echo $GLOBALS['strInventory_Selectcampaign']; ?>
                                                    </option>
                                                    <option value="remnant"><?php echo $GLOBALS['strRemnant']; ?></option>
                                                    <option value="contract"><?php echo $GLOBALS['strContract']; ?></option>
                                                    <option value="override"><?php echo $GLOBALS['strOverride']; ?></option>
                                                </select>
                                                <div id="campaigntype_msg"></div>
                                            </div>
                                        </div>
                                        
                                        <p class="h5 text-primary mb-2"><?php echo $GLOBALS['strDate']; ?></p>
                                        <div class="row mb-3 mb-sm-3 mb-md-3 mb-lg-4 mb-xl-4 mb-xxl-4">
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class="col-form-label">
                                                    <?php echo $GLOBALS['strStartDate']; ?> <span class="required text-danger"> *</span>
                                                </label>
                                                <select id="getstartdate" class="form-select text-dark" onchange="setspecificdatestart(this.value);">
                                                    <option selected value="Select Date type"><?php echo $GLOBALS['strSelectDate_type']; ?> </option>
                                                    <option value="Start immediately"><?php echo $GLOBALS['strStart_immediately']; ?></option>
                                                    <option value="Set specific date" id="setspecificdate"><?php echo $GLOBALS['strSetspecific_date']; ?></option>
                                                </select>
                                                <div id="getstartdateMsg"></div>
                                                <div class="mt-2">
                                                    <label for="textarea-a"></label>
                                                    <input type="date" name="date" id="textarea-a-setspecificdatestart" onchange="setspecificdatestart_val(this.value)">
                                                    </input>
                                                    <div id="setspecificdatestartMsg"></div>
                                                </div>
                                            </div>
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class="col-form-label">
                                                    <?php echo $GLOBALS['strEndDate']; ?> <span class="required text-danger"> *</span>
                                                </label>
                                                <select id="getenddate" class="form-select text-dark" onchange="setspecificdateend(this.value);">
                                                    <option selected value="Select Date type"><?php echo $GLOBALS['strSelectDate_type']; ?></option>
                                                    <option value="Don't expire"><?php echo $GLOBALS['strDontExpire']; ?></option>
                                                    <option value="Set specific date"><?php echo $GLOBALS['strSetSpecificDate']; ?></option>
                                                </select>
                                                <div id="getenddateMsg"></div>
                                                <div class="mt-2">
                                                    <label for="textarea-a"></label>
                                                    <input type="date" name="date" id="textarea-a-setspecificdateend" onchange="setspecificdateend_val(this.value)">
                                                    </input>
                                                    <div id="setspecificdateendMsg"></div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <p class="h5 text-primary mb-2"><?php echo $GLOBALS['strPricing']; ?></p>
                                        <div class="row mb-3 mb-sm-3 mb-md-3 mb-lg-4 mb-xl-4 mb-xxl-4">
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class="col-form-label">
                                                    <?php echo $GLOBALS['strPricingModel']; ?>
                                                    <span class="required text-danger">*</span>
                                                </label>
                                                <select id="pricingModelSelect" class="form-select text-dark mb-2" onchange="selectpricing(this.value);">
                                                    <option selected value="Select pricing"><?php echo $GLOBALS['strSelectPricing']; ?></option>
                                                    <option value="cpm"><?php echo $GLOBALS['strFinanceCPM']; ?></option>
                                                    <option value="cpc"><?php echo $GLOBALS['strFinanceCPC']; ?></option>
                                                    <option value="cpa"><?php echo $GLOBALS['strFinanceCPA']; ?></option>
                                                </select>
                                                <div id="pricingModelSelectMsg"></div>
                                            </div>
                                            <!-- mt-4 mt-sm-4 mt-md-0 mt-lg-0 mt-xl-0 mt-xxl-0 -->
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                <label for="inputName" class="col-form-label">
                                                    <?php echo $GLOBALS['strRatePrice']; ?>
                                                </label>
                                                <input type="text" class="form-control" placeholder="rate" id="rate" onchange="onchangeCampaignrate(this);">
                                                <div id="campaignrateMsg"></div>
                                            </div>
                                        </div>

                                        <div id="divConversions">
                                            <div class="row">
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <label for="inputName" class="col-form-label" id="labelConversions">
                                                        <?php echo $GLOBALS['strConversions']; ?>
                                                    </label>
                                                    <input type="text" class="form-control" id="Conversions" onkeypress='return restrictAlphabets(event)' onkeyup="conversionsvalue(this)">
                                                    <div class="form-check form-switch mt-2" id="divtoggleconversions">
                                                        <input class="form-check-input" type="checkbox" role="switch" id="toggleconversions" checked onchange="switchstateConversions(this);">
                                                        <label class="form-check-label" for="flexSwitchCheckDefault"> <?php echo $GLOBALS['strUnlimited']; ?></label>
                                                    </div>
                                                    <div id="conversionsMsg"></div>
                                                </div>
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <p id="conversionval" class="mt-5" style="display:none;"><mark><?php echo $GLOBALS['conversions_remaining']; ?> <span id="conversionvalue"></span></mark></p>
                                                </div>
                                            </div>
                                            <!-- <div class="row">
                                                <div class="col-6">
                                                    <p id="conversionval" style="display:none;"><mark><?php echo $GLOBALS['conversions_remaining']; ?> <span id="conversionvalue"></span></mark></p>
                                                </div>
                                                <div class="col-6">
                                                    <div class="form-check form-switch mt-2" id="divtoggleconversions">
                                                        <input class="form-check-input" type="checkbox" role="switch" id="toggleconversions" checked onchange="switchstateConversions(this);">
                                                        <label class="form-check-label" for="flexSwitchCheckDefault"> <?php echo $GLOBALS['strUnlimited']; ?></label>
                                                    </div>
                                                    <div id="conversionsMsg">
                                                    </div>
                                                </div>
                                            </div> -->
                                        </div>

                                        <div id="divClicks">
                                            <div class="row">
                                                <div class="col-6">
                                                    <label for="inputName" class=" col-form-label" id="labelClicks">
                                                        <?php echo $GLOBALS['strClicks']; ?>
                                                    </label>
                                                    <div class="col-6"></div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <input type="text" class="form-control" id="Clicks" onkeypress='return restrictAlphabets(event)' onkeyup="clicksvalue(this)">
                                                </div>
                                                <div class="col-6">
                                                    <p id="clickval" style="display:none;"><mark><?php echo $GLOBALS['clicks_remaining']; ?> <span id="clickvalue"></span></mark></p>
                                                </div>
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <div class="form-check form-switch mt-2">
                                                        <input class="form-check-input" type="checkbox" role="switch" id="toggleclicks" checked onchange="switchstateClicks(this);">
                                                        <label class="form-check-label" for="flexSwitchCheckDefault"> <?php echo $GLOBALS['strUnlimited']; ?></label>
                                                    </div>
                                                    <div id="ClicksMsg"></div>
                                                </div>
                                            </div>
                                        </div>

                                        <div>
                                            <div class="row">
                                                <div class="col-6">
                                                    <label for="inputName" class="col-form-label" id="impressionlabel">
                                                        <?php echo $GLOBALS['strImpressions']; ?>
                                                    </label>
                                                    <div class="col-6"></div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <input type="text" class="form-control" id="impression" onkeypress='return restrictAlphabets(event)' onkeyup="impressionsvalue(this)">
                                                </div>
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <p id="impval" style="display:none;"><mark><?php echo $GLOBALS['impressions_remaining']; ?> <span id="impvalue"></span></mark></p>
                                                </div>
                                                <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                                    <div class="form-check form-switch mt-2" id="impressionswitch">
                                                        <input class="form-check-input" type="checkbox" role="switch" id="toggleimpression" checked onchange="switchstateImprssion(this);">
                                                        <label class="form-check-label" for="flexSwitchCheckDefault"><?php echo $GLOBALS['strUnlimited']; ?>
                                                        </label>
                                                    </div>
                                                    <div id="impressionMsg"></div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-8">
                                                    <span id="disable_msg" class="text-primary" data-toggle="tooltip" title="<?php echo $GLOBALS['disable_msg']; ?>" aria-hidden="true"><i class="fa fa-info-circle"></i><?php echo $GLOBALS['why_disable']; ?></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-4 mt-4">
                                            <div class="col-md-12">
                                                <div class="form-group row">
                                                    <p class="h5 text-primary mb-2 mt-1">
                                                        <?php echo $GLOBALS['strPriorityInformation']; ?>
                                                    </p>
                                                    <!-- <hr class="solid"> -->
                                                    <div class="col-md-4 mb-4" id="pricingleveldiv">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['strPriorityLevel']; ?>
                                                            <span class="required text-danger">*</span>
                                                        </label>
                                                        <select id="getDuration" class="form-select text-dark">
                                                            <option value="10">10</option>
                                                            <option value="9">9</option>
                                                            <option value="8">8</option>
                                                            <option value="7">7</option>
                                                            <option value="6">6</option>
                                                            <option value="5">5</option>
                                                            <option value="4">4</option>
                                                            <option value="3">3</option>
                                                            <option value="2">2</option>
                                                            <option value="1">1</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-md-4" id="pricingLimitdiv">
                                                        <div class="form-group row">
                                                            <div class="mb-4">
                                                                <label for="inputName" class="col-md-4 col-form-label">
                                                                    <?php echo $GLOBALS['strLimit']; ?>
                                                                </label>
                                                                <select id="limitvalues" class="col-md-4 form-select text-dark">
                                                                    <option selected value="Impressions"> <?php echo $GLOBALS['strImpressions']; ?></option>
                                                                    <option value="Clicks"><?php echo $GLOBALS['strClicks']; ?></option>
                                                                    <option value="Conversions"><?php echo $GLOBALS['strConversions']; ?></option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4" id="pricingtodiv">
                                                        <div class="form-group row">
                                                            <div class="mb-4">
                                                                <label for="inputName" class="col-form-label">
                                                                    <?php echo $GLOBALS['strTo']; ?>
                                                                </label>
                                                                <div class="">
                                                                    <input type="text" class="form-control" id="to_value" onkeypress='return restrictAlphabets(event)' onchange="" onkeyup=""> <?php echo $GLOBALS['strPerDay']; ?> </input>
                                                                    <div id="prioritylimitMsg">

                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group row">
                                                            <div class="mb-4">
                                                                <label for="inputName" class="col-form-label" id="setcampaignweightlabel">
                                                                    <?php echo $GLOBALS['strCampaignWeight']; ?>
                                                                </label>
                                                                <div class="">
                                                                    <input type="text" class="form-control" value="1" id="setcampaignweight" onkeypress='return restrictAlphabets(event)' onkeyup="onchangecampaignweight(this.value)" onchange="onchangecampaignweight(this.value)">
                                                                    <div id="setcampaignweightMsg">

                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group row mb-2">
                                                    <p class="h5 text-primary mb-4"><?php echo $GLOBALS['delivery_capping']; ?> </p>
                                                    <p id="capping_error" class="alert alert-danger"><?php echo $GLOBALS['capping_error']; ?></p>
                                                    <p id="capping_error_msg" class="alert alert-danger"><?php echo $GLOBALS['capping_error_msg']; ?></p>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['campaign_limit_views_total']; ?>
                                                        </label>
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <input type="number" class="form-control" id="limitcampaign_intoal" value="0" name="" placeholder="limit campaign views" onkeypress='return isNumber(event)' onkeyup="limitcampaignintoal(this.value)" onchange="limitcampaignintoal(this.value)">
                                                        <div id=""></div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['campaign_limit_views_session']; ?>
                                                        </label>
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <input type="number" class="form-control" id="limitcampaign_persession" value="0" name="" placeholder="limit campaign views" onkeypress='return isNumber(event)' onkeyup="limitcampaignintoal(this.value)" onchange="limitcampaignintoal(this.value)">
                                                        <div id="">

                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['reset_view']; ?>
                                                        </label>
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <div class="d-flex mt-2">
                                                            <?php echo $GLOBALS['hour']; ?>
                                                            <input type="text" class="form-control px-2 text-center" id="hours" name="" placeholder="" value="0" onkeypress='return isNumber(event)' onkeyup="">
                                                            <?php echo $GLOBALS['minutes']; ?>
                                                            <input type="text" class="form-control px-2 text-center " id="minutes" value="0" name="" placeholder="" onkeypress='return isNumber(event)' onkeyup="">
                                                            <?php echo $GLOBALS['seconds']; ?>
                                                            <input type="text" class="form-control px-2 text-center" id="seconds" value="0" name="" placeholder="" onkeypress='return isNumber(event)' onkeyup="">
                                                        </div>
        
                                                        <div id="hours_msg">
                                                        </div>
                                                        <div id="minutes_msg">
                                                        </div>
                                                        <div id="seconds_msg">
                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['cookies']; ?>
                                                        </label> <br />
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <input type="checkbox" id="show_capped_cookies" class="" /> <?php echo $GLOBALS['show_capped_cookies']; ?>
                                                        <i class="fa fa-info-circle" data-toggle="tooltip" title="<?php echo $GLOBALS['cookies_msg']; ?>" aria-hidden="true"></i>
                                                        <div id="">

                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                </div>
                                            </div>
                                            <!-- Miscellaneous start-->
                                            <!-- <div class="col-md-12">
                                                <div class="form-group row mb-2">
                                                    <p class="h5 text-primary mb-4"><?php echo $GLOBALS['Miscellaneous']; ?></p>
                                    
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['Miscellaneous']; ?>
                                                        </label> <br />
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <input type="checkbox" id="hide_advertiser" class=""/> <?php echo $GLOBALS['Hide_the_advertiser_websites']; ?>
                                                        <div id="">

                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['Miscellaneous']; ?>
                                                        </label> <br />
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <input type="checkbox" id="comp_position" class="" /> <?php echo $GLOBALS['Companion_positioning']; ?>
                                                        <div id="">

                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                    <div class="mb-4 col-md-4">
                                                        <label for="inputName" class="col-form-label">
                                                            <?php echo $GLOBALS['strInventory_Comments']; ?>
                                                        </label> <br />
                                                    </div>
                                                    <div class="mb-4 col-md-6">
                                                        <textarea type="textarea" id="comments" class="form-control" rows="3"></textarea>
                                                        <div id="">

                                                        </div>
                                                    </div>
                                                    <div class="mb-4 col-md-2">

                                                    </div>
                                                </div>
                                            </div> -->
                                            <!-- Miscellaneous end-->
                                        </div>
                                        <div class="row mb-3">
                                            <!-- style="position:relative;left:73%;" -->
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end"></div>
                                            <div class="col col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 d-flex justify-content-center justify-content-sm-center justify-content-md-end justify-content-lg-end justify-content-xl-end justify-content-xxl-end">
                                                <button type="button" class="btn btn-outline-danger" style="margin-right: 3%;" onclick="window.location.href='campaignlist.php'">
                                                    <?php echo $GLOBALS['strCancel']; ?>
                                                </button>
                                                <button type="button" id="submitbtn" class="btn btn-primary submitbtn" onclick="campaignadd()">
                                                    <?php echo $GLOBALS['strSubmit']; ?>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>

                <?php include('footer.php'); ?>
            </div>
        </div>
    </div>



    <script src="../js/sweetalert.min.js"></script>
    <script>
        var live_URL = '<?php echo $apiinvenpath; ?>';
        var agency_id = document.getElementById('agencyid').value;
        var live_URL1 = '<?php echo $apistatpath; ?>';
        var clicksstatus = $("#Clicks").val();
        var conversionstatus = $("#Conversions").val();
        var impressionstatus = $("#impression").val();
        var token = 'Bearer ' + document.getElementById('token').value;
        var clientid = '<?php echo $_REQUEST['clientid']; ?>';
        var client_id = '<?php echo $_REQUEST['client_id']; ?>';

        if(clientid){
            cliid=clientid;
        }else{
            cliid=client_id;
        }
        $('#disable_msg').hide();
        // console.log("clientid", clientid)
        $('#capping_error').hide();
        $('#capping_error_msg').hide();
        $('#setcampaignweight_msg').hide();
        //select specific date 

        $("#textarea-a-setspecificdatestart").css("display", "none");

        var timeZone;
      
        
        function gettime() {
            $.ajax({
                type: "GET",
                url: live_URL1 + '/get_timezone_report/' + agency_id,
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                dataType: "json",
                encode: true,
            }).done(function (data) {
                //console.log(data);
                timeZone=data;
                
             
            });
        }

        function setspecificdatestart(that) {
            if (that == "Set specific date") {
                $("#textarea-a-setspecificdatestart").css("display", "block");
            } else {
                $("#textarea-a-setspecificdatestart").css("display", "none");
            }

            if (that == "Select Date type") {
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                $("#textarea-a-setspecificdatestart").css("display", "none");
            } else if (that != "Set specific date" || that != "Start immediately") {
                document.getElementById('getstartdateMsg').innerHTML = "";
            }

            if (that == "Start immediately" || that == "Select Date type") {
                document.getElementById('setspecificdatestartMsg').innerHTML = "";
            }

        }

        function setspecificdatestart_val(that) {
            var startdate = document.getElementById('getstartdate').value;
            if (startdate == "Set specific date") {
                if (that == "") {
                    document.getElementById('setspecificdatestartMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                    document.getElementById('setspecificdatestartMsg').style.color = "red";
                } else if (that != "") {
                    document.getElementById('setspecificdatestartMsg').innerHTML = "";
                }
            }
        }

        $("#textarea-a-setspecificdateend").css("display", "none");

        function setspecificdateend(that) {

            var campaigntype = document.getElementById('campaignTypeselect').value;
            var impressionsvalue = $('#impression').val();
            var clicksvalue = $('#Clicks').val();
            var conversionsvalue = $('#Conversions').val();
            var pricing = document.getElementById('pricingModelSelect').value;


            if (that == "Set specific date") {
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "Don't expire") {
                $("#textarea-a-setspecificdateend").css("display", "none");
            }

            if (campaigntype == "contract" && that == "Set specific date") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#textarea-a-setspecificdateend").css("display", "block");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
                $("#pricinglimit").css("display", "block");
                $("#pricingtoval").css("display", "block");
                if ($("#toggleimpression").prop('checked') == false || $("#toggleclicks").prop('checked') == false || $("#toggleconversions").prop('checked') == false) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($("#toggleimpression").prop('checked') == true || $("#toggleclicks").prop('checked') == true || $("#toggleconversions").prop('checked') == true) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
                //document.getElementById('impressionMsg').innerHTML = "";
                $('#disable_msg').hide();
            }
            if (campaigntype == "contract" && that == "Don't expire") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
                $("#pricinglimit").css("display", "block");
                $("#pricingtoval").css("display", "block");
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
                $('#disable_msg').hide();
            }


            if (campaigntype == "remnant" && that == "Set specific date") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                $("#Conversions").prop('disabled', true);
                $("#textarea-a-setspecificdateend").css("display", "block");
                $('#disable_msg').show();
                if (pricing == 'Select pricing') {
                    $('#disable_msg').hide();
                }
            } else if (campaigntype == "remnant" && that == "Don't expire" && pricing == "cpm") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                if ($("#toggleimpression").prop('checked') == false) {
                    $("#impression").prop('disabled', false);
                    if ($("#impression").prop('disabled') == false) {
                        $("#impval").show();
                        if (impressionsvalue == "") {
                            document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                            document.getElementById('impressionMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleclicks").prop('checked') == false) {
                    $("#Clicks").prop('disabled', false);
                    if ($("#Clicks").prop('disabled') == false) {
                        $("#clickval").show();
                        if (clicksvalue == "") {
                            document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('ClicksMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleconversions").prop('checked') == false) {
                    $("#Conversions").prop('disabled', false);
                    if ($("#Conversions").prop('disabled') == false) {
                        $("#conversionval").show();
                        if (conversionsvalue == "") {
                            document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('conversionsMsg').style.color = "red";
                        }
                    }
                }
                $("#textarea-a-setspecificdateend").css("display", "none");
                $('#disable_msg').hide();
            }
            if (campaigntype == "override" && that == "Set specific date") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                $("#Conversions").prop('disabled', true);
                $("#textarea-a-setspecificdateend").css("display", "block");
                $('#disable_msg').show();
                if (pricing == 'Select pricing') {
                    $('#disable_msg').hide();
                }

            } else if (campaigntype == "override" && that == "Don't expire" && pricing == "cpm") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                if ($("#toggleimpression").prop('checked') == false) {
                    $("#impression").prop('disabled', false);
                    if ($("#impression").prop('disabled') == false) {
                        $("#impval").show();
                        if (impressionsvalue == "") {
                            document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                            document.getElementById('impressionMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleclicks").prop('checked') == false) {
                    $("#Clicks").prop('disabled', false);
                    if ($("#Clicks").prop('disabled') == false) {
                        $("#clickval").show();
                        if (clicksvalue == "") {
                            document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('ClicksMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleconversions").prop('checked') == false) {
                    $("#Conversions").prop('disabled', false);
                    if ($("#Conversions").prop('disabled') == false) {
                        $("#conversionval").show();
                        if (conversionsvalue == "") {
                            document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('conversionsMsg').style.color = "red";
                        }
                    }
                }
                $("#textarea-a-setspecificdateend").css("display", "none");
                $('#disable_msg').hide();
            }


            if (that == "Select Date type") {
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
                $("#toggleimpression").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $('#disable_msg').hide();
            } else if (that != "Set specific date" || that != "Don't expire") {
                document.getElementById('getenddateMsg').innerHTML = "";
            }

            if (that == "Don't expire" || that == "Select Date type") {
                document.getElementById('setspecificdateendMsg').innerHTML = "";
            }

            if (campaigntype == "contract" && that == "Set specific date" && impressionsvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "block");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
                $("#pricinglimit").css("display", "none");
                $("#pricingtoval").css("display", "none");
            } else if (campaigntype == "contract" && that == "Set specific date" && clicksvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "block");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
            } else if (campaigntype == "contract" && that == "Set specific date" && conversionsvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "block");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
            } else if (campaigntype == "contract" && that == "Don't expire" && impressionsvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
            } else if (campaigntype == "contract" && that == "Don't expire" && clicksvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
            } else if (campaigntype == "contract" && that == "Don't expire" && conversionsvalue != "") {
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
            } else if (campaigntype == "contract" && that == "Select Date type") {
                $("#textarea-a-setspecificdateend").css("display", "none");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
            }

            if (that == "Set specific date") {
                if ($("#toggleimpression").prop('checked') == false || $("#toggleclicks").prop('checked') == false || $("#toggleconversions").prop('checked') == false) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($("#toggleimpression").prop('checked') == true || $("#toggleclicks").prop('checked') == true || $("#toggleconversions").prop('checked') == true) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            } else if (that == "Don't expire") {
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
            }

        }

        function setspecificdateend_val(that) {
            var enddate = document.getElementById('getenddate').value;
            if (enddate == "Set specific date") {
                if (that == "") {
                    document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                    document.getElementById('setspecificdateendMsg').style.color = "red";
                } else if (that != "") {
                    document.getElementById('setspecificdateendMsg').innerHTML = "";
                }
            }
        }

        //select price 

        $("#labelClicks").css("display", "none");
        $("#Clicks").css("display", "none");
        $("#divClicks").css("display", "none");
        $("#labelConversions").css("display", "none");
        $("#Conversions").css("display", "none");
        $("#divConversions").css("display", "none");
        $("#divtoggleconversions").css("display", "none");
        $("#impressionswitch").css("display", "none");
        $("#impressionlabel").css("display", "none");
        $("#impression").css("display", "none");

        $('#impression').prop('disabled', true);



        function selectpricing(that) {
            var campaigntype = document.getElementById('campaignTypeselect').value;
            var enddate = document.getElementById('getenddate').value;


            if (that == "Select pricing") {
                $("#impression").prop('disabled', true);
                $("#impressionswitch").css("display", "none");
                $("#impressionlabel").css("display", "none");
                $("#impression").css("display", "none");
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
                impressionstatus = $("#impression").val();
                if (impressionstatus == "") {
                    $('#toggleimpression').prop("checked", true);
                }

                clicksstatus = $("#Clicks").val();
                if (clicksstatus == "") {
                    $('#toggleclicks').prop("checked", true);
                }

                conversionstatus = $("#Conversions").val();
                if (conversionstatus == "") {
                    $('#toggleconversions').prop("checked", true);
                }
                $('#disable_msg').hide();
            }

            if (that == "cpm") {
                $("#impression").prop('disabled', false);
                $("#impressionswitch").css("display", "block");
                $("#impressionlabel").css("display", "block");
                $("#impression").css("display", "block");
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    impressionstatus = $("#impression").val();
                    if (impressionstatus == "") {
                        document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                        document.getElementById('impressionMsg').style.color = "red";
                    }
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                    $("#impression").prop('disabled', true);
                }
                // selectCampaign();                
            }

            if (that == "cpc") {
                // selectCampaign();    
                $("#labelClicks").css("display", "block");
                $("#Clicks").css("display", "block");
                $("#divClicks").css("display", "block");
                $("#impressionswitch").css("display", "block");
                $("#impressionlabel").css("display", "block");
                $("#impression").css("display", "block");
                if ($('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    clicksstatus = $("#Clicks").val();
                    if (clicksstatus == "") {
                        document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                        document.getElementById('ClicksMsg').style.color = "red";
                    }
                }
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    impressionstatus = $("#impression").val();
                    if (impressionstatus == "") {
                        document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                        document.getElementById('impressionMsg').style.color = "red";
                    }
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else {
                $("#labelClicks").css("display", "none");
                $("#Clicks").css("display", "none");
                $("#divClicks").css("display", "none");
            }

            if (that == "cpa") {
                // selectCampaign();    
                $("#labelConversions").css("display", "block");
                $("#Conversions").css("display", "block");
                $("#divConversions").css("display", "block");
                $("#divtoggleconversions").css("display", "block");
                $("#labelClicks").css("display", "block");
                $("#Clicks").css("display", "block");
                $("#divClicks").css("display", "block");
                $("#impressionswitch").css("display", "block");
                $("#impressionlabel").css("display", "block");
                $("#impression").css("display", "block");
                if ($('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    clicksstatus = $("#Clicks").val();
                    if (clicksstatus == "") {
                        document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                        document.getElementById('ClicksMsg').style.color = "red";
                    }
                }
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    impressionstatus = $("#impression").val();
                    if (impressionstatus == "") {
                        document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                        document.getElementById('impressionMsg').style.color = "red";
                    }
                }
                if ($('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                    conversionstatus = $("#Conversions").val();
                    if (conversionstatus == "") {
                        document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                        document.getElementById('conversionsMsg').style.color = "red";
                    }

                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else {
                $("#labelConversions").css("display", "none");
                $("#Conversions").css("display", "none");
                $("#divConversions").css("display", "none");
            }

            if (that == "Select pricing") {
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                document.getElementById('impressionMsg').innerHTML = "";
                document.getElementById('ClicksMsg').innerHTML = "";
                document.getElementById('conversionsMsg').innerHTML = "";
                $('#impval').hide();
            } else if (that != "cpm" || that != "cpc" || that != "cpa") {
                document.getElementById('pricingModelSelectMsg').innerHTML = "";
            }

            if (campaigntype == "remnant" && enddate == "Set specific date" && that == "cpa") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                $("#Conversions").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }


            } else if (campaigntype == "remnant" && enddate == "Set specific date" && that == "cpc") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }


            } else if (campaigntype == "remnant" && enddate == "Set specific date" && that == "cpm") {
                $("#toggleimpression").prop('disabled', true);
                $("#impression").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }


            } else if (campaigntype == "override" && enddate == "Set specific date" && that == "cpa") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                $("#Conversions").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }


            } else if (campaigntype == "override" && enddate == "Set specific date" && that == "cpc") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#impression").prop('disabled', true);
                $("#Clicks").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }


            } else if (campaigntype == "override" && enddate == "Set specific date" && that == "cpm") {
                $("#toggleimpression").prop('disabled', true);
                $("#impression").prop('disabled', true);
                if ($("#toggleimpression").prop('disabled') == true) {
                    $('#disable_msg').show();
                } else {
                    $('#disable_msg').hide();
                }

            } else if ((campaigntype == "Select campaign" || campaigntype == "remnant" || campaigntype == "contract" || campaigntype == "override") && (that == "cpm" || that == "cpc" || that == "cpa")) {
                if ($("#toggleimpression").prop('checked') == false) {
                    $('#impval').show();
                }
            }

        }


        function switchstateImprssion(that) {

            var impval = document.getElementById("impval");
            var x = document.getElementById("impression").value;
            document.getElementById("impvalue").innerHTML = x;
            var campaigntype = document.getElementById('campaignTypeselect').value;
            var pricingmodel = document.getElementById('pricingModelSelect').value;
            var enddate = document.getElementById('getenddate').value;

            if (that.checked == false) {
                $("#impression").prop('disabled', false);
            } else {
                $("#impression").prop('disabled', true);
                $("#impression").val("");
            }

            if ($('#toggleimpression').prop("checked") == false) {
                impval.style.display = "block";
                impressionstatus = $("#impression").val();
                if (x == "") {
                    var x = 0;
                    document.getElementById("impvalue").innerHTML = x;
                    document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                    document.getElementById('impressionMsg').style.color = "red";
                }

            } else if ($('#toggleimpression').prop("checked") == true) {
                impval.style.display = "none";
                impressionstatus = "-1";
                document.getElementById('impressionMsg').innerHTML = "";
            }

            if (campaigntype == "remnant" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            }
            if (campaigntype == "contract" && enddate == "Set specific date") {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            }

            if (enddate == "Set specific date") {
                if ($("#toggleimpression").prop('checked') == false || $("#toggleclicks").prop('checked') == false || $("#toggleconversions").prop('checked') == false) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($("#toggleimpression").prop('checked') == true || $("#toggleclicks").prop('checked') == true || $("#toggleconversions").prop('checked') == true) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            } else if (enddate == "Don't expire") {
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
            }

        }

        $("#Clicks").prop('disabled', true);

        function switchstateClicks(that) {

            var clickval = document.getElementById("clickval");
            var x = document.getElementById("Clicks").value;
            document.getElementById("clickvalue").innerHTML = x;
            var campaigntype = document.getElementById('campaignTypeselect').value;
            var pricingmodel = document.getElementById('pricingModelSelect').value;
            var enddate = document.getElementById('getenddate').value;

            if (that.checked == true) {
                $("#Clicks").prop('disabled', true);
                $("#Clicks").val("");
            } else {
                $("#Clicks").prop('disabled', false);
            }


            if ($('#toggleclicks').prop("checked") == false) {
                clickval.style.display = "block";
                clicksstatus = $("#Clicks").val();
                if (x == "") {
                    var x = 0;
                    document.getElementById("clickvalue").innerHTML = x;
                    document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                    document.getElementById('ClicksMsg').style.color = "red";
                }

            } else {
                clickval.style.display = "none";
                clicksstatus = $("#Clicks").val();
                document.getElementById('ClicksMsg').innerHTML = " ";
            }

            if (campaigntype == "remnant" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            }
            if (campaigntype == "contract" && enddate == "Set specific date") {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            }

            if (enddate == "Set specific date") {
                if ($("#toggleimpression").prop('checked') == false || $("#toggleclicks").prop('checked') == false || $("#toggleconversions").prop('checked') == false) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($("#toggleimpression").prop('checked') == true || $("#toggleclicks").prop('checked') == true || $("#toggleconversions").prop('checked') == true) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            } else if (enddate == "Don't expire") {
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
            }


        }

        $("#Conversions").prop('disabled', true);

        function switchstateConversions(that) {

            var conversionval = document.getElementById("conversionval");
            var x = document.getElementById("Conversions").value;
            document.getElementById("conversionvalue").innerHTML = x;
            var campaigntype = document.getElementById('campaignTypeselect').value;
            var pricingmodel = document.getElementById('pricingModelSelect').value;
            var enddate = document.getElementById('getenddate').value;

            if (that.checked == false) {
                $("#Conversions").prop('disabled', false);
            } else {
                $("#Conversions").prop('disabled', true);
                $("#Conversions").val("");
            }


            if ($('#toggleconversions').prop("checked") == false) {
                conversionval.style.display = "block";
                conversionstatus = $("#Conversions").val();
                if (x == "") {
                    var x = 0;
                    document.getElementById("conversionvalue").innerHTML = x;
                    document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                    document.getElementById('conversionsMsg').style.color = "red";
                }

            } else if ($('#toggleconversions').prop("checked") == true) {
                conversionval.style.display = "none";
                conversionstatus = 0;
                document.getElementById('conversionsMsg').innerHTML = "";
            }

            if (campaigntype == "remnant" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpm") {
                if ($('#toggleimpression').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpc") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "remnant" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            } else if (campaigntype == "override" && pricingmodel == "cpa") {
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#getenddate option[value='Set specific date']").prop("disabled", false);
                }
            }
            if (campaigntype == "contract" && enddate == "Set specific date") {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                if ($('#toggleimpression').prop("checked") == false || $('#toggleclicks').prop("checked") == false || $('#toggleconversions').prop("checked") == false) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                    $("#pricingLimitdiv").css("display", "block");
                    $("#pricingtodiv").css("display", "block");
                    $("#pricinglimit").css("display", "block");
                    $("#pricingtoval").css("display", "block");
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            }
            if (enddate == "Set specific date") {
                if ($("#toggleimpression").prop('checked') == false || $("#toggleclicks").prop('checked') == false || $("#toggleconversions").prop('checked') == false) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", true);
                    $("#campaignTypeselect option[value='override']").prop("disabled", true);
                } else if ($("#toggleimpression").prop('checked') == true || $("#toggleclicks").prop('checked') == true || $("#toggleconversions").prop('checked') == true) {
                    $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                    $("#campaignTypeselect option[value='override']").prop("disabled", false);
                }
            } else if (enddate == "Don't expire") {
                $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                $("#campaignTypeselect option[value='override']").prop("disabled", false);
            }


        }

        $("#setcampaignweightdiv").css("display", "block");
        $("#setcampaignweightlabel").css("display", "block");
        $("#setcampaignweight").css("display", "block");
        $("#pricingleveldiv").css("display", "none");
        $("#pricingLimitdiv").css("display", "none");
        $("#pricingtodiv").css("display", "none");

        function selectCampaign(that) {

            var enddate = document.getElementById('getenddate').value;
            var x = document.getElementById("impression").value;
            var y = document.getElementById("Clicks").value;
            var z = document.getElementById("Conversions").value;
            var pricingmodel = document.getElementById('pricingModelSelect').value;

            if (that == "contract" && enddate == "Set specific date" && (pricingmodel == "cpm" || pricingmodel == "cpc" || pricingmodel == "cpa")) {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                if ($("#toggleimpression").prop('checked') == false) {
                    $("#impression").prop('disabled', false);
                    if ($("#impression").prop('disabled') == false) {
                        $("#impval").show();
                        if (x == "") {
                            document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                            document.getElementById('impressionMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleclicks").prop('checked') == false) {
                    $("#Clicks").prop('disabled', false);
                    if ($("#Clicks").prop('disabled') == false) {
                        $("#clickval").show();
                        if (y == "") {
                            document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('ClicksMsg').style.color = "red";
                        }
                    }
                }
                if ($("#toggleconversions").prop('checked') == false) {
                    $("#Conversions").prop('disabled', false);
                    if ($("#Conversions").prop('disabled') == false) {
                        $("#conversionval").show();
                        if (z == "") {
                            document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                            document.getElementById('conversionsMsg').style.color = "red";
                        }
                    }
                }
                $("#textarea-a-setspecificdateend").css("display", "block");
                $('#disable_msg').hide();
            } else if (that == "remnant" && enddate == "Don't expire") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $('#disable_msg').hide();
            } else if (that == "remnant" && enddate == "Set specific date") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#impression").prop('disabled', true);
                if ($("#impression").prop('disabled') == true) {
                    $("#impval").hide();
                    document.getElementById('impressionMsg').innerHTML = "";
                }
                $("#Clicks").prop('disabled', true);
                if ($("#Clicks").prop('disabled') == true) {
                    $("#clickval").hide();
                    document.getElementById('ClicksMsg').innerHTML = "";
                }
                $("#Conversions").prop('disabled', true);
                if ($("#Conversions").prop('disabled') == true) {
                    $("#conversionval").hide();
                    document.getElementById('conversionsMsg').innerHTML = "";
                }
                $('#disable_msg').show();
            } else if (that == "override" && enddate == "Don't expire") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                $('#disable_msg').hide();
            } else if (that == "override" && enddate == "Set specific date") {
                $("#toggleimpression").prop('disabled', true);
                $("#toggleconversions").prop('disabled', true);
                $("#toggleclicks").prop('disabled', true);
                $("#impression").prop('disabled', true);
                if ($("#impression").prop('disabled') == true) {
                    $("#impval").hide();
                    document.getElementById('impressionMsg').innerHTML = "";
                }
                $("#Clicks").prop('disabled', true);
                if ($("#Clicks").prop('disabled') == true) {
                    $("#clickval").hide();
                    document.getElementById('ClicksMsg').innerHTML = "";
                }
                $("#Conversions").prop('disabled', true);
                if ($("#Conversions").prop('disabled') == true) {
                    $("#conversionval").hide();
                    document.getElementById('conversionsMsg').innerHTML = "";
                }
                $('#disable_msg').show();
            } else if (that == "Select campaign" && enddate == "Set specific date") {
                $("#toggleimpression").prop('disabled', false);
                $("#toggleconversions").prop('disabled', false);
                $("#toggleclicks").prop('disabled', false);
                if ($("#toggleimpression").prop('checked') == false) {
                    $("#impression").prop('disabled', false);
                }
                if ($("#toggleclicks").prop('checked') == false) {
                    $("#Clicks").prop('disabled', false);
                }
                if ($("#toggleconversions").prop('checked') == false) {
                    $("#Conversions").prop('disabled', false);
                }
                $("#textarea-a-setspecificdateend").css("display", "block");
                $('#disable_msg').hide();
            }


            if (that == "contract") {
                $("#pricingleveldiv").css("display", "block");
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
                $("#setcampaignweightdiv").css("display", "none");
                $("#setcampaignweightlabel").css("display", "none");
                $("#setcampaignweight").css("display", "none");
                document.getElementById('setcampaignweightMsg').innerHTML = "";
            }
            if (that == "remnant") {
                $("#pricingleveldiv").css("display", "none");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
                $("#setcampaignweightdiv").css("display", "block");
                $("#setcampaignweightlabel").css("display", "block");
                $("#setcampaignweight").css("display", "block");
            }
            if (that == "override") {
                $("#pricingleveldiv").css("display", "none");
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
                $("#setcampaignweightdiv").css("display", "block");
                $("#setcampaignweightlabel").css("display", "block");
                $("#setcampaignweight").css("display", "block");
            }
            if (that == "contract" && enddate == "Set specific date" && (x != '' || y != '' || z != '')) {
                $("#pricingLimitdiv").css("display", "none");
                $("#pricingtodiv").css("display", "none");
            } else if (that == "contract" && enddate == "Don't expire" && (x != '' || y != '' || z != '')) {
                $("#pricingLimitdiv").css("display", "block");
                $("#pricingtodiv").css("display", "block");
            }


            if (that == "Select campaign") {
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
            } else if (that != "remnant" || that != "contract" || that != "override") {
                document.getElementById('campaigntype_msg').innerHTML = "";
            }

            if (that == "remnant" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleimpression').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "remnant" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleconversions').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "remnant" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleclicks').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "remnant" && enddate == "Set specific date" && $('#toggleimpression').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "remnant" && enddate == "Set specific date" && $('#toggleconversions').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "remnant" && enddate == "Set specific date" && $('#toggleclicks').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "override" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleimpression').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "override" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleconversions').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "override" && (enddate == "Set specific date" || enddate == "Don't expire") && $('#toggleclicks').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
                $("#textarea-a-setspecificdateend").css("display", "none");
            } else if (that == "override" && enddate == "Set specific date" && $('#toggleimpression').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "override" && enddate == "Set specific date" && $('#toggleconversions').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else if (that == "override" && enddate == "Set specific date" && $('#toggleclicks').prop("checked") == true) {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
                $("#textarea-a-setspecificdateend").css("display", "block");
            } else {
                $("#getenddate option[value='Set specific date']").prop("disabled", false);
            }

            if ((that == "remnant" || that == "override") && enddate == "Set specific date" && pricingmodel == "Select pricing") {
                $('#disable_msg').hide();
            }

            if ((that == "remnant" || that == "override") && $('#toggleimpression').prop("checked") == false) {
                $("#getenddate option[value='Set specific date']").prop("disabled", true);
            }
        }

        //validaion

        function onchangeCampaignname(that) {
            if (that == "") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
            } else if (that !== "") {
                document.getElementById('campaignname_msg').innerHTML = "";
            }
        }

        $("#campaignname").bind("paste", function(e) {
            var pastedData = e.originalEvent.clipboardData.getData('text');
            if (pastedData == null || pastedData == "") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
            } else {
                document.getElementById('campaignname_msg').innerHTML = "";
            }
        });

        function onchangeCampaignrate(that) {
            var rateformat = /^[+-]?([0-9]*[.])?[0-9]+$/;
            if (that != "" || that.match(rateformat)) {
                document.getElementById('campaignrateMsg').innerHTML = "";
            } else if (!that.match(rateformat)) {
                document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                document.getElementById('campaignrateMsg').style.color = "red";
            }
        }


        // function tovalue(that){
        //     var tovalueformat = /^[0-9]+$/; 
        //     if(that == "" || !that.match(tovalueformat)){
        //         document.getElementById('prioritylimitMsg').innerHTML = '<?php echo $GLOBALS['strprioritylimitMsg_validation']; ?>'
        //         document.getElementById('prioritylimitMsg').style.color = "red"; 
        //     }else if(that.value != "" || that.match(tovalueformat)){
        //         document.getElementById('prioritylimitMsg').innerHTML = "";
        //     }   
        // }
        // $("#to_value").bind("paste", function(e) {
        //     var pastedData = e.originalEvent.clipboardData.getData('text');
        //         if (pastedData == null || pastedData == "") {
        //             document.getElementById('prioritylimitMsg').innerHTML = '<?php echo $GLOBALS['strprioritylimitMsg_validation']; ?>'
        //             document.getElementById('prioritylimitMsg').style.color = "red";
        //         } else {
        //             document.getElementById('prioritylimitMsg').innerHTML = "";
        //         }
        //     });

        function onchangecampaignweight(that) {

            if (that == "" || Number(that) < 0) {
                document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                document.getElementById('setcampaignweightMsg').style.color = "red";
            } else if (that !== "") {
                document.getElementById('setcampaignweightMsg').innerHTML = "";
            }
            if (that == "1") {
                $('#setcampaignweight_msg').hide();
            } else if (that == "0") {
                $('#setcampaignweight_msg').show();
            }
        }

        $("#setcampaignweight").bind("paste", function(e) {
            var pastedData = e.originalEvent.clipboardData.getData('text');
            if (pastedData == null || pastedData == "") {
                document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                document.getElementById('setcampaignweightMsg').style.color = "red";
            } else {
                document.getElementById('setcampaignweightMsg').innerHTML = "";
            }
        });

        function impressionsvalue(that) {
            var x = document.getElementById("impression").value;
            document.getElementById("impvalue").innerHTML = x;
            var impressionformat = /^[0-9]+$/;
            var p = $("#campaignTypeselect").val();
            var impressionsvalue = $('#impression').val();

            var enddate = document.getElementById('getenddate').value;

            if (x == "") {
                var x = 0;
                document.getElementById("impvalue").innerHTML = x;
            }
            if (enddate == "Set specific date" && p == 'contract' && impressionsvalue != "") {
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
                //    $("#campaignTypeselect option[value='remnant']").prop("disabled",true);
                //    $("#campaignTypeselect option[value='override']").prop("disabled",true);
            }


            if (that.value.match(impressionformat)) {
                document.getElementById('impressionMsg').innerHTML = "";


            } else if (enddate == "Set specific date" && p == 'contract' && x == "") {
                document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                document.getElementById('impressionMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "block";
                document.getElementById('pricingtodiv').style.display = "block";
                // $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                // $("#campaignTypeselect option[value='override']").prop("disabled", false);
            } else if ((p == 'remnant' && x == "") || (p == 'override' && x == "")) {
                document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                document.getElementById('impressionMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
                // $("#campaignTypeselect option[value='remnant']").prop("disabled", false);
                // $("#campaignTypeselect option[value='override']").prop("disabled", false);
            }

        }

        $("#impression").bind("paste", function(e) {
            var pastedData = e.originalEvent.clipboardData.getData('text');
            if (pastedData == null || pastedData == "") {
                document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                document.getElementById('impressionMsg').style.color = "red";
            } else {
                document.getElementById('impressionMsg').innerHTML = "";
            }
        });

        function clicksvalue(that) {
            var x = document.getElementById("Clicks").value;
            document.getElementById("clickvalue").innerHTML = x;
            var clicksformat = /^[0-9]+$/;
            var clicksvalue = $('#Clicks').val();
            var p = $("#campaignTypeselect").val();
            var enddate = document.getElementById('getenddate').value;

            if (x == "") {
                var x = 0;
                document.getElementById("clickvalue").innerHTML = x;
            }
            if (enddate == "Set specific date" && p == 'contract') {
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
            }
            if (that.value.match(clicksformat)) {
                // document.getElementById('ClicksMsg').style.display = "none";
                document.getElementById('ClicksMsg').innerHTML = " ";
            } else if (enddate == "Set specific date" && p == 'contract' && x == "") {
                document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                document.getElementById('ClicksMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "block";
                document.getElementById('pricingtodiv').style.display = "block";
            } else if ((p == 'remnant' && x == "") || (p == 'override' && x == "")) {
                document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                document.getElementById('ClicksMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
            }
        }

        $("#Clicks").bind("paste", function(e) {
            var pastedData = e.originalEvent.clipboardData.getData('text');
            if (pastedData == null || pastedData == "") {
                document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                document.getElementById('ClicksMsg').style.color = "red";
            } else {
                document.getElementById('ClicksMsg').innerHTML = "";
            }
        });

        function conversionsvalue(that) {
            var x = document.getElementById("Conversions").value;
            document.getElementById("conversionvalue").innerHTML = x;
            var conversionsformat = /^[0-9]+$/;

            var p = $("#campaignTypeselect").val();
            var enddate = document.getElementById('getenddate').value;

            if (x == "") {
                var x = 0;
                document.getElementById("conversionvalue").innerHTML = x;
            }
            if (enddate == "Set specific date" && p == 'contract') {
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
            }
            if (that.value.match(conversionsformat)) {
                document.getElementById('conversionsMsg').innerHTML = "";
            } else if (enddate == "Set specific date" && p == 'contract' && x == "") {
                document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                document.getElementById('conversionsMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "block";
                document.getElementById('pricingtodiv').style.display = "block";
            } else if ((p == 'remnant' && x == "") || (p == 'override' && x == "")) {
                document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                document.getElementById('conversionsMsg').style.color = "red";
                document.getElementById('pricingLimitdiv').style.display = "none";
                document.getElementById('pricingtodiv').style.display = "none";
            }
        }

        $("#Conversions").bind("paste", function(e) {
            var pastedData = e.originalEvent.clipboardData.getData('text');
            if (pastedData == null || pastedData == "") {
                document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                document.getElementById('conversionsMsg').style.color = "red";
            } else {
                document.getElementById('conversionsMsg').innerHTML = "";
            }
        });
        restrictAlphabets = (e) => {
            var x = e.which || e.keycode;
            if ((x >= 48 && x <= 57)) {
                return true;
            } else {
                return false;
            }
        };



        // function onchangehours(that) {
        //     var hours_format = /^[0-1]?[0-9]|2[0-4]$/;
        //     if (that != "" && !that.match(hours_format) || that >= 25) {
        //         document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
        //         document.getElementById('hours_msg').style.color = "red";
        //     } else {
        //         document.getElementById('hours_msg').innerHTML = "";
        //     }
        // }

        // function onchangeminutes(that) {
        //     var minutes_format = /^[0-1]?[0-9]|5[0-9]$/;
        //     if (that != "" && !that.match(minutes_format) || that >= 60) {
        //         document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
        //         document.getElementById('minutes_msg').style.color = "red";
        //     } else {
        //         document.getElementById('minutes_msg').innerHTML = "";
        //     }
        // }

        // function onchangeseconds(that) {
        //     var seconds_format = /^[0-1]?[0-9]|5[0-9]$/;
        //     if (that != "" && !that.match(seconds_format) || that >= 60) {
        //         document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
        //         document.getElementById('seconds_msg').style.color = "red";
        //     } else {
        //         document.getElementById('seconds_msg').innerHTML = "";
        //     }
        // }


        $('#hours').prop("disabled", true);
        $('#minutes').prop("disabled", true);
        $('#seconds').prop("disabled", true);


        function limitcampaignintoal() {

            var capping = $("#limitcampaign_intoal").val();
            var sessioncapping = $("#limitcampaign_persession").val();

            // if (capping == '' || Number(capping) < 0 || sessioncapping == '' || Number(sessioncapping) < 0) {
            //     $('#capping_error').show();
            //     $('#capping_error').html('<?php echo $GLOBALS['capping_error_msg']; ?>');
            //     return false;
            // } else {
            //     $('#capping_error').hide();
            // }
            if (capping > 0 || sessioncapping > 0) {
                $('#hours').prop("disabled", false);
                $('#minutes').prop("disabled", false);
                $('#seconds').prop("disabled", false);
            } else {
                $('#hours').prop("disabled", true);
                $('#minutes').prop("disabled", true);
                $('#seconds').prop("disabled", true);
                $('#hours').val(0);
                $('#minutes').val(0);
                $('#seconds').val(0);
            }
        }

        function isNumber(evt) {
            evt = (evt) ? evt : window.event;
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode > 31 && (charCode < 48 || charCode > 57)) {
                return false;
            }
            return true;
        }

        function campaignadd() {

            var campaignname = document.getElementById('campaignname').value;
            var campaigntype = document.getElementById('campaignTypeselect').value;
            var startdate = document.getElementById('getstartdate').value;
            var enddate = document.getElementById('getenddate').value;
            var pricingmodel = document.getElementById('pricingModelSelect').value;
            var clicks = $('#Clicks').val();
            var clicksformat = /^[0-9]+$/;
            var toggleclicks = $('#toggleclicks').prop("checked");
            var impressions = $('#impression').val();
            var impressionformat = /^[0-9]+$/;
            var toggleimpressions = $('#toggleimpression').prop("checked");
            var conversions = $('#Conversions').val();
            var conversionsformat = /^[0-9]+$/;
            var toggleconversions = $('#toggleconversions').prop("checked");
            var tovalue = $('#to_value').val();
            var tovalueformat = /^[0-9]+$/;
            var rate = document.getElementById('rate').value;
            var rateformat = /^[+-]?([0-9]*[.])?[0-9]+$/;
            var campaignweight = $("#setcampaignweight").val();
            var campaignweightsformat = /^[+-]?([0-9]*[.])?[0-9]+$/;
            var setspecificdatestart = $('#textarea-a-setspecificdatestart').val();
            var setspecificdateend = $('#textarea-a-setspecificdateend').val();
            var hours = $("#hours").val();
            var hours_format = /^[01]?[0-9]|2[0-3]+$/;
            var minutes = $("#minutes").val();
            var minutes_format = /^[0-1]?[0-9]|5[0-9]$/;
            var seconds = $("#seconds").val();
            var seconds_format = /^[0-1]?[0-9]|5[0-9]$/;

            var campaignname = $("#campaignname").val();
            var campaignweight = $("#setcampaignweight").val();
            var comments = $("#comments").val();
            // var startdate = $("#startdate");
            var revenue = $("#rate").val();
            var rt = $("#pricingModelSelect").val();
            var revenue_type;

            if ($("#rate").val() == "") {
                revenue = "0.00"
            } else {
                revenue = $("#rate").val();
            }


            if (rt == 'cpm') {
                revenue_type = "1";
            } else if (rt == 'cpc') {
                revenue_type = "2";
            } else if (rt == "cpa") {
                revenue_type = "3";
            } else if (rt == "Select pricing") {
                revenue_type = "";
            } else {

            }


            var p = $("#campaignTypeselect").val();
            var priority;
            if (p == 'remnant') {
                priority = "0"
            } else if (p == 'contract') {
                priority = $("#getDuration").val();
            } else if (p == "override") {
                priority = "-1"
            } else if (p == "Select campaign") {
                priority = ""
            } else {

            }


            if (p == 'remnant' || p == "override" || p == "contract") {

                if (rt == "cpm") {
                    if ($('#toggleimpression').prop("checked") == false) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    } else {
                        impressionstatus = "-1";
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    }
                } else if (rt == "cpc") {
                    if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == false) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = "-1";
                    } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == false) {
                        impressionstatus = "-1";
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = "-1";
                    } else if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == true) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true) {
                        impressionstatus = "-1";
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    }
                } else if (rt == "cpa") {
                    if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == false && $('#toggleconversions').prop("checked") == false) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = $("#Conversions").val();
                    } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == false && $('#toggleconversions').prop("checked") == false) {
                        impressionstatus = "-1";
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = $("#Conversions").val();
                    } else if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == false) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = "-1";
                        conversionstatus = $("#Conversions").val();
                    } else if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == false && $('#toggleconversions').prop("checked") == true) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = "-1";
                    } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == false) {
                        impressionstatus = "-1";
                        clicksstatus = "-1";
                        conversionstatus = $("#Conversions").val();
                    } else if ($('#toggleimpression').prop("checked") == true && $('#toggleclicks').prop("checked") == false && $('#toggleconversions').prop("checked") == true) {
                        impressionstatus = "-1";
                        clicksstatus = $("#Clicks").val();
                        conversionstatus = "-1";
                    } else if ($('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == true && $('#toggleconversions').prop("checked") == true) {
                        impressionstatus = $("#impression").val();
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    } else {
                        impressionstatus = "-1";
                        clicksstatus = "-1";
                        conversionstatus = "-1";
                    }
                }
            }


            var currentdate = new Date();
            //End Date Time
            var datetime_end = currentdate.getFullYear() + "-" +
                (currentdate.getMonth() + 1) + "-" +
                currentdate.getDate() + " " +
                currentdate.getHours() + ":" +
                currentdate.getMinutes() + ":" +
                currentdate.getSeconds();
            let enddatetime;
            var enddate = $('#getenddate').val();

            if (enddate == "Set specific date") {

                if ($("#textarea-a-setspecificdateend").val() == "") {
                    enddatetime = "null"
                } else if ($("#textarea-a-setspecificdateend").val() != "") {
                    enddatetime = $("#textarea-a-setspecificdateend").val() + " " +
                        currentdate.getHours() + ":" +
                        currentdate.getMinutes() + ":" +
                        currentdate.getSeconds();
                }


            } else if (enddate == "Don't expire") {
                enddatetime = "";
            } else {
                enddatetime = "null";
            }

            var anonymous_start;
            if ($('#hide_advertiser').prop('checked')) {
                anonymous_start = "t";
            } else {
                anonymous_start = "f";
            }

            var companion;
            if ($('#comp_position').prop('checked')) {
                companion = 1;
            } else {
                companion = 0;
            }

            //Start Date Time
            // var datetime_start = currentdate.getFullYear() + "-" +
            //     (currentdate.getMonth() + 1) + "-" +
            //     currentdate.getDate() + " " +
            //     "00" + ":" +
            //     "00" + ":" +
            //     "00";

            const now = new Date();
            // Create options for formatting the date and time
            const options = {
                timeZone,
                weekday: 'short',
                year: 'numeric',
                month: 'short',
                day: 'numeric',
                hour: 'numeric',
                minute: 'numeric',
                second: 'numeric',
                timeZoneName: 'short'
            };

            // Format the date and time
            const formatter = new Intl.DateTimeFormat('en-US', options);
            const formattedDate = formatter.format(now);

            // Remove commas from the formatted date and time
            let dateString1 = formattedDate.replace(/,/g, '');
            let dateString = `"${dateString1}"`;
            // Split the date string by spaces
            let parts = dateString.split(' ');

            // Extract the date components
            let dayOfWeek = parts[0];
            let month = parts[1];
            let day = parts[2];
            let year = parts[3];


            // Convert month abbreviation to numeric month
            let monthIndex = {
                'Jan': '01', 'Feb': '02', 'Mar': '03', 'Apr': '04', 'May': '05', 'Jun': '06',
                'Jul': '07', 'Aug': '08', 'Sep': '09', 'Oct': '10', 'Nov': '11', 'Dec': '12'
            }[month];

            // Construct the ISO formatted date
            let datetime_start = `${year}-${monthIndex}-${day} 00:00:00`; 
            var startdatetime;
            var startdateval = $('#getstartdate').val();

            if (startdateval == "Set specific date") {
                //anonymous_start = "t";
                startdatetime = $("#textarea-a-setspecificdatestart").val() + " " +
                    currentdate.getHours() + ":" +
                    currentdate.getMinutes() + ":" +
                    currentdate.getSeconds();
            } else if (startdateval == "Start immediately") {
                //anonymous_start = "f";
                startdatetime = datetime_start;
            } else {
                startdatetime = ""
            }

            var targetImpresions = 0;
            var targetClicks = 0;
            var targetConversions = 0;

            if ((enddate == "Set specific date" || enddate == "Don't expire") && p == 'contract') {
                if ($("#limitvalues").val() == 'Impressions') {
                    targetImpresions = $("#to_value").val();
                    if (targetImpresions == "") {
                        targetImpresions = 0;
                    }
                }
            } else if ($("#limitvalues").val() == 'Clicks') {
                targetClicks = $("#to_value").val();
                // if(targetClicks == ""){
                //     targetClicks = 0;
                // }
            } else {
                targetConversions = $("#to_value").val();
                // if(targetConversions == ""){
                //     targetConversions = 0;
                // }
            }


            if (priority > "0") {
                campaignweight = "0";
            } else {
                campaignweight = campaignweight;
            }

            if (p == 'contract' && enddate == "Set specific date" && $('#toggleimpression').prop("checked") == true && targetImpresions == 0) {
                alert("The type of this campaign has been set to Contract,but Limit per day is not specified.This will cause the campaign to be deactivated and its banners won't be delivered until a valid Limit per day has been set.Are you sure you want to continue?");
            }
            if (p == 'contract' && enddate == "Don't expire" && targetImpresions == 0) {
                alert("The type of this campaign has been set to Contract,but Limit per day is not specified.This will cause the campaign to be deactivated and its banners won't be delivered until a valid Limit per day has been set.Are you sure you want to continue?");
            }

            var campaignstatus;
            if (campaignweight == "") {
                campaignstatus = "";
            } else if (campaignweight < 0 || campaignweight == 0) {
                campaignstatus = 4;
            } else if (campaignweight > 0) {
                campaignstatus = 0;
            }

            var hours = $("#hours").val();
            var minutes = $("#minutes").val();
            var seconds = $("#seconds").val();
            var capping = $("#limitcampaign_intoal").val();
            if (capping == "") {
                var capping = "0";
            }
            var sessioncapping = $("#limitcampaign_persession").val();
            if (sessioncapping == "") {
                var sessioncapping = "0";
            }
            var block = (hours * 3600 + minutes * 60 + seconds * 1);
            // if (Number(capping) >= 0 && capping != '' && Number(sessioncapping) >= 0 && sessioncapping != '') {
            //     if ((capping != '' && sessioncapping != '')) {
            //         if (hours != '' && minutes != '' && seconds != '') {
            //             var block = (hours * 3600 + minutes * 60 + seconds * 1);
            //         } else {
            //             $('#capping_error').show();
            //             $('#capping_error_msg').hide();
            //             return false;
            //         }
            //     } else {
            //         $('#capping_error').show();
            //         $('#capping_error_msg').hide();
            //         return false;
            //     }
            // }

            var show_capp;
            if ($('#show_capped_cookies').prop("checked")) {
                show_capp = true;
            } else {
                show_capp = false;
            }

            var formData;

            if (priority > '0') {
                formData = {
                    "campaignname": campaignname,
                    "views": impressionstatus,
                    "clicks": clicksstatus,
                    "conversions": conversionstatus,
                    "weight": "1",
                    "target_impression": targetImpresions,
                    "target_click": targetClicks,
                    "target_conversion": targetConversions,
                    "anonymous": anonymous_start,
                    "companion": companion,
                    "revenue": revenue,
                    "revenue_type": revenue_type,
                    "block": block,
                    "capping": capping,
                    "session_capping": sessioncapping,
                    "show_capped_no_cookie": show_capp,
                    "priority": priority,
                    "status": "0",
                    "start_date": startdatetime,
                    "end_date": enddatetime
                };
            } else {
                formData = {
                    "campaignname": campaignname,
                    "views": impressionstatus,
                    "clicks": clicksstatus,
                    "conversions": conversionstatus,
                    "weight": campaignweight,
                    "target_impression": "0",
                    "target_click": "0",
                    "target_conversion": "0",
                    "anonymous": anonymous_start,
                    "companion": companion,
                    "comments": comments,
                    "revenue": revenue,
                    "revenue_type": revenue_type,
                    "block": block,
                    "capping": capping,
                    "session_capping": sessioncapping,
                    "show_capped_no_cookie": show_capp,
                    "priority": priority,
                    "status": campaignstatus,
                    "start_date": startdatetime,
                    "end_date": enddatetime
                };
            }

            //console.log("formData", formData);

            if (campaignname == "" && campaigntype == "Select campaign" && startdate == "Select Date type" && enddate == "Select Date type" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }

            } else if (campaignname == "" && campaigntype == "remnant" && startdate == "Select Date type" && enddate == "Select Date type" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }
            } else if (campaignname == "" && campaigntype == "override" && startdate == "Select Date type" && enddate == "Select Date type" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }
            } else if (campaignname == "" && campaigntype == "contract" && startdate == "Select Date type" && enddate == "Select Date type" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                // if(tovalue == "" || !tovalue.match(tovalueformat)){
                //     document.getElementById('prioritylimitMsg').innerHTML = '<?php echo $GLOBALS['strprioritylimitMsg_validation']; ?>'
                //     document.getElementById('prioritylimitMsg').style.color = "red"; 
                //     return false;
                // } else {
                //     document.getElementById('prioritylimitMsg').innerHTML = "";

                // }              
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }

            } else if (campaignname == "" && campaigntype == "Select campaign" && startdate == "Set specific date" && enddate == "Select Date type" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }

                if (setspecificdatestart == "") {
                    document.getElementById('setspecificdatestartMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                    document.getElementById('setspecificdatestartMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdatestartMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }

            } else if (campaignname == "" && campaigntype == "Select campaign" && startdate == "Select Date type" && enddate == "Set specific date" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                // document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                // document.getElementById('setspecificdateendMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }

                if (setspecificdateend == "") {
                    document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                    document.getElementById('setspecificdateendMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdateendMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }
            } else if (campaignname == "" && campaigntype == "Select campaign" && startdate == "Set specific date" && enddate == "Set specific date" && pricingmodel == "Select pricing") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
                //document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                //document.getElementById('setspecificdateendMsg').style.color = "red";
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }

                if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                    document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                    document.getElementById('setcampaignweightMsg').style.color = "red";
                } else {
                    document.getElementById('setcampaignweightMsg').innerHTML = "";
                }

                if (setspecificdatestart == "") {
                    document.getElementById('setspecificdatestartMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                    document.getElementById('setspecificdatestartMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdatestartMsg').innerHTML = "";
                }
                if (setspecificdateend == "") {
                    document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                    document.getElementById('setspecificdateendMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdateendMsg').innerHTML = "";
                }
                if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                    document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                    document.getElementById('hours_msg').style.color = "red";
                } else {
                    document.getElementById('hours_msg').innerHTML = "";
                }
                if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                    document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                    document.getElementById('minutes_msg').style.color = "red";
                } else {
                    document.getElementById('minutes_msg').innerHTML = "";
                }
                if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                    document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                    document.getElementById('seconds_msg').style.color = "red";
                } else {
                    document.getElementById('seconds_msg').innerHTML = "";
                }
            }

            if (campaignname == "") {
                document.getElementById('campaignname_msg').innerHTML = '<?php echo $GLOBALS['strName_validation']; ?>'
                document.getElementById('campaignname_msg').style.color = "red";
            } else {
                document.getElementById('campaignname_msg').innerHTML = "";
            }


            if (campaigntype == "Select campaign" || campaigntype == null) {
                document.getElementById('campaigntype_msg').innerHTML = '<?php echo $GLOBALS['strCampaigntype_validation']; ?>'
                document.getElementById('campaigntype_msg').style.color = "red";
            } else {
                document.getElementById('campaigntype_msg').innerHTML = "";
            }


            if (startdate == "Select Date type" || startdate == null) {
                document.getElementById('getstartdateMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                document.getElementById('getstartdateMsg').style.color = "red";
            } else {
                document.getElementById('getstartdateMsg').innerHTML = "";
            }

            if (startdate == "Set specific date") {
                if (setspecificdatestart == "") {
                    document.getElementById('setspecificdatestartMsg').innerHTML = '<?php echo $GLOBALS['strStartdate_Type_validation']; ?>'
                    document.getElementById('setspecificdatestartMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdatestartMsg').innerHTML = "";
                }
            }

            if (enddate == "Select Date type" || enddate == null) {
                document.getElementById('getenddateMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                document.getElementById('getenddateMsg').style.color = "red";
            } else {
                document.getElementById('getenddateMsg').innerHTML = "";
            }

            if (enddate == "Set specific date") {
                if (setspecificdateend == "") {
                    document.getElementById('setspecificdateendMsg').innerHTML = '<?php echo $GLOBALS['strEnddate_Type_validation']; ?>'
                    document.getElementById('setspecificdateendMsg').style.color = "red";
                } else {
                    document.getElementById('setspecificdateendMsg').innerHTML = "";
                }
            }

            if (pricingmodel == "Select pricing") {
                document.getElementById('pricingModelSelectMsg').innerHTML = '<?php echo $GLOBALS['strSelect_Pricing_Model_validation']; ?>'
                document.getElementById('pricingModelSelectMsg').style.color = "red";
                return false;
            } else {
                document.getElementById('pricingModelSelectMsg').innerHTML = "";
            }

            if (pricingmodel == "cpm" && $('#toggleimpression').prop("checked") == false) {
                if (impressions != "" && impressions.match(impressionformat)) {
                    document.getElementById('impressionMsg').innerHTML = "";
                } else {
                    document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                    document.getElementById('impressionMsg').style.color = "red";
                }
            }


            if (pricingmodel == "cpc" && $('#toggleimpression').prop("checked") == false && $('#toggleclicks').prop("checked") == false) {
                if (clicks != "" && clicks.match(clicksformat)) {
                    document.getElementById('ClicksMsg').innerHTML = " ";
                } else {
                    document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                    document.getElementById('ClicksMsg').style.color = "red";
                }

                if (impressions != "" && impressions.match(impressionformat)) {
                    document.getElementById('impressionMsg').innerHTML = "";
                } else {
                    document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                    document.getElementById('impressionMsg').style.color = "red";
                }

            }

            if (pricingmodel == "cpa" && $('#toggleclicks').prop("checked") == false && $('#toggleimpression').prop("checked") == false && $('#toggleconversions').prop("checked") == false) {
                if (clicks != "" && clicks.match(clicksformat)) {
                    document.getElementById('ClicksMsg').innerHTML = " ";
                } else {
                    document.getElementById('ClicksMsg').innerHTML = '<?php echo $GLOBALS['strClicksMsg_validation']; ?>'
                    document.getElementById('ClicksMsg').style.color = "red";
                }

                if (impressions != "" && impressions.match(impressionformat)) {
                    document.getElementById('impressionMsg').innerHTML = "";
                } else {
                    document.getElementById('impressionMsg').innerHTML = '<?php echo $GLOBALS['strimpressionMsg_validation']; ?>'
                    document.getElementById('impressionMsg').style.color = "red";
                }

                if (conversions != "" && conversions.match(conversionsformat)) {
                    document.getElementById('conversionsMsg').innerHTML = "";
                } else {
                    document.getElementById('conversionsMsg').innerHTML = '<?php echo $GLOBALS['strconversionsMsg_validation']; ?>'
                    document.getElementById('conversionsMsg').style.color = "red";
                }

            }


            // var tovalue = $('#to_value').val();
            // if($('#campaignTypeselect').val() == "contract"){
            //     if(tovalue == "" ||  !tovalue.match(tovalueformat)){
            //         document.getElementById('prioritylimitMsg').innerHTML = '<?php echo $GLOBALS['strprioritylimitMsg_validation']; ?>'
            //         document.getElementById('prioritylimitMsg').style.color = "red"; 
            //     } else {
            //         document.getElementById('prioritylimitMsg').innerHTML = "";
            //     }               
            // }else{
            //     document.getElementById('prioritylimitMsg').innerHTML = "";                
            // }

            if (campaigntype == "remnant" || campaigntype == "override") {
                if (rate != "" && !rate.match(rateformat)) {
                    document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                    document.getElementById('campaignrateMsg').style.color = "red";
                } else {
                    document.getElementById('campaignrateMsg').innerHTML = "";
                }
            }

            if (rate != "" && !rate.match(rateformat)) {
                document.getElementById('campaignrateMsg').innerHTML = '<?php echo $GLOBALS['strCampaignrate_Msg_validation']; ?>'
                document.getElementById('campaignrateMsg').style.color = "red";
            } else {
                document.getElementById('campaignrateMsg').innerHTML = "";
            }

            if (campaignweight == "" || Number(campaignweight) < 0 || !campaignweight.match(campaignweightsformat)) {
                document.getElementById('setcampaignweightMsg').innerHTML = '<?php echo $GLOBALS['strcampaignweightMsg_validation']; ?>'
                document.getElementById('setcampaignweightMsg').style.color = "red";
            } else {
                document.getElementById('setcampaignweightMsg').innerHTML = "";
            }

            if (hours != "" && !hours.match(hours_format) || hours >= 25) {
                document.getElementById('hours_msg').innerHTML = "Please enter valid hours";
                document.getElementById('hours_msg').style.color = "red";
            } else {
                document.getElementById('hours_msg').innerHTML = "";
            }

            if (minutes != "" && !minutes.match(minutes_format) || minutes >= 60) {
                document.getElementById('minutes_msg').innerHTML = "Please enter valid minutes";
                document.getElementById('minutes_msg').style.color = "red";
            } else {
                document.getElementById('minutes_msg').innerHTML = "";
            }

            if (seconds != "" && !seconds.match(seconds_format) || seconds >= 60) {
                document.getElementById('seconds_msg').innerHTML = "Please enter valid seconds";
                document.getElementById('seconds_msg').style.color = "red";
            } else {
                document.getElementById('seconds_msg').innerHTML = "";
            }

            $.ajax({
                type: "POST",
                url: live_URL + "/campaign_add/" + cliid,
                beforeSend: function(xhr) {
                    xhr.setRequestHeader('Authorization', token);
                },
                data: formData,
                dataType: "json",
                encode: true,
            }).done(function(data) {

                // console.log("clientid:", clientid)
                // console.log(data);

                if (data.msg == "campaign has been added successfully!") {
                    window.scrollTo(0, 0);
                    $("#alertsuccess").show('medium');
                    setTimeout(function() {
                        $("#alertsuccess").hide('medium');
                    }, 2000);
                    setTimeout(function() {
                        window.location.href = "advertiser_campaigns.php";
                    }, 1200);
                } else {
                    window.scrollTo(0, 0);
                    $("#alertfailed").show('medium');
                    setTimeout(function() {
                        $("#alertfailed").hide('medium');
                    }, 2000);
                }

            })

            event.preventDefault();
        }
    </script>


</body>

</html>