<?php
$app->add(new \Slim\Middleware\JwtAuthentication([
	"secure" => false,
	"relaxed" => ["localhost", "revphpe.djaxbidder.com", "dominik"],
	"secret" => "supersecretkeyyoushouldnotcommittogithub",
	"rules" => [
		new \Slim\Middleware\JwtAuthentication\RequestPathRule([
			"path" => "/",
			"passthrough" => ["/advertiser_login", "/publisher_login", "/agency_login"]
		])

	],
	"error" => function ($request, $response, $arguments) {
		$data = [];
		$data["status"] = "error";
		$data["message"] = $arguments["message"];
		return $response->write(json_encode($data, JSON_UNESCAPED_SLASHES));
	}
]));

use Ramsey\Uuid\Uuid;
use Firebase\JWT\JWT;
use Tuupola\Base62;

$app->post('/advertiser_login', function ($request, $response) {
	$input = $request->getParsedBody();
	$username = $input['username'];
	$pass = $input['password'];
	$dpass = password_hash($pass, PASSWORD_BCRYPT);
	//echo $dpass;
	$req_array = array($username, $pass);
	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$response = array('response' => 'error', 'msg' => 'Please check with input parameters');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {
		$input = $request->getParsedBody();

		// Database connection settings for PostgreSQL
		$db_host = $this->get('settings')['db']['host'];
		$db_user = $this->get('settings')['db']['user'];
		$db_pass = $this->get('settings')['db']['pass'];
		$db_dbname = $this->get('settings')['db']['dbname'];
		$db_port = $this->get('settings')['db']['port']; // Add port here

		try {
			// Establishing PostgreSQL database connection using PDO
			$conn = new PDO("pgsql:host=$db_host;port=$db_port;dbname=$db_dbname", $db_user, $db_pass);
			// Set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			// echo "Connected successfully"; // Optionally, uncomment if needed
		} catch (PDOException $e) {
			echo "Connection failed: " . $e->getMessage();
		}

		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$password = $input['password'];
		// $stc = "select usr.user_id, usr.username,usr.email_address, usr.password, usr.default_account_id,usr.language,acc.account_name,cle.clientid,cle.agencyid from " . $table_prefix . "users usr LEFT JOIN " . $table_prefix . "accounts acc ON usr.default_account_id=acc.account_id LEFT JOIN " . $table_prefix . "clients cle ON usr.default_account_id=cle.account_id where username=:username";
		// $std = $this->db->prepare($stc);
		// $std->bindParam("username", $username);
		// //$std->bindParam(":password", $password, PDO::PARAM_STR);
		// $std->execute();
		// $users = $std->fetchAll();
		$stc = "SELECT 
            usr.user_id, 
            usr.username, 
            usr.email_address, 
            usr.password, 
            usr.default_account_id, 
            usr.language, 
            acc.account_name, 
            cle.clientid, 
            cle.agencyid 
        FROM {$table_prefix}users usr 
        LEFT JOIN {$table_prefix}accounts acc 
            ON usr.default_account_id = acc.account_id 
        LEFT JOIN {$table_prefix}clients cle 
            ON usr.default_account_id = cle.account_id 
        WHERE username = :username";

		$std = $this->db->prepare($stc);
		$std->bindParam(":username", $username, PDO::PARAM_STR);
		// $std->bindParam(":password", $password, PDO::PARAM_STR); // Uncomment if needed
		$std->execute();
		$users = $std->fetchAll(PDO::FETCH_ASSOC);


		$dbpass = $users[0]['password'];
		$userid = $users[0]['user_id'];
		$username = $users[0]['username'];
		$email_address = $users[0]['email_address'];
		$clientid = $users[0]['clientid'];
		$account_name = $users[0]['account_name'];
		$agencyid = $users[0]['agencyid'];
		$language = $users[0]['language'];
		if ($userid) {
			$query = "select permission_id from " . $table_prefix . "account_user_permission_assoc where user_id=" . $userid;
			$usrper = $this->db->prepare($query);
			$usrper->execute();
			$user_per = $usrper->fetchAll();

			if ($user_per) {
				for ($i = 0; $i < count($user_per); $i++) {
					$permissions[$i] = $user_per[$i]['permission_id'];
				}
			} else {
				$permissions = [];
			}
		}
		$passwordhash = password_hash($dbpass, PASSWORD_BCRYPT);
		$res = array($username, $passwordhash);
		$data = json_encode($res);
		if (password_verify($password, $dbpass)) {

			//echo 'Success';
			/* $headers = array('alg'=>'HS256','typ'=>'JWT');
		$payload = array('username'=>$username, 'exp'=>(time() + 60));
		$jwt = generate_jwt($headers, $payload); */

			$now = new DateTime();
			$future = new DateTime("now +24 hours");
			$server = $request->getServerParams();

			$payload = [
				"iat" => $now->getTimeStamp(),
				"exp" => $future->getTimeStamp(),
				//"sub" => $server["PHP_AUTH_USER"],
			];
			$secret = "supersecretkeyyoushouldnotcommittogithub";
			$token = JWT::encode($payload, $secret, "HS256");

			$_SESSION['user_id'] = $userid;
			$_SESSION['username'] = $username;
			$_SESSION['email_address'] = $email_address;
			$_SESSION['clientid'] = $clientid;
			$_SESSION['account_name'] = $account_name;
			$_SESSION['agencyid'] = $agencyid;
			$_SESSION['language'] = $language;
			$_SESSION['token'] = $token;
			$_SESSION['user_permission'] = implode(",", $permissions);
			if (isset($_SESSION['clientid'])) {

				return $this->response->withRedirect('../../advertiser/dashboard.php');
				$response = array('response' => 'ok', 'token' => $token);
			} else {
				$_SESSION['error'] = "Invalid Username or Password!";
				return $this->response->withRedirect('../../advertiser/index.php');
			}

			//echo json_encode(array('token' => $jwt)); , 'msg' => $res

		} else {

			$_SESSION['error'] = "Invalid Username or Password!";
			return $this->response->withRedirect('../../advertiser/index.php');
			$response = array('response' => 'error', 'msg' => 'Invalid User');
		}

		//echo json_encode($response);
		return $this->response->withJson($response);
	}
});

$app->post('/publisher_login', function ($request, $response) {
	$input = $request->getParsedBody();
	$username = $input['username'];
	$pass = $input['password'];
	$dpass = password_hash($pass, PASSWORD_BCRYPT);
	//echo $dpass;
	$req_array = array($username, $pass);
	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$response = array('response' => 'error', 'msg' => 'Please check with input parameters');
		return $this->response->withJson($response);
		// return $response;
		// exit;
	} else {
		$input = $request->getParsedBody();
		$db_host = $this->get('settings')['db']['host'];
		$db_user = $this->get('settings')['db']['user'];
		$db_pass = $this->get('settings')['db']['pass'];
		$db_dbname = $this->get('settings')['db']['dbname'];

		/* $servername = "65.2.51.215";
        $dbusername = "revivemohan";
        $dbpassword = "LLl8zuXG8HjgMss.";
		$dbname="revivemohan"; */

		try {
			$conn = new PDO("mysql:host=$db_host;dbname=$db_dbname", $db_user, $db_pass);
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			//  echo "Connected successfully";
		} catch (PDOException $e) {
			echo "Connection failed: " . $e->getMessage();
		}
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$password = $input['password'];
		$stc = "select usr.user_id, usr.username,usr.email_address, usr.password, usr.default_account_id,usr.language,acc.account_name,afl.affiliateid,afl.agencyid from rv_users usr LEFT JOIN rv_accounts acc ON usr.default_account_id=acc.account_id LEFT JOIN rv_affiliates afl ON usr.default_account_id=afl.account_id where username=:username";
		$std = $this->db->prepare($stc);
		$std->bindParam("username", $username);
		//$std->bindParam(":password", $password, PDO::PARAM_STR);
		$std->execute();
		$users = $std->fetchAll();

		//	echo "user";
		//	print_r($users);
		$dbpass = $users[0]['password'];
		$userid = $users[0]['user_id'];
		$username = $users[0]['username'];
		$email_address = $users[0]['email_address'];
		$affiliateid = $users[0]['affiliateid'];
		$account_name = $users[0]['account_name'];
		$agencyid = $users[0]['agencyid'];
		$language = $users[0]['language'];

		$passwordhash = password_hash($dbpass, PASSWORD_BCRYPT);
		//	echo $passwordhash;
		$res = array($username, $passwordhash);
		$data = json_encode($res);
		if (password_verify($password, $dbpass)) {
			//echo 'Success';
			/* $headers = array('alg'=>'HS256','typ'=>'JWT');
		$payload = array('username'=>$username, 'exp'=>(time() + 60));*/
			$now = new DateTime();
			$future = new DateTime("now +24 hours");
			$server = $request->getServerParams();

			$payload = [
				"iat" => $now->getTimeStamp(),
				"exp" => $future->getTimeStamp(),
				//"sub" => $server["PHP_AUTH_USER"],
			];
			$secret = "supersecretkeyyoushouldnotcommittogithub";
			$token = JWT::encode($payload, $secret, "HS256");

			//$jwt = generate_jwt($headers, $payload);

			$_SESSION['user_id'] = $userid;
			$_SESSION['username'] = $username;
			$_SESSION['email_address'] = $email_address;
			$_SESSION['affiliateid'] = $affiliateid;
			$_SESSION['account_name'] = $account_name;
			$_SESSION['agencyid'] = $agencyid;
			$_SESSION['language'] = $language;
			$_SESSION['token'] = $token;
			if (isset($_SESSION['affiliateid'])) {

				return $this->response->withRedirect('../../publisher/dashboard.php');

				$response = array('response' => 'ok', 'affiliateid' => $affiliateid, 'token' => $token);
			} else {
				$_SESSION['error'] = "Invalid Username or Password!";
				return $this->response->withRedirect('../../publisher/index.php');
			}

			//echo json_encode(array('token' => $jwt)); , 'msg' => $res

			//return $response;
		} else {

			$_SESSION['error'] = "Invalid Username or Password!";
			return $this->response->withRedirect('../../publisher/index.php');
			$response = array('response' => 'error', 'msg' => 'Invalid User');
		}

		//echo json_encode($response);
		return $this->response->withJson($response);
	}
});

//Agency Login

$app->post('/agency_login', function ($request, $response) {
	$input = $request->getParsedBody();
	$username = $input['username'];
	$pass = $input['password'];
	$dpass = password_hash($pass, PASSWORD_BCRYPT);
	//echo $dpass;
	$req_array = array($username, $pass);
	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$response = array('response' => 'error', 'msg' => 'Please check with input parameters');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {
		$input = $request->getParsedBody();
		//Database connection
		$db_host = $this->get('settings')['db']['host'];
		$db_user = $this->get('settings')['db']['user'];
		$db_pass = $this->get('settings')['db']['pass'];
		$db_dbname = $this->get('settings')['db']['dbname'];

		/* $servername = "65.2.51.215";
        $dbusername = "revivemohan";
        $dbpassword = "LLl8zuXG8HjgMss.";
		$dbname="revivemohan"; */

		try {
			$conn = new PDO("mysql:host=$db_host;dbname=$db_dbname", $db_user, $db_pass);
			// set the PDO error mode to exception
			$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			//echo "Connected successfully";
		} catch (PDOException $e) {
			echo "Connection failed: " . $e->getMessage();
		}
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$password = $input['password'];
		$stc = "select usr.user_id, usr.username,usr.email_address, usr.password, usr.default_account_id,usr.language,acc.account_name,ag.agencyid from " . $table_prefix . "users usr LEFT JOIN " . $table_prefix . "accounts acc ON usr.default_account_id=acc.account_id LEFT JOIN " . $table_prefix . "agency ag ON usr.default_account_id=ag.account_id where username=:username";
		$std = $this->db->prepare($stc);
		$std->bindParam("username", $username);
		//$std->bindParam(":password", $password, PDO::PARAM_STR);
		$std->execute();
		$users = $std->fetchAll();
		$dbpass = $users[0]['password'];
		$userid = $users[0]['user_id'];
		$username = $users[0]['username'];
		$email_address = $users[0]['email_address'];
		$account_name = $users[0]['account_name'];
		$agencyid = $users[0]['agencyid'];
		$language = $users[0]['language'];
		if ($userid) {
			$query = "select permission_id from " . $table_prefix . "account_user_permission_assoc where user_id=" . $userid;
			$usrper = $this->db->prepare($query);
			$usrper->execute();
			$user_per = $usrper->fetchAll();
			if ($user_per) {
				for ($i = 0; $i < count($user_per); $i++) {
					$permissions[$i] = $user_per[$i]['permission_id'];
				}
			} else {
				$permissions = [];
			}
		}

		$passwordhash = password_hash($dbpass, PASSWORD_BCRYPT);
		$res = array($username, $passwordhash);
		$data = json_encode($res);
		if (password_verify($password, $dbpass)) {
			//echo 'Success';
			/* $headers = array('alg'=>'HS256','typ'=>'JWT');
		$payload = array('username'=>$username, 'exp'=>(time() + 60));
		$jwt = generate_jwt($headers, $payload); */

			$now = new DateTime();
			$future = new DateTime("now +24 hours");
			$server = $request->getServerParams();

			$payload = [
				"iat" => $now->getTimeStamp(),
				"exp" => $future->getTimeStamp(),
				//"sub" => $server["PHP_AUTH_USER"],
			];
			$secret = "supersecretkeyyoushouldnotcommittogithub";
			$token = JWT::encode($payload, $secret, "HS256");

			$_SESSION['user_id'] = $userid;
			$_SESSION['username'] = $username;
			$_SESSION['email_address'] = $email_address;
			$_SESSION['account_name'] = $account_name;
			$_SESSION['agencyid'] = $agencyid;
			$_SESSION['language'] = $language;
			$_SESSION['token'] = $token;
			$_SESSION["login_time_stamp"] = time();
			$_SESSION['user_permission'] = implode(",", $permissions);
			if (isset($_SESSION['agencyid'])) {

				return $this->response->withRedirect('../../agency/dashboard.php');
				$response = array('response' => 'ok', 'token' => $token);
			} else {
				$_SESSION['error'] = "Invalid Username or Password!";
				return $this->response->withRedirect('../../agency/index.php');
			}

			//echo json_encode(array('token' => $jwt)); , 'msg' => $res

		} else {

			$_SESSION['error'] = "Invalid Username or Password!";
			return $this->response->withRedirect('../../agency/index.php');
			$response = array('response' => 'error', 'msg' => 'Invalid User');
		}

		//echo json_encode($response);
		return $this->response->withJson($response);
	}
});
