<?php

$app->post('/user_password/[{id}]', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$response = array ('response' => 'error', 'msg' => 'Please check with input parameters');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {
		$datetime = date('Y-m-d H:i:s');
		$results = array ();
		$id = $args['id'];
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$input = $request->getParsedBody();
		$realpassword = $input['password'];
		//password encrypt
		$password = password_hash($realpassword, PASSWORD_BCRYPT);


		$user_details = "SELECT user_id from {$table_prefix}password_recovery where recovery_id=:id";
		$get_userdet = $this->db->prepare($user_details);
		$get_userdet->bindParam(":id", $id);
		$get_userdet->execute();
		$stmtuser = $get_userdet->fetchAll();
		$userid = $stmtuser[0]['user_id'];
		if (count($stmtuser)) {

			$updateuser = "update {$table_prefix}users set password=:password ,date_created=:updated where user_id=:user_id";

			$upd_userdet = $this->db->prepare($updateuser);

			$upd_userdet->bindParam(":password", $password);
			$upd_userdet->bindParam(":updated", $datetime);
			$upd_userdet->bindParam(":user_id", $userid);
			$upd_userdet->execute();

			$responses = array (
				'response' => 'success',
				'statuscode' => '200',
				'msg' => 'password updated successfully!'
			);
			$response = array (
				'data' => $responses
			);
			return $this->response->withJson($response);
		} else {
			$response = array (
				'response' => 'Error',
				'msg' => 'Invalid user Id!'
			);
		}
		return $this->response->withJson($response);
	}
});


$app->get('/get_user/[{id}]', function ($request, $response, $args) {
	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$errors = $request->getAttribute('errors');
		return $this->response->withJson($errors);
	} else {
		$datetime = date('Y-m-d H:i:s');
		$currentdate = date('Y-m-d');
		$results = array ();
		$id = $args['id'];
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$input = $request->getParsedBody();
		$userdet = "select usr.username,pr.user_id,pr.user_type,DATE_FORMAT(pr.updated,'%Y-%m-%d') as updated from {$table_prefix}users as usr JOIN {$table_prefix}password_recovery as pr ON usr.user_id=pr.user_id  where recovery_id=:id";
		$userdetail = $this->db->prepare($userdet);
		$userdetail->bindParam(":id", $id);
		$userdetail->execute();
		$stmtuser = $userdetail->fetchAll();

		$usrdetail = array ();
		$update = $stmtuser[0]['updated'];

		if ($currentdate > $update) {

			$response = array ('response' => 'ok', 'msg' => 'url link is expired');
			return $this->response->withJson($response);
		} else {
			if (count($stmtuser) > 0) {
				//[$userid]		
				foreach ($stmtuser as $alluser) {

					$usrdetail = array (
						'recovery_id' => $id,
						'username' => $alluser['username'],
						'user_id' => $alluser['user_id'],
						'usertype' => $alluser['user_type'],
						'updated' => $alluser['updated']
					);
				}
				return $this->response->withJson($usrdetail);
			} else {
				$response = array ('response' => 'error', 'msg' => 'No data found');
				return $this->response->withJson($response);
			}
		}
	}
});

$app->post('/user_password_resend/[{id}]', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$email = $input['email'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');
		$id = $args['id'];

		//validate for reqiured information  

		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
			$results = array ('response' => 'error', 'ERROR' => 'Invalid email format');
			return $this->response->withJson($results);
		}


		$check_user = "Select pr.user_id,usr.contact_name as contactname,usr.username as clientname from {$table_prefix}users as usr JOIN {$table_prefix}password_recovery as pr on usr.user_id=pr.user_id where recovery_id =:id";
		$user_det = $this->db->prepare($check_user);
		$user_det->bindParam(":id", $id);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$contactname = $user_data[0]['contactname'];
		$clientname = $user_data[0]['clientname'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_type = "user";
			$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where recovery_id=:id";
			$edit_agency = $this->db->prepare($agency);
			$edit_agency->bindParam(":id", $id);
			$edit_agency->bindParam(":recoveryid", $recoveryId);
			$edit_agency->bindParam(":updated", $datetime);
			$edit_agency->execute();


			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $agencypath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver Password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/forgot_password_agency/', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');


		$check_user = "Select usr.user_id,usr.username,usr.email_address,usr.contact_name,ag.agencyid from {$table_prefix}users as usr JOIN {$table_prefix}agency as ag where usr.default_account_id=ag.account_id AND usr.username ='$username'";
		$user_det = $this->db->prepare($check_user);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$user_id = $user_data[0]['user_id'];
		$clientname = $user_data[0]['username'];
		$email = $user_data[0]['email_address'];
		$contactname = $user_data[0]['contact_name'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_details = "SELECT user_id from {$table_prefix}password_recovery where user_id=:id";
			$get_userdet = $this->db->prepare($user_details);
			$get_userdet->bindParam(":id", $user_id);
			$get_userdet->execute();
			$stmtuser = $get_userdet->fetchAll();

			$user_type = "user";
			if ($stmtuser) {
				$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where user_id=:id";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->bindParam(":id", $user_id);
				$edit_agency->bindParam(":recoveryid", $recoveryId);
				$edit_agency->bindParam(":updated", $datetime);
				$edit_agency->execute();
			} else {
				$agency = "INSERT INTO {$table_prefix}password_recovery(user_type, user_id, recovery_id, updated)
									  VALUES ('" . $user_type . "','" . $user_id . "','" . $recoveryId . "','" . $datetime . "')";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->execute();
			}

			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $agencypath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/forgot_password_advertiser/', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');


		$check_user = "Select usr.user_id,usr.username,usr.email_address,usr.contact_name,cl.clientid from {$table_prefix}users as usr JOIN {$table_prefix}clients as cl on usr.default_account_id=cl.account_id where usr.username ='$username'";
		$user_det = $this->db->prepare($check_user);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$user_id = $user_data[0]['user_id'];
		$clientname = $user_data[0]['username'];
		$email = $user_data[0]['email_address'];
		$contactname = $user_data[0]['contact_name'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_details = "SELECT user_id from {$table_prefix}password_recovery where user_id=:id";
			$get_userdet = $this->db->prepare($user_details);
			$get_userdet->bindParam(":id", $user_id);
			$get_userdet->execute();
			$stmtuser = $get_userdet->fetchAll();

			$user_type = "user";
			if ($stmtuser) {
				$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where user_id=:id";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->bindParam(":id", $user_id);
				$edit_agency->bindParam(":recoveryid", $recoveryId);
				$edit_agency->bindParam(":updated", $datetime);
				$edit_agency->execute();
			} else {
				$agency = "INSERT INTO {$table_prefix}password_recovery(user_type, user_id, recovery_id, updated)
									  VALUES ('" . $user_type . "','" . $user_id . "','" . $recoveryId . "','" . $datetime . "')";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->execute();
			}

			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $advertiserpath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/user_password_resend_adv/[{id}]', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$email = $input['email'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');
		$id = $args['id'];

		//validate for reqiured information  

		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
			$results = array ('response' => 'error', 'ERROR' => 'Invalid email format');
			return $this->response->withJson($results);
		}


		$check_user = "Select pr.user_id,usr.contact_name as contactname,usr.username as clientname from {$table_prefix}users as usr JOIN {$table_prefix}password_recovery as pr on usr.user_id=pr.user_id where recovery_id =:id";
		$user_det = $this->db->prepare($check_user);
		$user_det->bindParam(":id", $id);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$contactname = $user_data[0]['contactname'];
		$clientname = $user_data[0]['clientname'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_type = "user";
			$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where recovery_id=:id";
			$edit_agency = $this->db->prepare($agency);
			$edit_agency->bindParam(":id", $id);
			$edit_agency->bindParam(":recoveryid", $recoveryId);
			$edit_agency->bindParam(":updated", $datetime);
			$edit_agency->execute();


			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $advertiserpath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver Password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/forgot_password_publisher/', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$username = $input['username'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');


		$check_user = "Select usr.user_id,usr.username,usr.email_address,usr.contact_name,af.affiliateid from {$table_prefix}users as usr JOIN {$table_prefix}affiliates as af where usr.default_account_id=af.account_id AND usr.username ='$username'";
		$user_det = $this->db->prepare($check_user);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$user_id = $user_data[0]['user_id'];
		$clientname = $user_data[0]['username'];
		$email = $user_data[0]['email_address'];
		$contactname = $user_data[0]['contact_name'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_details = "SELECT user_id from {$table_prefix}password_recovery where user_id=:id";
			$get_userdet = $this->db->prepare($user_details);
			$get_userdet->bindParam(":id", $user_id);
			$get_userdet->execute();
			$stmtuser = $get_userdet->fetchAll();

			$user_type = "user";
			if ($stmtuser) {
				$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where user_id=:id";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->bindParam(":id", $user_id);
				$edit_agency->bindParam(":recoveryid", $recoveryId);
				$edit_agency->bindParam(":updated", $datetime);
				$edit_agency->execute();
			} else {
				$agency = "INSERT INTO {$table_prefix}password_recovery(user_type, user_id, recovery_id, updated)
									  VALUES ('" . $user_type . "','" . $user_id . "','" . $recoveryId . "','" . $datetime . "')";
				$edit_agency = $this->db->prepare($agency);
				$edit_agency->execute();
			}

			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $publisherpath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/user_password_resend_pub/[{id}]', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$email = $input['email'];
		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');
		$id = $args['id'];

		//validate for reqiured information  

		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
			$results = array ('response' => 'error', 'ERROR' => 'Invalid email format');
			return $this->response->withJson($results);
		}


		$check_user = "Select pr.user_id,usr.contact_name as contactname,usr.username as clientname from {$table_prefix}users as usr JOIN {$table_prefix}password_recovery as pr on usr.user_id=pr.user_id where recovery_id =:id";
		$user_det = $this->db->prepare($check_user);
		$user_det->bindParam(":id", $id);
		$user_det->execute();
		$user_data = $user_det->fetchAll();
		$contactname = $user_data[0]['contactname'];
		$clientname = $user_data[0]['clientname'];

		$recoveryId = strtoupper(bin2hex(random_bytes(12)));
		$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

		if ($user_data) {
			$user_type = "user";
			$agency = "update " . $table_prefix . "password_recovery set recovery_id=:recoveryid,updated=:updated where recovery_id=:id";
			$edit_agency = $this->db->prepare($agency);
			$edit_agency->bindParam(":id", $id);
			$edit_agency->bindParam(":recoveryid", $recoveryId);
			$edit_agency->bindParam(":updated", $datetime);
			$edit_agency->execute();


			$mail = "Select email_address from {$table_prefix}users where user_id = 1;";
			$mail_det = $this->db->prepare($mail);
			$mail_det->execute();
			$mail_data = $mail_det->fetchAll();

			$from = $mail_data[0]['email_address'];
			include_once ('../../config.php');



			$email_sent = mail($to, $subject, $message, $headers);
			$recoveryUrl = $publisherpath . "password_recovery.php?id={$recoveryId}";
			//print_r($from);exit("ok");
			$to = $email;

			$subject = 'Reset Your Revive Adserver Password';

			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
			$headers .= 'From: ' . $from . "\r\n";
			$message = '<html><style type="text/css">strong {background: #eee;font-size: 10px;}</style><body>';

			//$message .= '<table width="70%" style="border-color: rgb(102, 102, 102); background: none repeat scroll 0% 0% rgb(226, 226, 226);"  cellspacing="10" cellpadding="10" >';

			$message .= "<p>Dear " . $contactname . ",</p>";
			$message .= "<p>You, or someone pretending to be you, recently requested that your Revive Adserver password be reset.
			</p>";
			$message .= "<p>If this request was made by you, then you can reset the password for your username '" . $clientname . "' by
			clicking on the following link:</p>";
			$message .= "<p><a href='$recoveryUrl'>$recoveryUrl</a></p>";
			$message .= "<p>If you submitted the password reset request by mistake, or if you didn't make a request at all, simply
			ignore this email. No changes have been made to your password and the password reset link will expire
			automatically.</p>";
			$message .= "<p>If you continue to receive these password reset mails, then it may indicate that someone is attempting
			to gain access to your username. In that case, please contact the support team or system administrator
			for your Revive Adserver system, and notify them of the situation.</p>";


			$message .= '<p>Sincerely,</p>';
			$message .= "<p><a href='$from' title='adminmail'>$from</a></p>";
			$message .= "</body></html>";
			//$message .= "</table>";

			mail($to, $subject, $message, $headers);

			$response = array ('response' => 'ok', 'msg' => 'Mail sent successfully');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'error', 'msg' => 'User not found');
			return $this->response->withJson($response);
		}
	}
});

$app->post('/adv_signup/[{agencyid}]', function ($request, $response, $args) {

	if ($request->getAttribute('has_errors')) {
		//There are errors, read them

		$response = array ('response' => 'error', 'msg' => 'Please check with input mandatory parameters and format of input');
		return $this->response->withJson($response);
		return $response;
		exit;
	} else {

		$input = $request->getParsedBody();
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$contactname = $input['contact'];
		$contact = $contactname;
		$email = $input['email'];
		$clientname = $input['username'];
		$realpassword = $input['password'];
		//password encrypt
		$password = password_hash($realpassword, PASSWORD_BCRYPT);

		$datetime = date('Y-m-d H:i:s');
		$date = date('Y-m-d');
		$agencyid1 = $args['agencyid'];
		$agencyid = base64_decode($agencyid1);

		//validate for reqiured information  

		if (empty ($clientname) || empty ($contact) || empty ($email)) {
			$results = array ('response' => 'error', 'msg' => 'Please enter all data');
			return $this->response->withJson($response);
		}

		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
			$results = array ('response' => 'error', 'ERROR' => 'Invalid email format');
			return $this->response->withJson($results);
		}


		$agencyid_det = "select agencyid from " . $table_prefix . "agency where agencyid=" . $agencyid;
		$agencyid_tab = $this->db->prepare($agencyid_det);
		$agencyid_tab->execute();
		$check = $agencyid_tab->fetchAll();
		//print_r($check);exit("ok");
		$checkcount = count($check);
		//print_r($checkcount);exit("ok"); 
		if ($checkcount > 0) {
			$users_det1 = "select username from " . $table_prefix . "users where username=:username";
			$users_det = $this->db->prepare($users_det1);
			$users_det->bindParam(":username", $clientname);
			$users_det->execute();
			$users = $users_det->fetchAll();
			$checkusers = count($users);

			if ($checkusers > 0) {
				$response = array ('response' => 'error', 'msg' => 'User name already exists');
				return $this->response->withJson($response);
			} else {
				$addacc = "INSERT INTO " . $table_prefix . "accounts (`account_type`, `account_name`) VALUES ('ADVERTISER',:clientname);";
				$acc = $this->db->prepare($addacc);
				$acc->bindParam(":clientname", $clientname);
				$acc->execute();

				$account_id = $this->db->lastInsertId();
				//print_r($account_id);exit("ok");
				$addcl = "INSERT INTO " . $table_prefix . "clients (`agencyid`, `clientname`, `contact`, 
`email`,`updated`,`account_id`) VALUES (:agencyid,:clientname,:contact,
:email,:updated,:acccountid);";

				$adv = $this->db->prepare($addcl);
				$adv->bindParam(":agencyid", $agencyid);
				$adv->bindParam(":contact", $contact);
				// $adv->bindParam(":name",$clientname);

				$adv->bindParam(":clientname", $clientname);
				$adv->bindParam(":email", $email);
				$adv->bindParam(":updated", $datetime);
				$adv->bindParam(":acccountid", $account_id);
				$adv->execute();

				$client_id = $this->db->lastInsertId();
				if ($client_id) {
					//audit log maintain
					// $create_user_id = $_SESSION['user_id'];
					// $module = 'clients_'.$clientname.'_'.$client_id;
					// $addaudit = "INSERT INTO " . $table_prefix . "audit_ui (`module`, `create_user_id`,  `created_date`) VALUES (:module,:create_user_id,:created_date);";
					// $audit = $this->db->prepare($addaudit);
					// $audit->bindParam(":module", $module);
					// $audit->bindParam(":create_user_id", $create_user_id);
					// $audit->bindParam(":created_date", $datetime);
					// $audit->execute();

					$adduser = "INSERT INTO {$table_prefix}users(`contact_name`, `email_address`,`username`,`password`,`language`,`default_account_id`,`active`,`date_created`,`date_last_login`,`email_updated`) VALUES (:contactname,:email,:username,:password,'en',:account_id,1,:datetime,:datetime,:email_updated);";
					$users = $this->db->prepare($adduser);
					$users->bindParam(":contactname", $contactname);
					$users->bindParam(":email", $email);
					$users->bindParam(":username", $clientname);
					$users->bindParam(":password", $password);
					//$users->bindParam(":language", $language);
					$users->bindParam(":account_id", $account_id);
					$users->bindParam(":datetime", $datetime);
					$users->bindParam(":email_updated", $datetime);
					$users->execute();

					$userid = $this->db->lastInsertId();

					$user_perm = "INSERT INTO {$table_prefix}account_user_assoc(`account_id`,`user_id`,`linked`) VALUES (:account_id,:user_id,:datetime);";

					$user_dat_perm = $this->db->prepare($user_perm);
					$user_dat_perm->bindParam(":account_id", $account_id);
					$user_dat_perm->bindParam(":user_id", $userid);
					$user_dat_perm->bindParam(":datetime", $datetime);
					$user_dat_perm->execute();

					$recoveryId = strtoupper(bin2hex(random_bytes(12)));
					$recoveryId = substr(chunk_split($recoveryId, 8, "-"), 0, -1);

					$user_type = "user";
					$user_recovery = "INSERT INTO {$table_prefix}password_recovery(user_type, user_id, recovery_id, updated)
								VALUES ('" . $user_type . "','" . $userid . "','" . $recoveryId . "','" . $datetime . "')";
					$user_dat_recovery = $this->db->prepare($user_recovery);
					$user_dat_recovery->execute();

					$response = array ('clientid' => $client_id, 'response' => 'ok', 'msg' => 'Advertiser has been added successfully with clientid');
					return $this->response->withJson($response);
				}
			}
		} else {
			$response = array ('response' => 'error', 'msg' => 'Invalid Agency id!');
			return $this->response->withJson($response);
		}
	}
});

$app->get('/link_expiry/[{expdate}]', function ($request, $response, $args) {
	if ($request->getAttribute('has_errors')) {
		//There are errors, read them
		$errors = $request->getAttribute('errors');
		return $this->response->withJson($errors);
	} else {
		$datetime = date('Y-m-d H:i:s');
		$currentdate = date('Y-m-d');
		$results = array ();
		$expdate = $args['expdate'];
		$table_prefix = $this->get('settings')['path']['table_prefix'];
		$input = $request->getParsedBody();
		$reftime = date('Y-m-d', $expdate);
		
		if ($reftime < $currentdate) {
			$response = array ('response' => 'ok', 'msg' => 'Referral link link is expired');
			return $this->response->withJson($response);
		} else {
			$response = array ('response' => 'success', 'msg' => 'Referral link is still valid');
			return $this->response->withJson($response);
		}
	}
});