<?php
include('session.php');
include('../config.php');
include('../common.php');
?>
<!DOCTYPE html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path='../assets/' data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title><?php echo $projecttitle; ?> - <?php echo $GLOBALS['websites']; ?></title>
    <meta name="description" content="" />
    <?php include('head.php'); ?>
    <style>
        .cancel-style {
            color: red !important
        }

        input[type="button"]:hover {
            color: #fff !important;

        }

        .cancel-style:hover {
            color: #fff !important
        }

        .swal-footer {
            text-align: center;
        }

        .alert {
            display: none;
        }

        td {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    </style>
</head>

<body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            <?php include('sidebar.php'); ?>
            <!-- / Menu -->
            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                <?php include('navbar.php'); ?>
                <!-- / Navbar -->
                <!-- Content wrapper <i class="menu-icon tf-icons bx bx-plus"></i> -->
                <div class="content-wrapper">
                    <!-- Content -->
                    <div class="container">
                        <div class="card mt-5 mb-5">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col">
                                        <p class="h3"><?php echo $GLOBALS['websites']; ?></p>
                                    </div>
                                    <div class="col-5">
                                        <button type="button" class="btn btn-primary" id="delete_website" onclick="delete_all_websites();"><i class="bx bx-trash" aria-hidden="true" title="Delete"></i> <?php echo $GLOBALS['delete']; ?></button>
                                        <button class="btn btn-primary" type="button" id="website_add" onclick="add_website();"><i class="menu-icon tf-icons bx bx-plus"></i><?php echo $GLOBALS['add_websites']; ?></button>
                                    </div>
                                </div>
                                <div class="row mb-1">
                                    <div class="col-12">
                                        <p class="alert bg-success alert-dismissible fade show text-white" id="alertsuccess"><i class="fa fa-check-circle"></i> </p>
                                        <p class="alert bg-danger alert-dismissible fade show text-white" id="alertfailed"><i class="fa fa-times-circle"></i> </p>
                                    </div>
                                </div>
                            </div>
                            <div class="container">
                                <div class="card-body">
                                    <div id="add_website">
                                        <div class="row mb-3">
                                            <p class="h4 text-dark"><?php echo $GLOBALS['add_websites']; ?></p>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-6">
                                                <label class="form-label mb-2" style="font-size: 1.4ch;"><?php echo $GLOBALS['strName']; ?><span style="color: red;">*</span> </label>
                                                <input type="text" name="website_name" id="website_name" class="form-control mb-2" placeholder="" onchange="" onkeyup="" />
                                                <p id="website_name_error" class="h6 text-danger validate_error"><?php echo $GLOBALS['']; ?></p>
                                            </div>
                                            <div class="col-6">
                                                <label class="form-label mb-2" style="font-size: 1.4ch;"><?php echo $GLOBALS['web_url']; ?><span style="color: red;">*</span>&nbsp;<span class="form-label" style="font-size: 1ch;">(with https://)</span> </label>
                                                <input type="text" name="website_url" id="website_url" class="form-control mb-2" placeholder="" onchange="" onkeyup="" />
                                                <p id="website_url_error" class="h6 text-danger validate_error"><?php echo $GLOBALS['']; ?>hai</p>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="col-6">
                                                <label class="form-label mb-2" style="font-size: 1.4ch;"><?php echo $GLOBALS['contact']; ?><span style="color: red;">*</span> </label>
                                                <input type="text" name="website_contact" id="website_contact" class="form-control mb-2" placeholder="" onchange="" onkeyup="" />
                                                <p id="website_contact_error" class="h6 text-danger validate_error"><?php echo $GLOBALS['']; ?></p>
                                            </div>
                                            <div class="col-6">
                                                <label class="form-label mb-2" style="font-size: 1.4ch;"><?php echo $GLOBALS['Email']; ?><span style="color: red;">*</span> </label>
                                                <input type="text" name="website_email" id="website_email" class="form-control mb-2" placeholder="" onchange="" onkeyup="" />
                                                <p id="website_email_error" class="h6 text-danger validate_error"><?php echo $GLOBALS['']; ?></p>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="row justify-content-end">
                                                <div class="col">
                                                    <button class="btn btn-outline-danger cancel-style" type="button" id="cancel" style="position:relative;left:72%" onclick="cancel()"><?php echo $GLOBALS['strCancel']; ?></button>
                                                    <button class="btn btn-primary" type="button" id="save_changes" style="position:relative;left:73%" onclick="save_website()"><?php echo $GLOBALS['strSubmit']; ?></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="table-responsive text-nowrap">
                                        <table id="websites_table" class="table table-striped table-responsive table-hover">
                                            <thead>
                                                <tr class="text-nowrap">
                                                    <th class="th-color text-center"><input type="checkbox" class="form-check-input check-rule" id="select-all"></th>
                                                    <th class="th-color text-center"><?php echo $GLOBALS['strName']; ?></th>
                                                    <th class="th-color text-center"><?php echo $GLOBALS['updated']; ?></th>
                                                    <th class="th-color text-center"><?php echo $GLOBALS['action']; ?></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <td id="no_record" colspan="4" class="text-center"><?php echo $GLOBALS['strNo_Data_Meassages']; ?></td>
                                            </tbody>
                                        </table>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php include('footer.php'); ?>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function() {
            $('.validate_error').hide();
            $('#add_website').hide();
            $('#delete_website').prop('disabled', true);
        });

        function add_website(){
            $('#add_website').show();
            $('#delete_website').hide();
            $('#website_add').hide();
            $('#websites_table').hide();
        }

        function cancel() {
            $('#delete_website').show();
            $('#website_add').show();
            $('#websites_table').show();
            $('#add_website').hide();
        }
    </script>

</body>

</html>